// Modifications :
//	
//	1) nslModel HopfieldModel () ->  nslModel HopfieldModel

	

nslModule Hopfield (int size)
{
	public NslDinInt2 pat(size,size); 		// input 
	public NslDoutInt2 mf(size,size); 		// output
	private NslInt2 mp(size,size); 		// activity
	private NslInt2 pmf(size,size); 		// previous output
	private NslInt4 w(size,size,size,size); 	// weights
	private NslFloat0 inOutError(); 		// error
	private NslFloat0 energy(); 			// energy
	private int _size = size;

public void initModule()
{
	w=0;
}
public void simTrain()
{
	for (int k=0; k<_size; k++)
		for (int l=0; l<_size; l++) 
			for (int i=0; i<_size; i++)
				for (int j=0; j<_size; j++) 
					if (k!=l || i!=j)
						w[k][l][i][j] += pat[k][l]*pat[i] [j];
}
public void initRun()
{
	mf = pat; 
	pmf = 0;
}
public void simRun()
{
	int k = nslIntRand(_size-1);
	int l = nslIntRand(_size-1);

	mp[k][l] = nslSum(w[k][l]^mf);
	mf[k][l] = nslStep(mp[k][l],0,-1,1);

// the following functions adds together every element absolute
// stop simulation if total sum is equal to zero
	inOutError = nslSumAbs(mp-mf);
	if (inOutError = nslSum(nslAbs(mp-mf)) == 0) {
		nslBreakSim();
		return;
	}

	pmf[k][l] = mf[k][l];

	energy = computeEnergy();
}
private void computeEnergy()
{
	energy = 0;
	for (int k=0; k<_size; k++)
		for (int l=0; l<_size; l++) 
			for (int i=0; i<_size; i++)
				for (int j=0; j<_size; j++) 
					energy += w[k][j][i][j]*mp[k][l]*mp[i][j];
	energy = -0.5* energy;
}
}

nslModule HopfieldInput (int size)
{
	public NslDoutInt2 out(size);
}

nslModel HopfieldModel
{
	public HopfieldInput in(10); 
	public Hopfield hop(10); 

	public void makeConn() {
		nslConnect(in.out,hp,pat);
	}
}

