#include <clex.h>

#line 1 "D:\\NslCompiler\\aslclex.l"


//  ASL COMPILER
//
//  ASL (Abstract Schema Language) to C++ compiler
//
//
//
//  FILE NAME   : aslclex.l
//  MODULE TYPE : Lex input specification
//  STATUS      : In development
//  PURPOSE     : Lexical analisys
//  
//
//  Instituto Tecnologico Autonomo de Mexico 
//  (c) Copyrigth 1995-2000
//
//
//
//  HISTORY : Version (Date-Name) Modification, description. 
//
//            0.00  (Apr 20, 1992 - Longguang Wu), 
//            Start of development.
//
//            0.50  (May 05, 1993 - Roger Zimmermann),
//            Version 0.5 alpha.
//
//            1.00  (Dec 17, 1995 - Claudia Calderas & Salvador Marmol), 
//            Start of development for distributed execution.
//
//	      1.05  (Oct 09, 1997 - Oscar Peguero),
//	      Changes for the NSLC 3.0 specifications.
//
//	      1.10  (Feb 16, 1998 - Sebastian Gutierrez),
//	      Compiler reconstruction & sintax extended according to the NSLC 3.0 specifications.
// 

#include <string.h>
#include "aslc.h"

// Seguti2000
//#include "y.tab.h"        // Generated by yacc.   
// Seguti2000

// Seguti2000
#include <clex.h>
#include "aslcyacc.h"		// Generated by yacc.

// Global variables.
extern AslCompiler compiler;
extern int flagObject;
extern int flagAssign;
extern int flagSchema;
extern char myArgument[STR_LEN_LINE];
extern char myStack[STR_LEN_LINE];
extern char myAssign[STR_LEN_LINE];
// Seguti2000


#line 70 "D:\\NslCompiler\\aslclex.l"
	       
#line 71 "D:\\NslCompiler\\aslclex.l"
	       /* Identifiers: variables, keywords, etc. */
#line 74 "D:\\NslCompiler\\aslclex.l"
	       /* Integer constants. */
#line 77 "D:\\NslCompiler\\aslclex.l"
	       /* String constants. */
#line 80 "D:\\NslCompiler\\aslclex.l"
	       /* Special characters. */
#line 74 "D:\\NslCompiler\\aslclex.cpp"
// repeated because of possible precompiled header
#include <clex.h>

#include "aslclex.h"

/////////////////////////////////////////////////////////////////////////////
// constructor

YYLEXNAME::YYLEXNAME()
{
	yytables();
}

#ifndef YYTEXT_SIZE
#define YYTEXT_SIZE 100
#endif
#ifndef YYUNPUT_SIZE
#define YYUNPUT_SIZE YYTEXT_SIZE
#endif

// backwards compatability with lex
#ifdef input
int YYLEXNAME::yyinput()
{
	return input();
}
#else
#define input yyinput
#endif

#ifdef output
void YYLEXNAME::yyoutput(int ch)
{
	output(ch);
}
#else
#define output yyoutput
#endif

#ifdef unput
void YYLEXNAME::yyunput(int ch)
{
	unput(ch);
}
#else
#define unput yyunput
#endif

#ifndef YYNBORLANDWARN
#ifdef __BORLANDC__
#pragma warn -rch		// <warning: unreachable code> off
#endif
#endif

int YYLEXNAME::yyaction(int action)
{
#line 94 "D:\\NslCompiler\\aslclex.l"

// extract yylval for use later on in actions
YYSTYPE& yylval = *(YYSTYPE*)yyparserptr->yylvalptr; 

#line 136 "D:\\NslCompiler\\aslclex.cpp"
	yyreturnflg = 1;
	switch (action) {
	case 1:
		{
#line 100 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.processIncludeLines(yytext);
					sprintf(compiler.buf,"#line %d \"%s\"\n", compiler.parser.getNumOfLines(), compiler.getInputFileName());
					/*compiler.putInOutFile(compiler.buf);*/
				
#line 147 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 2:
		{
#line 106 "D:\\NslCompiler\\aslclex.l"
 
					compiler.putInOutFile("\n");
					compiler.parser.saveLine(yytext+1);
					compiler.parser.incNumOfLines();
					compiler.parser.setLinePos(0);
					yyless(1);
				
#line 160 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
#line 113 "D:\\NslCompiler\\aslclex.l"
					
#line 165 "D:\\NslCompiler\\aslclex.cpp"
	case 3:
		{
#line 114 "D:\\NslCompiler\\aslclex.l"

					yyless(yyleng);
					compiler.parser.setLexState(ST_VERBOSE);
				
#line 173 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 4:
		{
#line 119 "D:\\NslCompiler\\aslclex.l"

					yyless(yyleng);
					compiler.parser.setLexState(0);
				
#line 183 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 5:
		{
#line 124 "D:\\NslCompiler\\aslclex.l"
	
					compiler.parser.addLinePos(yyleng);
					compiler.putInOutFile("#include \"");
					compiler.parser.setLexState(ST_INCLUDE);
				
#line 194 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 6:
		{
#line 130 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);
					compiler.putInOutFile("/");
				
#line 204 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 7:
		{
#line 135 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);
					compiler.putInOutFile(yytext);
				
#line 214 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
#line 139 "D:\\NslCompiler\\aslclex.l"
							
#line 219 "D:\\NslCompiler\\aslclex.cpp"
	case 8:
		{
#line 140 "D:\\NslCompiler\\aslclex.l"

					/* Ignore blanks. 
					compiler.putInOutFile(yytext);*/
				
#line 227 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 9:
		{
#line 145 "D:\\NslCompiler\\aslclex.l"

					/* Ignore colon 
					compiler.putInOutFile(yytext);*/
				
#line 237 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 10:
		{
#line 150 "D:\\NslCompiler\\aslclex.l"

					compiler.putInOutFile(".h\"\n");
					compiler.parser.saveLine(yytext+1);
					compiler.parser.incNumOfLines();
					compiler.parser.setLinePos(0);
					yyless(1);
					compiler.parser.setLexState(0);
				
#line 251 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
#line 158 "D:\\NslCompiler\\aslclex.l"
			
#line 256 "D:\\NslCompiler\\aslclex.cpp"
	case 11:
		{
#line 159 "D:\\NslCompiler\\aslclex.l"
				
					compiler.parser.addLinePos(yyleng);
					compiler.parser.setLexState(ST_SCHEMA);

					return MODEL;
				
#line 266 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
#line 165 "D:\\NslCompiler\\aslclex.l"
			
#line 166 "D:\\NslCompiler\\aslclex.l"
							
#line 273 "D:\\NslCompiler\\aslclex.cpp"
	case 12:
		{
#line 167 "D:\\NslCompiler\\aslclex.l"
				
					compiler.parser.addLinePos(yyleng);
					compiler.parser.setLexState(ST_SCHEMA);

					return SCHEMA;
				
#line 283 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
#line 173 "D:\\NslCompiler\\aslclex.l"
				
#line 288 "D:\\NslCompiler\\aslclex.cpp"
	case 13:
		{
#line 174 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);
					compiler.parser.setLexState(ST_SCHEMA);
					
					return SCHEMA;
				
#line 298 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
#line 180 "D:\\NslCompiler\\aslclex.l"
				
#line 303 "D:\\NslCompiler\\aslclex.cpp"
	case 14:
		{
#line 181 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);
				
#line 310 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 15:
		{
#line 185 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);
				
#line 319 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
#line 188 "D:\\NslCompiler\\aslclex.l"
				
#line 324 "D:\\NslCompiler\\aslclex.cpp"
	case 16:
		{
#line 189 "D:\\NslCompiler\\aslclex.l"

#line 329 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 17:
		{
#line 191 "D:\\NslCompiler\\aslclex.l"

					compiler.putInOutFile(yytext);
				
#line 338 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 18:
		{
#line 195 "D:\\NslCompiler\\aslclex.l"

					/* String constant */
					compiler.putInOutFile(yytext);
				
#line 348 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 19:
		{
#line 200 "D:\\NslCompiler\\aslclex.l"

					compiler.putInOutFile(yytext);
					compiler.parser.setLexState(ST_COMMENT);
				
#line 358 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
#line 204 "D:\\NslCompiler\\aslclex.l"
	
#line 363 "D:\\NslCompiler\\aslclex.cpp"
	case 20:
		{
#line 205 "D:\\NslCompiler\\aslclex.l"

					compiler.putInOutFile(yytext);
					compiler.parser.setLexState(0);
				
#line 371 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 21:
		{
#line 210 "D:\\NslCompiler\\aslclex.l"

					compiler.putInOutFile(yytext);
				
#line 380 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 22:
		{
#line 214 "D:\\NslCompiler\\aslclex.l"

					/* Integer constant */
					compiler.putInOutFile(yytext);
				
#line 390 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 23:
		{
#line 219 "D:\\NslCompiler\\aslclex.l"

					/* Integer constant (hex) */
					compiler.putInOutFile(yytext);
				
#line 400 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 24:
		{
#line 224 "D:\\NslCompiler\\aslclex.l"

					/* Float constant */
					compiler.putInOutFile(yytext);
				
#line 410 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 25:
		{
#line 229 "D:\\NslCompiler\\aslclex.l"

					/* Float constant */
					compiler.putInOutFile(yytext);
				
#line 420 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 26:
		{
#line 234 "D:\\NslCompiler\\aslclex.l"

					/* Character constant */
					compiler.putInOutFile(yytext);
				
#line 430 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 27:
		{
#line 239 "D:\\NslCompiler\\aslclex.l"

					/* Ignore blanks. */
					compiler.putInOutFile(yytext);
				
#line 440 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 28:
		{
#line 244 "D:\\NslCompiler\\aslclex.l"

					compiler.buf[0]=yytext[0];
					compiler.buf[1]='\0';
					compiler.putInOutFile(compiler.buf);
				
#line 451 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
#line 249 "D:\\NslCompiler\\aslclex.l"
				
#line 456 "D:\\NslCompiler\\aslclex.cpp"
	case 29:
		{
#line 250 "D:\\NslCompiler\\aslclex.l"

					if (isprint(yytext[0]))
						sprintf(compiler.buf,"Illegal character '%c' (%x)\n",yytext[0], yytext[0]);
					else
						sprintf(compiler.buf,"Illegal character (\\%x)\n",yytext[0]);

					compiler.parser.addLinePos(yyleng);
					compiler.sintaxError(compiler.buf);
				
#line 469 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 30:
		{
#line 260 "D:\\NslCompiler\\aslclex.l"

					compiler.putInOutFile(yytext);
					compiler.parser.setLexState(ST_SCHEMA_COMMENT);
				
#line 479 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
#line 264 "D:\\NslCompiler\\aslclex.l"
	
#line 484 "D:\\NslCompiler\\aslclex.cpp"
	case 31:
		{
#line 265 "D:\\NslCompiler\\aslclex.l"

					compiler.putInOutFile(yytext);
					compiler.parser.setLexState(ST_SCHEMA);
				
#line 492 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 32:
		{
#line 270 "D:\\NslCompiler\\aslclex.l"

					compiler.putInOutFile(yytext);
				
#line 501 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 33:
		{
#line 274 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.processIncludeLines(yytext+1);
					sprintf(compiler.buf,"#line &d \"%s\"",compiler.parser.getNumOfLines(),compiler.getInputFileName());
					compiler.putInOutFile(compiler.buf);
				
#line 512 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 34:
		{
#line 280 "D:\\NslCompiler\\aslclex.l"

					compiler.putInOutFile("\n");
					compiler.parser.saveLine(yytext+1);
					compiler.parser.incNumOfLines();
					compiler.parser.setLinePos(0);
					yyless(1);
				
#line 525 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 35:
		{
#line 288 "D:\\NslCompiler\\aslclex.l"

	
					compiler.parser.getSuperClass();
					compiler.parser.addLinePos(yyleng);
					compiler.parser.setLexState(ST_SUPER);
					
					return SUPERSCHEMA_NAME;
				
#line 539 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
#line 296 "D:\\NslCompiler\\aslclex.l"
				
#line 544 "D:\\NslCompiler\\aslclex.cpp"
	case 36:
		{
#line 297 "D:\\NslCompiler\\aslclex.l"

					
					compiler.parser.addLinePos(yyleng);
					compiler.parser.setLexState(ST_SCHEMA);
					
					return INDIRECTION_1;
				
#line 555 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 37:
		{
#line 305 "D:\\NslCompiler\\aslclex.l"

					sprintf(compiler.buf,"Super Class sintax error\n");
					compiler.sintaxError(compiler.buf);
					compiler.parser.addLinePos(yyleng);
					compiler.parser.setLexState(ST_SCHEMA);
					
				
#line 568 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 38:
		{
#line 313 "D:\\NslCompiler\\aslclex.l"

#line 575 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
#line 314 "D:\\NslCompiler\\aslclex.l"
				
#line 580 "D:\\NslCompiler\\aslclex.cpp"
	case 39:
		{
#line 315 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return DELEGATE;
				
#line 589 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 40:
		{
#line 321 "D:\\NslCompiler\\aslclex.l"

#line 596 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 41:
		{
#line 323 "D:\\NslCompiler\\aslclex.l"
	
					compiler.parser.addLinePos(yyleng);

					return EXTERNAL;
				
#line 607 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
#line 328 "D:\\NslCompiler\\aslclex.l"
				
#line 612 "D:\\NslCompiler\\aslclex.cpp"
	case 42:
		{
#line 329 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return INHERIT;
				
#line 621 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
#line 334 "D:\\NslCompiler\\aslclex.l"
				
#line 626 "D:\\NslCompiler\\aslclex.cpp"
	case 43:
		{
#line 335 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return INPUT;
				
#line 635 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
#line 340 "D:\\NslCompiler\\aslclex.l"
				
#line 640 "D:\\NslCompiler\\aslclex.cpp"
	case 44:
		{
#line 341 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return INTERNAL;
				
#line 649 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 45:
		{
#line 347 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return SCHEMA;
				
#line 660 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
#line 352 "D:\\NslCompiler\\aslclex.l"
				
#line 665 "D:\\NslCompiler\\aslclex.cpp"
	case 46:
		{
#line 353 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return OUTPUT;
				
#line 674 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 47:
		{
#line 359 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return INTERNAL;
				
#line 685 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 48:
		{
#line 365 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return PROTECTED;
				
#line 696 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
#line 370 "D:\\NslCompiler\\aslclex.l"
				
#line 701 "D:\\NslCompiler\\aslclex.cpp"
	case 49:
		{
#line 371 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return EXTERNAL;
				
#line 710 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
#line 376 "D:\\NslCompiler\\aslclex.l"
				
#line 715 "D:\\NslCompiler\\aslclex.cpp"
	case 50:
		{
#line 377 "D:\\NslCompiler\\aslclex.l"

#line 720 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
#line 378 "D:\\NslCompiler\\aslclex.l"
				
#line 725 "D:\\NslCompiler\\aslclex.cpp"
	case 51:
		{
#line 379 "D:\\NslCompiler\\aslclex.l"

#line 730 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
#line 380 "D:\\NslCompiler\\aslclex.l"
							
#line 735 "D:\\NslCompiler\\aslclex.cpp"
	case 52:
		{
#line 381 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return STOP;
				
#line 744 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
#line 386 "D:\\NslCompiler\\aslclex.l"
				
#line 749 "D:\\NslCompiler\\aslclex.cpp"
	case 53:
		{
#line 387 "D:\\NslCompiler\\aslclex.l"

					strcpy(myStack,"*");
					strcat(myStack,yytext);
					compiler.parser.addLinePos(yyleng);
				
					return THIS;
				
#line 760 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 54:
		{
#line 395 "D:\\NslCompiler\\aslclex.l"

					strcpy(myStack,"*this");
					compiler.parser.addLinePos(yyleng);
				
					return THIS;
				
#line 772 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
#line 401 "D:\\NslCompiler\\aslclex.l"
				
#line 777 "D:\\NslCompiler\\aslclex.cpp"
	case 55:
		{
#line 402 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return OP_CONNECT_LR;
				
#line 786 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 56:
		{
#line 408 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return OP_CONNECT_RL;
				
#line 797 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 57:
		{
#line 414 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return OP_DISCONNECT;
				
#line 808 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 58:
		{
#line 420 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return OP_RELABEL;
				
#line 819 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 59:
		{
#line 426 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return OP_DELABEL;
				
#line 830 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 60:
		{
#line 432 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return AUTO;
				
#line 841 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 61:
		{
#line 438 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return BREAK;
				
#line 852 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 62:
		{
#line 444 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return CASE;
				
#line 863 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 63:
		{
#line 450 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return CHAR;
				
#line 874 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 64:
		{
#line 456 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return CONST;
				
#line 885 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 65:
		{
#line 462 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return CONTINUE;
				
#line 896 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 66:
		{
#line 468 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return DEFAULT;
				
#line 907 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 67:
		{
#line 474 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return DELETE;
				
#line 918 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
#line 479 "D:\\NslCompiler\\aslclex.l"
				
#line 923 "D:\\NslCompiler\\aslclex.cpp"
	case 68:
		{
#line 480 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return DO;
				
#line 932 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 69:
		{
#line 486 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return DOUBLE;
				
#line 943 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 70:
		{
#line 492 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return ELSE;
				
#line 954 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 71:
		{
#line 498 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return EXTERN;
				
#line 965 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 72:
		{
#line 504 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return FLOAT;
				
#line 976 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 73:
		{
#line 510 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return FOR;
				
#line 987 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 74:
		{
#line 516 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return IF;
				
#line 998 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
#line 521 "D:\\NslCompiler\\aslclex.l"
		    
#line 1003 "D:\\NslCompiler\\aslclex.cpp"
	case 75:
		{
#line 522 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);
					
					return INT;
				
#line 1012 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 76:
		{
#line 528 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return LONG;
				
#line 1023 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
#line 533 "D:\\NslCompiler\\aslclex.l"
			
#line 1028 "D:\\NslCompiler\\aslclex.cpp"
	case 77:
		{
#line 534 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return NEW;
				
#line 1037 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 78:
		{
#line 540 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return NSLBOOLEAN;
				
#line 1048 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 79:
		{
#line 546 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);
	
					return NSLDATA;
				
#line 1059 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 80:
		{
#line 552 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return NSLDINDOUBLE;
				
#line 1070 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 81:
		{
#line 558 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return NSLDINDOUBLE;
				
#line 1081 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 82:
		{
#line 564 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return NSLDINDOUBLE1;
				
#line 1092 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 83:
		{
#line 570 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return NSLDINDOUBLE2;
				
#line 1103 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 84:
		{
#line 576 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return NSLDINDOUBLE3;
				
#line 1114 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 85:
		{
#line 582 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return NSLDINDOUBLE4;
				
#line 1125 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 86:
		{
#line 588 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return NSLDINFLOAT;
				
#line 1136 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 87:
		{
#line 594 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return NSLDINFLOAT;
				
#line 1147 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 88:
		{
#line 600 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return NSLDINFLOAT1;
				
#line 1158 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 89:
		{
#line 606 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return NSLDINFLOAT2;
				
#line 1169 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 90:
		{
#line 612 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return NSLDINFLOAT3;
				
#line 1180 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 91:
		{
#line 618 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return NSLDINFLOAT4;
				
#line 1191 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 92:
		{
#line 624 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return NSLDININT;
				
#line 1202 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 93:
		{
#line 630 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return NSLDININT;
				
#line 1213 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 94:
		{
#line 636 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return NSLDININT1;
				
#line 1224 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 95:
		{
#line 642 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return NSLDININT2;
				
#line 1235 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 96:
		{
#line 648 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return NSLDININT3;
				
#line 1246 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 97:
		{
#line 654 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return NSLDININT4;
				
#line 1257 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 98:
		{
#line 660 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return NSLDOUTDOUBLE;
				
#line 1268 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 99:
		{
#line 666 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return NSLDOUTDOUBLE;
				
#line 1279 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 100:
		{
#line 672 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return NSLDOUTDOUBLE1;
				
#line 1290 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 101:
		{
#line 678 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return NSLDOUTDOUBLE2;
				
#line 1301 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 102:
		{
#line 684 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return NSLDOUTDOUBLE3;
				
#line 1312 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 103:
		{
#line 690 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return NSLDOUTDOUBLE4;
				
#line 1323 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 104:
		{
#line 696 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return NSLDOUTFLOAT;
				
#line 1334 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 105:
		{
#line 702 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return NSLDOUTFLOAT;
				
#line 1345 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 106:
		{
#line 708 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return NSLDOUTFLOAT1;
				
#line 1356 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 107:
		{
#line 714 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return NSLDOUTFLOAT2;
				
#line 1367 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 108:
		{
#line 720 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return NSLDOUTFLOAT3;
				
#line 1378 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 109:
		{
#line 726 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return NSLDOUTFLOAT4;
				
#line 1389 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 110:
		{
#line 732 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return NSLDOUTINT;
				
#line 1400 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 111:
		{
#line 738 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return NSLDOUTINT;
				
#line 1411 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 112:
		{
#line 744 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return NSLDOUTINT1;
				
#line 1422 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 113:
		{
#line 750 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return NSLDOUTINT2;
				
#line 1433 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 114:
		{
#line 756 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return NSLDOUTINT3;
				
#line 1444 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 115:
		{
#line 762 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return NSLDOUTINT4;
				
#line 1455 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 116:
		{
#line 768 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return NSLDOUBLE;
				
#line 1466 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 117:
		{
#line 774 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return NSLDOUBLE0;
				
#line 1477 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 118:
		{
#line 780 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return NSLDOUBLE1;
				
#line 1488 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 119:
		{
#line 786 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return NSLDOUBLE2;
				
#line 1499 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 120:
		{
#line 792 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return NSLDOUBLE3;
				
#line 1510 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 121:
		{
#line 798 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return NSLDOUBLE4;
				
#line 1521 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
#line 803 "D:\\NslCompiler\\aslclex.l"
				
#line 1526 "D:\\NslCompiler\\aslclex.cpp"
	case 122:
		{
#line 804 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return NSLFILE;
				
#line 1535 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 123:
		{
#line 811 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return NSLFLOAT;
				
#line 1546 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 124:
		{
#line 817 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return NSLFLOAT0;
				
#line 1557 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 125:
		{
#line 823 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return NSLFLOAT1;
				
#line 1568 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 126:
		{
#line 829 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return NSLFLOAT2;
				
#line 1579 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 127:
		{
#line 835 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return NSLFLOAT3;
				
#line 1590 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 128:
		{
#line 841 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return NSLFLOAT4;
				
#line 1601 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 129:
		{
#line 847 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return NSLINT;
				
#line 1612 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 130:
		{
#line 853 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return NSLINT0;
				
#line 1623 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 131:
		{
#line 859 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return NSLINT1;
				
#line 1634 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 132:
		{
#line 865 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return NSLINT2;
				
#line 1645 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 133:
		{
#line 871 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return NSLINT3;
				
#line 1656 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 134:
		{
#line 877 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return NSLINT4;
				
#line 1667 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 135:
		{
#line 883 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return NSLMATRIX;
				
#line 1678 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 136:
		{
#line 889 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return NSLCHARSTRING;
				
#line 1689 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 137:
		{
#line 895 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return NSLSTRING0;
				
#line 1700 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 138:
		{
#line 901 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return NSLSTRING1;
				
#line 1711 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 139:
		{
#line 907 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return NSLVECTOR;
				
#line 1722 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 140:
		{
#line 913 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return REGISTER;
				
#line 1733 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 141:
		{
#line 919 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return RETURN;
				
#line 1744 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 142:
		{
#line 925 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return SHORT;
				
#line 1755 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 143:
		{
#line 931 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return SIGNED;
				
#line 1766 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 144:
		{
#line 937 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return SIZEOF;
				
#line 1777 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 145:
		{
#line 943 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);
					return STATIC;
				
#line 1787 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 146:
		{
#line 948 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return SWITCH;
				
#line 1798 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 147:
		{
#line 954 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return UNSIGNED;
				
#line 1809 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 148:
		{
#line 960 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return VIRTUAL;
				
#line 1820 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 149:
		{
#line 966 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return VOID;
				
#line 1831 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 150:
		{
#line 972 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return VOLATILE;
				
#line 1842 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 151:
		{
#line 978 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return WHILE;
				
#line 1853 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 152:
		{
#line 984 "D:\\NslCompiler\\aslclex.l"
	
					strcpy(myStack,yytext);
					compiler.parser.addLinePos(yyleng);
					strcpy(yylval.name,yytext);
					
					return INIT_RUN;
				
#line 1866 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 153:
		{
#line 992 "D:\\NslCompiler\\aslclex.l"
	
					strcpy(myStack,yytext);
					compiler.parser.addLinePos(yyleng);
					strcpy(yylval.name,yytext);
					
					return INIT_SYS;
				
#line 1879 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 154:
		{
#line 1000 "D:\\NslCompiler\\aslclex.l"
	
					strcpy(myStack,yytext);
					compiler.parser.addLinePos(yyleng);
					strcpy(yylval.name,yytext);
					
					return INIT_TRAIN;
				
#line 1892 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 155:
		{
#line 1007 "D:\\NslCompiler\\aslclex.l"
	
					strcpy(myStack,yytext);
					compiler.parser.addLinePos(yyleng);
					strcpy(yylval.name,yytext);
					
					return SIM_RUN;
				
#line 1905 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 156:
		{
#line 1015 "D:\\NslCompiler\\aslclex.l"
	
					strcpy(myStack,yytext);
					compiler.parser.addLinePos(yyleng);
					strcpy(yylval.name,yytext);
					
					return SIM_TRAIN;
				
#line 1918 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
#line 1022 "D:\\NslCompiler\\aslclex.l"
				
#line 1923 "D:\\NslCompiler\\aslclex.cpp"
	case 157:
		{
#line 1023 "D:\\NslCompiler\\aslclex.l"
	
					strcpy(myStack,yytext);
					compiler.parser.addLinePos(yyleng);
					strcpy(yylval.name,yytext);
					
					return END_RUN;
				
#line 1934 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 158:
		{
#line 1031 "D:\\NslCompiler\\aslclex.l"
	
					strcpy(myStack,yytext);
					compiler.parser.addLinePos(yyleng);
					strcpy(yylval.name,yytext);
					
					return END_SYS;
				
#line 1947 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 159:
		{
#line 1039 "D:\\NslCompiler\\aslclex.l"
	
					strcpy(myStack,yytext);
					compiler.parser.addLinePos(yyleng);
					strcpy(yylval.name,yytext);
					
					return END_TRAIN;
				
#line 1960 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 160:
		{
#line 1047 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return MULT_EQUAL;
				
#line 1971 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 161:
		{
#line 1053 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return DIV_EQUAL;
				
#line 1982 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 162:
		{
#line 1059 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return MOD_EQUAL;
				
#line 1993 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 163:
		{
#line 1065 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return PLUS_EQUAL;
				
#line 2004 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 164:
		{
#line 1071 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return MINUS_EQUAL;
				
#line 2015 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 165:
		{
#line 1077 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return SHIFT_RIGHT_EQUAL;
				
#line 2026 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 166:
		{
#line 1083 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return SHIFT_LEFT_EQUAL;
				
#line 2037 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 167:
		{
#line 1089 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return AND_EQUAL;
				
#line 2048 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 168:
		{
#line 1095 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return XOR_EQUAL;
				
#line 2059 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 169:
		{
#line 1101 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return OR_EQUAL;
				
#line 2070 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 170:
		{
#line 1107 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return OR_LOGIC;
				
#line 2081 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 171:
		{
#line 1113 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return AND_LOGIC;
				
#line 2092 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 172:
		{
#line 1119 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return EQUAL;
				
#line 2103 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 173:
		{
#line 1125 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return NOT_EQUAL;
				
#line 2114 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 174:
		{
#line 1131 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return SHIFT_LEFT;
				
#line 2125 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 175:
		{
#line 1137 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return SHIFT_RIGHT;
				
#line 2136 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 176:
		{
#line 1143 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return LOWER_EQUAL;
				
#line 2147 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 177:
		{
#line 1149 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return GREATER_EQUAL;
				
#line 2158 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 178:
		{
#line 1155 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return PLUS_PLUS;
				
#line 2169 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 179:
		{
#line 1161 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return MINUS_MINUS;
				
#line 2180 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 180:
		{
#line 1167 "D:\\NslCompiler\\aslclex.l"

					strcpy(myStack,yytext);
					compiler.parser.addLinePos(yyleng);

					return INDIRECTION_1;
				
#line 2192 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 181:
		{
#line 1174 "D:\\NslCompiler\\aslclex.l"

					strcpy(myStack,yytext);
					compiler.parser.addLinePos(yyleng);

					return INDIRECTION_1;
				
#line 2204 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 182:
		{
#line 1182 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return INDIRECTION_2;
				
#line 2215 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 183:
		{
#line 1188 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return INDIRECTION_3;
				
#line 2226 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 184:
		{
#line 1194 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);

					return SELF;
				
#line 2237 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
#line 1199 "D:\\NslCompiler\\aslclex.l"
				
#line 2242 "D:\\NslCompiler\\aslclex.cpp"
	case 185:
		{
#line 1200 "D:\\NslCompiler\\aslclex.l"

					compiler.parser.addLinePos(yyleng);
					
					return NSLCONV;
				
#line 2251 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
#line 1205 "D:\\NslCompiler\\aslclex.l"
								
#line 2256 "D:\\NslCompiler\\aslclex.cpp"
	case 186:
		{
#line 1207 "D:\\NslCompiler\\aslclex.l"

				  int type;
				  strcpy(myBuffer,"");
				  /*printf("{NAME} %s\n",yytext);*/
				  if (!flagObject)
				    {
				      if (!flagSchema) strcpy(myBuffer,yytext);
				      /*if ((flagSchema)&&(flagExtends)) strcpy(myBuffer,yytext);*/
				    }
			          if ((flagObject) && (flagAssign))
				    {
					/*compiler.putInOutFile(yytext);*/
				   	if (flagSchema) 
					  {
					   	strcpy(myBuffer,yytext);
						flagSchema = FALSE;
						flagAssign = FALSE;
					  }
				    }
				  compiler.parser.addLinePos(yyleng);
				  strcpy(yylval.name,yytext);
				  type=compiler.parser.whichTypeIs(yytext);
				  switch (type)
				    {
					case SCHEMA_SYMBOL: 	
					  {
					   /*printf("\n SCHEMA %s\n",yylval.name);*/
					   return SCHEMA_NAME;
					  }
					case IDENT_SYMBOL:
					  {
					   /*printf("ID_DECLARED %s\n",yylval.name);*/
					   return IDENTIFIER_DECLARED;
					  }
					default:
					  {
					   /*printf("IDENTIFIER %s\n",yylval.name);*/
					   return IDENTIFIER;
					  }
								
				    }
				
#line 2302 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 187:
		{
#line 1250 "D:\\NslCompiler\\aslclex.l"

				  strcpy(myBuffer,"");					
				  if (flagObject) 
				    {
					strcpy(myStack,yytext) ;
				    }
				  else 
				    {
					strcpy(myStack,"");
					if (!flagSchema) strcpy(myBuffer,yytext);
				    }
				  compiler.parser.addLinePos(yyleng);

				  return CONST_STRING;
				
#line 2323 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 188:
		{
#line 1266 "D:\\NslCompiler\\aslclex.l"

				  strcpy(myBuffer,"");
				  if (flagObject)
				    {
					strcpy(myStack,yytext);
				    }
				  else 
				    {
					strcpy(myStack,"");
					if (!flagSchema) strcpy(myBuffer,yytext);
				    }
				  compiler.parser.addLinePos(yyleng);
					
				  return CONST_INT;
				
#line 2344 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 189:
		{
#line 1282 "D:\\NslCompiler\\aslclex.l"

				  	strcpy(myBuffer,"");
					if (flagObject)
					  {
						strcpy(myStack,yytext);
					  }
					else
					  {
						strcpy(myStack,"");
						if (!flagSchema) strcpy(myBuffer,yytext);
					  }
					compiler.parser.addLinePos(yyleng);

					return CONST_INT;
				
#line 2365 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 190:
		{
#line 1298 "D:\\NslCompiler\\aslclex.l"

					strcpy(myBuffer,"");
					if (flagObject)
					  {
						strcpy(myStack,yytext);
					  }
					else
					  {
						strcpy(myStack,"");
						if (!flagSchema) strcpy(myBuffer,yytext);
					  }
					compiler.parser.addLinePos(yyleng);

					return CONST_FLOAT;
				
#line 2386 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 191:
		{
#line 1314 "D:\\NslCompiler\\aslclex.l"

					strcpy(myBuffer,"");
					if (flagObject)
					  {
						strcpy(myStack,yytext);
					  }
					else
					  {
						strcpy(myStack,"");
						if (!flagSchema) strcpy(myBuffer,yytext);
					  }
					compiler.parser.addLinePos(yyleng);

					return CONST_FLOAT;
				
#line 2407 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 192:
		{
#line 1330 "D:\\NslCompiler\\aslclex.l"

				  strcpy(myBuffer,"");	
				  if (flagObject)
				    {
					strcpy(myStack,yytext);
				    }
				  else
				    {
					strcpy(myStack,"");
					if (!flagSchema) strcpy(myBuffer,yytext);
				    }
				  compiler.parser.addLinePos(yyleng);
					
				  return CONST_CHAR;
				
#line 2428 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 193:
		{
#line 1346 "D:\\NslCompiler\\aslclex.l"

					compiler.putInOutFile(yytext);
					compiler.parser.addLinePos(yyleng);

					/* Ignore blanks. */
				
#line 2440 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 194:
		{
#line 1354 "D:\\NslCompiler\\aslclex.l"

				  compiler.buf[0]=yytext[0];
			 	  compiler.buf[1]='\0';
				  if ((strcmp(yytext,"=") == 0) && (!flagAssign) && (flagObject)) 
				    {
					/*printf("= (flagAssign)\n"); strcpy(myAssign,"");*/
					flagAssign = TRUE;
				    }/*
				  if ((strcmp(yytext,";") == 0) && (flagAssign)) 
				    {
					/*printf("; (flagAssign)\n");*
					strcat(myAssign,";\n");
				    }* 
				  if (flagAssign) strcat(myAssign,";\n");*/
				    
				  compiler.parser.addLinePos(yyleng);
					
				  return yytext[0];
				
#line 2465 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 195:
		{
#line 1374 "D:\\NslCompiler\\aslclex.l"

				  if (!flagObject)
				    {
					compiler.buf[0]=yytext[0];
					compiler.buf[1]='\0';	
					if ((strcmp(yytext,"(") == 0) && (flagAssign == 2)) 
					  {
						/*printf("(\n");*/
						flagAssign = FALSE;
					  }
				    }
				  compiler.parser.addLinePos(yyleng);

				  return yytext[0];
				
#line 2486 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	case 196:
		{
#line 1390 "D:\\NslCompiler\\aslclex.l"

					if (isprint(yytext[0]))
						sprintf(compiler.buf,"Illegal character '%c' (%x)\n",yytext[0],yytext[0]);
					else
						sprintf(compiler.buf,"Illegal character (\\%x)\n",yytext[0]);

					compiler.sintaxError(compiler.buf);
					compiler.parser.addLinePos(yyleng);
				
#line 2501 "D:\\NslCompiler\\aslclex.cpp"
		}
		break;
	default:
		yyassert(0);
		break;
	}
	yyreturnflg = 0;
	return 0;
}

#ifndef YYNBORLANDWARN
#ifdef __BORLANDC__
#pragma warn .rch		// <warning: unreachable code> to the old state
#endif
#endif
#line 1399 "D:\\NslCompiler\\aslclex.l"


int yywrap(void)
{
	return TRUE;
}

void AslParser::setLexState(int p)
{
	// Seguti2000
	//BEGIN(p);
	tml->yybegin(p);
	// Seguti2000
}

#line 2533 "D:\\NslCompiler\\aslclex.cpp"

void YYLEXNAME::yytables()
{
	yystext_size = YYTEXT_SIZE;
	yysunput_size = YYUNPUT_SIZE;

	static const yymatch_t YYNEARFAR YYBASED_CODE match[] = {
		0
	};
	yymatch = match;

	yytransitionmax = 1142;
	static const yytransition_t YYNEARFAR YYBASED_CODE transition[] = {
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 145, 3 },
		{ 108, 3 },
		{ 57, 44 },
		{ 34, 33 },
		{ 145, 3 },
		{ 0, 144 },
		{ 218, 150 },
		{ 153, 152 },
		{ 0, 108 },
		{ 0, 16 },
		{ 0, 29 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 145, 3 },
		{ 137, 3 },
		{ 139, 3 },
		{ 107, 3 },
		{ 212, 211 },
		{ 131, 3 },
		{ 134, 3 },
		{ 144, 3 },
		{ 147, 3 },
		{ 147, 3 },
		{ 130, 3 },
		{ 132, 3 },
		{ 147, 3 },
		{ 133, 3 },
		{ 138, 3 },
		{ 106, 3 },
		{ 142, 3 },
		{ 143, 3 },
		{ 143, 3 },
		{ 143, 3 },
		{ 143, 3 },
		{ 143, 3 },
		{ 143, 3 },
		{ 143, 3 },
		{ 143, 3 },
		{ 143, 3 },
		{ 146, 3 },
		{ 146, 3 },
		{ 119, 3 },
		{ 120, 3 },
		{ 118, 3 },
		{ 146, 3 },
		{ 140, 3 },
		{ 141, 3 },
		{ 141, 3 },
		{ 141, 3 },
		{ 141, 3 },
		{ 141, 3 },
		{ 141, 3 },
		{ 141, 3 },
		{ 141, 3 },
		{ 141, 3 },
		{ 141, 3 },
		{ 141, 3 },
		{ 141, 3 },
		{ 141, 3 },
		{ 125, 3 },
		{ 141, 3 },
		{ 141, 3 },
		{ 141, 3 },
		{ 141, 3 },
		{ 141, 3 },
		{ 141, 3 },
		{ 141, 3 },
		{ 141, 3 },
		{ 141, 3 },
		{ 141, 3 },
		{ 141, 3 },
		{ 141, 3 },
		{ 146, 3 },
		{ 146, 3 },
		{ 146, 3 },
		{ 135, 3 },
		{ 141, 3 },
		{ 95, 89 },
		{ 121, 3 },
		{ 122, 3 },
		{ 110, 3 },
		{ 111, 3 },
		{ 112, 3 },
		{ 123, 3 },
		{ 141, 3 },
		{ 141, 3 },
		{ 113, 3 },
		{ 141, 3 },
		{ 141, 3 },
		{ 124, 3 },
		{ 141, 3 },
		{ 114, 3 },
		{ 115, 3 },
		{ 116, 3 },
		{ 141, 3 },
		{ 126, 3 },
		{ 109, 3 },
		{ 117, 3 },
		{ 127, 3 },
		{ 128, 3 },
		{ 129, 3 },
		{ 141, 3 },
		{ 141, 3 },
		{ 141, 3 },
		{ 146, 3 },
		{ 136, 3 },
		{ 146, 3 },
		{ 30, 1 },
		{ 16, 1 },
		{ 36, 18 },
		{ 37, 18 },
		{ 30, 1 },
		{ 38, 19 },
		{ 39, 20 },
		{ 40, 21 },
		{ 51, 35 },
		{ 52, 36 },
		{ 53, 37 },
		{ 54, 38 },
		{ 55, 39 },
		{ 56, 40 },
		{ 64, 51 },
		{ 65, 52 },
		{ 66, 53 },
		{ 68, 54 },
		{ 69, 55 },
		{ 70, 56 },
		{ 75, 64 },
		{ 76, 65 },
		{ 77, 66 },
		{ 30, 1 },
		{ 78, 67 },
		{ 23, 1 },
		{ 15, 1 },
		{ 67, 54 },
		{ 79, 68 },
		{ 31, 1 },
		{ 29, 1 },
		{ 80, 69 },
		{ 81, 70 },
		{ 82, 75 },
		{ 83, 76 },
		{ 84, 77 },
		{ 25, 1 },
		{ 28, 1 },
		{ 24, 1 },
		{ 26, 1 },
		{ 27, 1 },
		{ 27, 1 },
		{ 27, 1 },
		{ 27, 1 },
		{ 27, 1 },
		{ 27, 1 },
		{ 27, 1 },
		{ 27, 1 },
		{ 27, 1 },
		{ 31, 1 },
		{ 31, 1 },
		{ 85, 78 },
		{ 31, 1 },
		{ 86, 79 },
		{ 31, 1 },
		{ 87, 80 },
		{ 22, 1 },
		{ 22, 1 },
		{ 22, 1 },
		{ 22, 1 },
		{ 22, 1 },
		{ 22, 1 },
		{ 22, 1 },
		{ 22, 1 },
		{ 22, 1 },
		{ 22, 1 },
		{ 22, 1 },
		{ 22, 1 },
		{ 22, 1 },
		{ 22, 1 },
		{ 22, 1 },
		{ 22, 1 },
		{ 22, 1 },
		{ 22, 1 },
		{ 22, 1 },
		{ 22, 1 },
		{ 22, 1 },
		{ 22, 1 },
		{ 22, 1 },
		{ 22, 1 },
		{ 22, 1 },
		{ 22, 1 },
		{ 31, 1 },
		{ 31, 1 },
		{ 31, 1 },
		{ 88, 81 },
		{ 22, 1 },
		{ 89, 82 },
		{ 22, 1 },
		{ 22, 1 },
		{ 22, 1 },
		{ 22, 1 },
		{ 20, 1 },
		{ 22, 1 },
		{ 22, 1 },
		{ 22, 1 },
		{ 18, 1 },
		{ 22, 1 },
		{ 22, 1 },
		{ 22, 1 },
		{ 22, 1 },
		{ 19, 1 },
		{ 22, 1 },
		{ 22, 1 },
		{ 22, 1 },
		{ 22, 1 },
		{ 21, 1 },
		{ 22, 1 },
		{ 22, 1 },
		{ 17, 1 },
		{ 22, 1 },
		{ 22, 1 },
		{ 22, 1 },
		{ 22, 1 },
		{ 31, 1 },
		{ 31, 1 },
		{ 31, 1 },
		{ 90, 84 },
		{ 91, 85 },
		{ 93, 86 },
		{ 94, 87 },
		{ 96, 90 },
		{ 97, 91 },
		{ 98, 92 },
		{ 99, 93 },
		{ 100, 94 },
		{ 101, 95 },
		{ 102, 98 },
		{ 103, 101 },
		{ 104, 103 },
		{ 105, 104 },
		{ 35, 17 },
		{ 172, 114 },
		{ 173, 115 },
		{ 92, 85 },
		{ 22, 105 },
		{ 22, 105 },
		{ 22, 105 },
		{ 22, 105 },
		{ 22, 105 },
		{ 22, 105 },
		{ 22, 105 },
		{ 22, 105 },
		{ 22, 105 },
		{ 22, 105 },
		{ 174, 116 },
		{ 171, 114 },
		{ 176, 117 },
		{ 175, 116 },
		{ 183, 121 },
		{ 188, 124 },
		{ 189, 125 },
		{ 22, 105 },
		{ 22, 105 },
		{ 22, 105 },
		{ 22, 105 },
		{ 22, 105 },
		{ 22, 105 },
		{ 22, 105 },
		{ 22, 105 },
		{ 22, 105 },
		{ 22, 105 },
		{ 22, 105 },
		{ 22, 105 },
		{ 22, 105 },
		{ 22, 105 },
		{ 22, 105 },
		{ 22, 105 },
		{ 22, 105 },
		{ 22, 105 },
		{ 22, 105 },
		{ 22, 105 },
		{ 22, 105 },
		{ 22, 105 },
		{ 22, 105 },
		{ 22, 105 },
		{ 22, 105 },
		{ 22, 105 },
		{ 185, 122 },
		{ 190, 126 },
		{ 186, 123 },
		{ 184, 122 },
		{ 22, 105 },
		{ 187, 123 },
		{ 22, 105 },
		{ 22, 105 },
		{ 22, 105 },
		{ 22, 105 },
		{ 22, 105 },
		{ 22, 105 },
		{ 22, 105 },
		{ 22, 105 },
		{ 22, 105 },
		{ 22, 105 },
		{ 22, 105 },
		{ 22, 105 },
		{ 22, 105 },
		{ 22, 105 },
		{ 22, 105 },
		{ 22, 105 },
		{ 22, 105 },
		{ 22, 105 },
		{ 22, 105 },
		{ 22, 105 },
		{ 22, 105 },
		{ 22, 105 },
		{ 22, 105 },
		{ 22, 105 },
		{ 22, 105 },
		{ 22, 105 },
		{ 158, 109 },
		{ 164, 111 },
		{ 191, 127 },
		{ 159, 109 },
		{ 155, 109 },
		{ 162, 110 },
		{ 170, 113 },
		{ 192, 128 },
		{ 194, 129 },
		{ 219, 154 },
		{ 156, 109 },
		{ 165, 111 },
		{ 163, 110 },
		{ 193, 128 },
		{ 169, 113 },
		{ 157, 109 },
		{ 154, 109 },
		{ 221, 155 },
		{ 160, 109 },
		{ 161, 110 },
		{ 167, 112 },
		{ 224, 156 },
		{ 168, 112 },
		{ 223, 155 },
		{ 220, 155 },
		{ 226, 157 },
		{ 227, 158 },
		{ 228, 159 },
		{ 229, 160 },
		{ 230, 161 },
		{ 231, 162 },
		{ 232, 163 },
		{ 166, 112 },
		{ 236, 165 },
		{ 235, 164 },
		{ 237, 166 },
		{ 222, 155 },
		{ 238, 167 },
		{ 239, 168 },
		{ 225, 157 },
		{ 233, 164 },
		{ 242, 169 },
		{ 243, 171 },
		{ 244, 172 },
		{ 245, 173 },
		{ 246, 174 },
		{ 248, 175 },
		{ 234, 164 },
		{ 240, 169 },
		{ 249, 176 },
		{ 257, 183 },
		{ 247, 174 },
		{ 241, 169 },
		{ 258, 184 },
		{ 259, 185 },
		{ 260, 186 },
		{ 261, 187 },
		{ 262, 188 },
		{ 263, 189 },
		{ 264, 190 },
		{ 266, 191 },
		{ 267, 192 },
		{ 268, 193 },
		{ 270, 194 },
		{ 279, 219 },
		{ 269, 193 },
		{ 280, 221 },
		{ 281, 222 },
		{ 282, 223 },
		{ 284, 224 },
		{ 283, 223 },
		{ 285, 225 },
		{ 265, 190 },
		{ 286, 226 },
		{ 287, 227 },
		{ 288, 228 },
		{ 289, 229 },
		{ 290, 230 },
		{ 291, 230 },
		{ 292, 231 },
		{ 293, 232 },
		{ 294, 233 },
		{ 295, 234 },
		{ 296, 235 },
		{ 297, 236 },
		{ 298, 237 },
		{ 299, 238 },
		{ 300, 239 },
		{ 301, 239 },
		{ 302, 239 },
		{ 303, 240 },
		{ 304, 241 },
		{ 305, 242 },
		{ 306, 243 },
		{ 307, 245 },
		{ 308, 246 },
		{ 309, 247 },
		{ 310, 248 },
		{ 311, 249 },
		{ 312, 257 },
		{ 313, 258 },
		{ 314, 259 },
		{ 315, 260 },
		{ 316, 262 },
		{ 317, 263 },
		{ 323, 264 },
		{ 318, 263 },
		{ 324, 265 },
		{ 325, 266 },
		{ 319, 263 },
		{ 326, 267 },
		{ 327, 268 },
		{ 328, 269 },
		{ 320, 263 },
		{ 329, 270 },
		{ 334, 279 },
		{ 335, 280 },
		{ 336, 281 },
		{ 337, 282 },
		{ 321, 263 },
		{ 338, 283 },
		{ 339, 286 },
		{ 322, 263 },
		{ 340, 288 },
		{ 341, 289 },
		{ 342, 290 },
		{ 343, 291 },
		{ 344, 293 },
		{ 345, 294 },
		{ 347, 295 },
		{ 348, 296 },
		{ 349, 297 },
		{ 351, 298 },
		{ 352, 300 },
		{ 353, 301 },
		{ 354, 302 },
		{ 350, 298 },
		{ 355, 303 },
		{ 356, 304 },
		{ 360, 306 },
		{ 361, 307 },
		{ 346, 294 },
		{ 357, 305 },
		{ 358, 305 },
		{ 359, 305 },
		{ 362, 308 },
		{ 363, 309 },
		{ 364, 310 },
		{ 365, 313 },
		{ 366, 314 },
		{ 367, 315 },
		{ 368, 317 },
		{ 371, 318 },
		{ 373, 319 },
		{ 374, 320 },
		{ 372, 318 },
		{ 375, 321 },
		{ 376, 322 },
		{ 377, 323 },
		{ 369, 317 },
		{ 378, 324 },
		{ 379, 325 },
		{ 380, 326 },
		{ 381, 328 },
		{ 382, 329 },
		{ 370, 317 },
		{ 383, 335 },
		{ 384, 336 },
		{ 385, 337 },
		{ 386, 338 },
		{ 387, 339 },
		{ 388, 341 },
		{ 389, 342 },
		{ 390, 343 },
		{ 391, 344 },
		{ 392, 345 },
		{ 393, 346 },
		{ 394, 347 },
		{ 395, 348 },
		{ 396, 349 },
		{ 397, 350 },
		{ 398, 351 },
		{ 399, 352 },
		{ 400, 353 },
		{ 401, 354 },
		{ 402, 356 },
		{ 403, 357 },
		{ 404, 358 },
		{ 405, 359 },
		{ 406, 360 },
		{ 407, 361 },
		{ 408, 362 },
		{ 409, 363 },
		{ 410, 364 },
		{ 411, 366 },
		{ 412, 368 },
		{ 413, 369 },
		{ 414, 370 },
		{ 415, 371 },
		{ 416, 372 },
		{ 417, 373 },
		{ 418, 374 },
		{ 419, 375 },
		{ 420, 376 },
		{ 421, 377 },
		{ 422, 378 },
		{ 423, 379 },
		{ 424, 380 },
		{ 425, 381 },
		{ 426, 386 },
		{ 427, 389 },
		{ 428, 390 },
		{ 429, 391 },
		{ 430, 392 },
		{ 431, 394 },
		{ 432, 395 },
		{ 433, 397 },
		{ 434, 398 },
		{ 435, 401 },
		{ 436, 402 },
		{ 437, 403 },
		{ 438, 404 },
		{ 439, 405 },
		{ 440, 406 },
		{ 441, 408 },
		{ 442, 409 },
		{ 443, 411 },
		{ 444, 412 },
		{ 445, 413 },
		{ 449, 414 },
		{ 446, 413 },
		{ 450, 415 },
		{ 451, 416 },
		{ 447, 413 },
		{ 452, 417 },
		{ 453, 417 },
		{ 454, 417 },
		{ 455, 417 },
		{ 456, 417 },
		{ 457, 418 },
		{ 458, 419 },
		{ 459, 420 },
		{ 460, 421 },
		{ 461, 423 },
		{ 462, 424 },
		{ 463, 425 },
		{ 464, 426 },
		{ 448, 414 },
		{ 465, 427 },
		{ 466, 428 },
		{ 467, 429 },
		{ 468, 430 },
		{ 469, 431 },
		{ 470, 433 },
		{ 471, 435 },
		{ 472, 436 },
		{ 473, 439 },
		{ 474, 440 },
		{ 475, 442 },
		{ 476, 445 },
		{ 477, 446 },
		{ 478, 447 },
		{ 479, 448 },
		{ 482, 449 },
		{ 480, 448 },
		{ 483, 451 },
		{ 484, 457 },
		{ 481, 448 },
		{ 485, 458 },
		{ 486, 459 },
		{ 487, 460 },
		{ 488, 461 },
		{ 489, 463 },
		{ 490, 465 },
		{ 491, 467 },
		{ 492, 469 },
		{ 493, 473 },
		{ 494, 474 },
		{ 495, 475 },
		{ 496, 476 },
		{ 497, 477 },
		{ 498, 478 },
		{ 499, 479 },
		{ 500, 480 },
		{ 501, 481 },
		{ 502, 482 },
		{ 503, 483 },
		{ 504, 483 },
		{ 505, 483 },
		{ 506, 483 },
		{ 507, 483 },
		{ 508, 484 },
		{ 509, 485 },
		{ 510, 486 },
		{ 511, 490 },
		{ 512, 491 },
		{ 513, 492 },
		{ 514, 496 },
		{ 515, 497 },
		{ 516, 498 },
		{ 517, 498 },
		{ 518, 498 },
		{ 519, 498 },
		{ 520, 498 },
		{ 521, 499 },
		{ 522, 500 },
		{ 523, 501 },
		{ 524, 502 },
		{ 525, 502 },
		{ 526, 502 },
		{ 527, 502 },
		{ 528, 502 },
		{ 529, 509 },
		{ 530, 509 },
		{ 531, 511 },
		{ 532, 514 },
		{ 533, 515 },
		{ 534, 521 },
		{ 535, 522 },
		{ 536, 523 },
		{ 537, 523 },
		{ 538, 523 },
		{ 539, 523 },
		{ 540, 523 },
		{ 541, 532 },
		{ 542, 533 },
		{ 543, 533 },
		{ 544, 533 },
		{ 545, 533 },
		{ 546, 533 },
		{ 547, 534 },
		{ 548, 535 },
		{ 549, 541 },
		{ 550, 541 },
		{ 551, 541 },
		{ 552, 541 },
		{ 553, 541 },
		{ 554, 547 },
		{ 555, 548 },
		{ 556, 548 },
		{ 557, 548 },
		{ 558, 548 },
		{ 559, 548 },
		{ 560, 554 },
		{ 561, 554 },
		{ 562, 554 },
		{ 563, 554 },
		{ 564, 554 },
		{ 141, 564 },
		{ 141, 564 },
		{ 141, 564 },
		{ 141, 564 },
		{ 141, 564 },
		{ 141, 564 },
		{ 141, 564 },
		{ 141, 564 },
		{ 141, 564 },
		{ 141, 564 },
		{ 47, 26 },
		{ 214, 142 },
		{ 565, 5 },
		{ 59, 48 },
		{ 208, 138 },
		{ 276, 216 },
		{ 330, 272 },
		{ 141, 564 },
		{ 141, 564 },
		{ 141, 564 },
		{ 141, 564 },
		{ 141, 564 },
		{ 141, 564 },
		{ 141, 564 },
		{ 141, 564 },
		{ 141, 564 },
		{ 141, 564 },
		{ 141, 564 },
		{ 141, 564 },
		{ 141, 564 },
		{ 141, 564 },
		{ 141, 564 },
		{ 141, 564 },
		{ 141, 564 },
		{ 141, 564 },
		{ 141, 564 },
		{ 141, 564 },
		{ 141, 564 },
		{ 141, 564 },
		{ 141, 564 },
		{ 141, 564 },
		{ 141, 564 },
		{ 141, 564 },
		{ 73, 61 },
		{ 570, 569 },
		{ 567, 566 },
		{ 569, 568 },
		{ 141, 564 },
		{ 573, 572 },
		{ 141, 564 },
		{ 141, 564 },
		{ 141, 564 },
		{ 141, 564 },
		{ 141, 564 },
		{ 141, 564 },
		{ 141, 564 },
		{ 141, 564 },
		{ 141, 564 },
		{ 141, 564 },
		{ 141, 564 },
		{ 141, 564 },
		{ 141, 564 },
		{ 141, 564 },
		{ 141, 564 },
		{ 141, 564 },
		{ 141, 564 },
		{ 141, 564 },
		{ 141, 564 },
		{ 141, 564 },
		{ 141, 564 },
		{ 141, 564 },
		{ 141, 564 },
		{ 141, 564 },
		{ 141, 564 },
		{ 141, 564 },
		{ 579, 579 },
		{ 579, 579 },
		{ 579, 579 },
		{ 579, 579 },
		{ 579, 579 },
		{ 579, 579 },
		{ 579, 579 },
		{ 579, 579 },
		{ 579, 579 },
		{ 579, 579 },
		{ 574, 573 },
		{ 575, 574 },
		{ 571, 570 },
		{ 566, 565 },
		{ 181, 120 },
		{ 205, 136 },
		{ 568, 567 },
		{ 579, 579 },
		{ 579, 579 },
		{ 579, 579 },
		{ 579, 579 },
		{ 579, 579 },
		{ 579, 579 },
		{ 579, 579 },
		{ 579, 579 },
		{ 579, 579 },
		{ 579, 579 },
		{ 579, 579 },
		{ 579, 579 },
		{ 579, 579 },
		{ 579, 579 },
		{ 579, 579 },
		{ 579, 579 },
		{ 579, 579 },
		{ 579, 579 },
		{ 579, 579 },
		{ 579, 579 },
		{ 579, 579 },
		{ 579, 579 },
		{ 579, 579 },
		{ 579, 579 },
		{ 579, 579 },
		{ 579, 579 },
		{ 572, 571 },
		{ 177, 118 },
		{ 178, 118 },
		{ 251, 177 },
		{ 579, 579 },
		{ 250, 177 },
		{ 579, 579 },
		{ 579, 579 },
		{ 579, 579 },
		{ 579, 579 },
		{ 579, 579 },
		{ 579, 579 },
		{ 579, 579 },
		{ 579, 579 },
		{ 579, 579 },
		{ 579, 579 },
		{ 579, 579 },
		{ 579, 579 },
		{ 579, 579 },
		{ 579, 579 },
		{ 579, 579 },
		{ 579, 579 },
		{ 579, 579 },
		{ 579, 579 },
		{ 579, 579 },
		{ 579, 579 },
		{ 579, 579 },
		{ 579, 579 },
		{ 579, 579 },
		{ 579, 579 },
		{ 579, 579 },
		{ 579, 579 },
		{ 580, 9 },
		{ 582, 9 },
		{ 182, 120 },
		{ 206, 136 },
		{ 580, 9 },
		{ 200, 133 },
		{ 255, 181 },
		{ 58, 58 },
		{ 58, 58 },
		{ 58, 58 },
		{ 58, 58 },
		{ 58, 58 },
		{ 58, 58 },
		{ 58, 58 },
		{ 58, 58 },
		{ 58, 58 },
		{ 58, 58 },
		{ 256, 182 },
		{ 198, 132 },
		{ 180, 119 },
		{ 179, 119 },
		{ 199, 133 },
		{ 201, 133 },
		{ 580, 9 },
		{ 58, 58 },
		{ 58, 58 },
		{ 58, 58 },
		{ 58, 58 },
		{ 58, 58 },
		{ 58, 58 },
		{ 149, 106 },
		{ 203, 134 },
		{ 195, 130 },
		{ 204, 135 },
		{ 196, 131 },
		{ 150, 106 },
		{ 197, 132 },
		{ 578, 9 },
		{ 207, 137 },
		{ 0, 9 },
		{ 0, 9 },
		{ 0, 9 },
		{ 0, 9 },
		{ 0, 9 },
		{ 0, 9 },
		{ 0, 9 },
		{ 0, 9 },
		{ 0, 9 },
		{ 0, 9 },
		{ 151, 106 },
		{ 581, 9 },
		{ 252, 178 },
		{ 254, 180 },
		{ 253, 179 },
		{ 202, 134 },
		{ 584, 583 },
		{ 58, 58 },
		{ 58, 58 },
		{ 58, 58 },
		{ 58, 58 },
		{ 58, 58 },
		{ 58, 58 },
		{ 275, 275 },
		{ 275, 275 },
		{ 275, 275 },
		{ 275, 275 },
		{ 275, 275 },
		{ 275, 275 },
		{ 275, 275 },
		{ 275, 275 },
		{ 275, 275 },
		{ 275, 275 },
		{ 586, 585 },
		{ 43, 24 },
		{ 210, 139 },
		{ 271, 201 },
		{ 0, 47 },
		{ 0, 214 },
		{ 44, 24 },
		{ 275, 275 },
		{ 275, 275 },
		{ 275, 275 },
		{ 275, 275 },
		{ 275, 275 },
		{ 275, 275 },
		{ 0, 47 },
		{ 0, 214 },
		{ 45, 27 },
		{ 63, 50 },
		{ 27, 27 },
		{ 27, 27 },
		{ 27, 27 },
		{ 27, 27 },
		{ 27, 27 },
		{ 27, 27 },
		{ 27, 27 },
		{ 27, 27 },
		{ 27, 27 },
		{ 27, 27 },
		{ 278, 217 },
		{ 272, 209 },
		{ 273, 209 },
		{ 42, 41 },
		{ 274, 210 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 273, 209 },
		{ 0, 47 },
		{ 0, 214 },
		{ 48, 27 },
		{ 275, 275 },
		{ 275, 275 },
		{ 275, 275 },
		{ 275, 275 },
		{ 275, 275 },
		{ 275, 275 },
		{ 0, 47 },
		{ 0, 214 },
		{ 0, 0 },
		{ 215, 143 },
		{ 0, 0 },
		{ 143, 143 },
		{ 143, 143 },
		{ 143, 143 },
		{ 143, 143 },
		{ 143, 143 },
		{ 143, 143 },
		{ 143, 143 },
		{ 143, 143 },
		{ 143, 143 },
		{ 143, 143 },
		{ 272, 209 },
		{ 273, 209 },
		{ 62, 62 },
		{ 333, 333 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 273, 209 },
		{ 62, 62 },
		{ 333, 333 },
		{ 48, 27 },
		{ 216, 143 },
		{ 49, 49 },
		{ 49, 49 },
		{ 49, 49 },
		{ 49, 49 },
		{ 49, 49 },
		{ 49, 49 },
		{ 49, 49 },
		{ 49, 49 },
		{ 49, 49 },
		{ 49, 49 },
		{ 74, 74 },
		{ 74, 74 },
		{ 74, 74 },
		{ 74, 74 },
		{ 74, 74 },
		{ 74, 74 },
		{ 74, 74 },
		{ 74, 74 },
		{ 74, 74 },
		{ 74, 74 },
		{ 0, 0 },
		{ 61, 49 },
		{ 62, 62 },
		{ 333, 333 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 62, 62 },
		{ 333, 333 },
		{ 0, 0 },
		{ 216, 143 },
		{ 277, 277 },
		{ 277, 277 },
		{ 277, 277 },
		{ 277, 277 },
		{ 277, 277 },
		{ 277, 277 },
		{ 277, 277 },
		{ 277, 277 },
		{ 277, 277 },
		{ 277, 277 },
		{ 331, 331 },
		{ 331, 331 },
		{ 331, 331 },
		{ 331, 331 },
		{ 331, 331 },
		{ 331, 331 },
		{ 331, 331 },
		{ 331, 331 },
		{ 331, 331 },
		{ 331, 331 },
		{ 0, 0 },
		{ 61, 49 },
		{ 60, 60 },
		{ 60, 60 },
		{ 60, 60 },
		{ 60, 60 },
		{ 60, 60 },
		{ 60, 60 },
		{ 60, 60 },
		{ 60, 60 },
		{ 60, 60 },
		{ 60, 60 },
		{ 213, 213 },
		{ 46, 46 },
		{ 332, 332 },
		{ 71, 71 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 26, 25 },
		{ 213, 213 },
		{ 46, 46 },
		{ 332, 332 },
		{ 71, 71 },
		{ 0, 0 },
		{ 72, 72 },
		{ 273, 273 },
		{ 0, 73 },
		{ 0, 45 },
		{ 0, 45 },
		{ 0, 330 },
		{ 72, 72 },
		{ 273, 273 },
		{ 0, 73 },
		{ 0, 0 },
		{ 0, 45 },
		{ 0, 330 },
		{ 0, 7 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 25 },
		{ 0, 0 },
		{ 0, 59 },
		{ 213, 213 },
		{ 46, 46 },
		{ 332, 332 },
		{ 71, 71 },
		{ 0, 25 },
		{ 0, 59 },
		{ 576, 7 },
		{ 0, 0 },
		{ 0, 0 },
		{ 213, 213 },
		{ 46, 46 },
		{ 332, 332 },
		{ 71, 71 },
		{ 0, 25 },
		{ 72, 72 },
		{ 273, 273 },
		{ 0, 73 },
		{ 0, 45 },
		{ 0, 45 },
		{ 0, 330 },
		{ 72, 72 },
		{ 273, 273 },
		{ 0, 73 },
		{ 0, 0 },
		{ 0, 45 },
		{ 0, 330 },
		{ 0, 276 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 25 },
		{ 0, 0 },
		{ 0, 59 },
		{ 0, 276 },
		{ 0, 11 },
		{ 0, 11 },
		{ 583, 11 },
		{ 0, 25 },
		{ 0, 59 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 11 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 25 },
		{ 209, 215 },
		{ 209, 215 },
		{ 209, 215 },
		{ 209, 215 },
		{ 209, 215 },
		{ 209, 215 },
		{ 209, 215 },
		{ 209, 215 },
		{ 209, 215 },
		{ 209, 215 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 276 },
		{ 0, 13 },
		{ 0, 13 },
		{ 585, 13 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 276 },
		{ 0, 0 },
		{ 0, 13 }
	};
	yytransition = transition;

	static const yystate_t YYNEARFAR YYBASED_CODE state[] = {
		{ 0, 0, 0 },
		{ -32, 118, 0 },
		{ 1, 0, 0 },
		{ -148, 1, 0 },
		{ 3, 0, 0 },
		{ 0, 579, 0 },
		{ 5, 0, 0 },
		{ -577, 1035, 0 },
		{ 7, 0, 0 },
		{ 579, 826, 0 },
		{ 9, 0, 0 },
		{ -11, 1068, 0 },
		{ 11, 0, 0 },
		{ -13, 1094, 0 },
		{ 13, 0, 0 },
		{ 33, 0, 29 },
		{ -16, 9, 2 },
		{ 105, 157, 17 },
		{ 105, 20, 17 },
		{ 105, 17, 17 },
		{ 105, 13, 17 },
		{ 105, 18, 17 },
		{ 105, 0, 17 },
		{ 41, 0, 28 },
		{ 585, 866, 29 },
		{ 27, 1003, 29 },
		{ 27, 575, 22 },
		{ 46, 876, 22 },
		{ 45, 0, 28 },
		{ -50, 10, 28 },
		{ 0, 0, 27 },
		{ 0, 0, 28 },
		{ 0, 0, 29 },
		{ -33, 3, 0 },
		{ 0, 0, 1 },
		{ 105, 21, 17 },
		{ 105, 24, 17 },
		{ 105, 21, 17 },
		{ 105, 30, 17 },
		{ 105, 23, 17 },
		{ 105, 43, 17 },
		{ -41, 903, 0 },
		{ 0, 0, 18 },
		{ 0, 0, 19 },
		{ -44, 2, 0 },
		{ 49, 991, 0 },
		{ 332, 968, 22 },
		{ 58, 835, 0 },
		{ 59, 653, 0 },
		{ 74, 931, 24 },
		{ 217, 884, 0 },
		{ 105, 43, 17 },
		{ 105, 31, 17 },
		{ 105, 42, 17 },
		{ 105, 77, 17 },
		{ 105, 44, 17 },
		{ 105, 30, 17 },
		{ 0, 0, 21 },
		{ 71, 794, 23 },
		{ 60, 1004, 0 },
		{ 72, 985, 25 },
		{ 73, 683, 0 },
		{ 574, 899, 24 },
		{ 0, 0, 26 },
		{ 105, 36, 17 },
		{ 105, 34, 17 },
		{ 105, 35, 17 },
		{ 105, 40, 17 },
		{ 105, 47, 17 },
		{ 105, 44, 17 },
		{ 105, 54, 17 },
		{ 332, 970, 23 },
		{ 574, 987, 25 },
		{ 74, 989, 0 },
		{ 62, 941, 24 },
		{ 105, 45, 17 },
		{ 105, 45, 17 },
		{ 105, 52, 17 },
		{ 105, 78, 17 },
		{ 105, 83, 17 },
		{ 105, 72, 17 },
		{ 105, 113, 17 },
		{ 105, 113, 17 },
		{ 105, 0, 5 },
		{ 105, 147, 17 },
		{ 105, 144, 17 },
		{ 105, 131, 17 },
		{ 105, 150, 17 },
		{ 105, 0, 16 },
		{ 105, 2, 17 },
		{ 105, 140, 17 },
		{ 105, 141, 17 },
		{ 105, 142, 17 },
		{ 105, 136, 17 },
		{ 105, 144, 17 },
		{ 105, 175, 17 },
		{ 105, 0, 15 },
		{ 105, 0, 11 },
		{ 105, 153, 17 },
		{ 105, 0, 13 },
		{ 105, 0, 14 },
		{ 105, 172, 17 },
		{ 105, 0, 12 },
		{ 105, 180, 17 },
		{ 105, 190, 17 },
		{ 579, 214, 3 },
		{ 585, 823, 195 },
		{ 152, 0, 196 },
		{ -108, 8, 34 },
		{ 564, 236, 186 },
		{ 564, 245, 186 },
		{ 564, 237, 186 },
		{ 564, 249, 186 },
		{ 564, 241, 186 },
		{ 564, 158, 186 },
		{ 564, 143, 186 },
		{ 564, 158, 186 },
		{ 564, 170, 186 },
		{ 182, 743, 195 },
		{ 182, 794, 195 },
		{ 182, 713, 194 },
		{ 564, 159, 186 },
		{ 564, 194, 186 },
		{ 564, 199, 186 },
		{ 564, 166, 186 },
		{ 564, 163, 186 },
		{ 564, 205, 186 },
		{ 564, 229, 186 },
		{ 564, 239, 186 },
		{ 564, 241, 186 },
		{ 182, 806, 195 },
		{ 182, 808, 195 },
		{ 182, 810, 195 },
		{ 182, 795, 195 },
		{ 182, 828, 194 },
		{ 182, 807, 195 },
		{ 182, 714, 194 },
		{ 182, 812, 195 },
		{ 215, 657, 180 },
		{ 211, 867, 194 },
		{ 0, 0, 185 },
		{ 564, 0, 186 },
		{ 143, 576, 188 },
		{ 213, 909, 188 },
		{ -217, 5, 194 },
		{ 0, 0, 193 },
		{ 0, 0, 194 },
		{ 0, 0, 195 },
		{ 0, 0, 196 },
		{ 0, 0, 30 },
		{ -150, 6, 0 },
		{ 0, 0, 161 },
		{ -152, 7, 0 },
		{ 0, 0, 33 },
		{ 564, 234, 186 },
		{ 564, 251, 186 },
		{ 564, 241, 186 },
		{ 564, 265, 186 },
		{ 564, 255, 186 },
		{ 564, 253, 186 },
		{ 564, 260, 186 },
		{ 564, 256, 186 },
		{ 564, 252, 186 },
		{ 564, 271, 186 },
		{ 564, 269, 186 },
		{ 564, 253, 68 },
		{ 564, 256, 186 },
		{ 564, 259, 186 },
		{ 564, 275, 186 },
		{ 564, 273, 186 },
		{ 564, 0, 74 },
		{ 564, 271, 186 },
		{ 564, 261, 186 },
		{ 564, 265, 186 },
		{ 564, 277, 186 },
		{ 564, 285, 186 },
		{ 564, 281, 186 },
		{ 179, 746, 177 },
		{ 182, 825, 175 },
		{ 0, 828, 176 },
		{ 182, 826, 174 },
		{ 182, 780, 172 },
		{ 0, 791, 0 },
		{ 564, 271, 186 },
		{ 564, 289, 186 },
		{ 564, 280, 186 },
		{ 564, 281, 186 },
		{ 564, 279, 186 },
		{ 564, 284, 186 },
		{ 564, 287, 186 },
		{ 564, 293, 186 },
		{ 564, 282, 186 },
		{ 564, 284, 186 },
		{ 564, 294, 186 },
		{ 564, 295, 186 },
		{ 0, 0, 160 },
		{ 0, 0, 162 },
		{ 0, 0, 163 },
		{ 0, 0, 178 },
		{ 0, 0, 164 },
		{ 0, 0, 179 },
		{ 0, 868, 181 },
		{ 0, 0, 167 },
		{ 0, 0, 171 },
		{ 0, 0, 168 },
		{ 0, 0, 169 },
		{ 0, 0, 170 },
		{ 0, 0, 173 },
		{ 0, 0, 182 },
		{ 215, 866, 190 },
		{ 211, 904, 0 },
		{ -211, 3, 0 },
		{ 0, 0, 187 },
		{ 332, 967, 188 },
		{ 275, 836, 0 },
		{ 330, 1073, 0 },
		{ 276, 655, 0 },
		{ 0, 895, 0 },
		{ 0, 0, 32 },
		{ 564, 300, 186 },
		{ 564, 0, 50 },
		{ 564, 293, 186 },
		{ 564, 303, 186 },
		{ 564, 323, 186 },
		{ 564, 290, 186 },
		{ 564, 296, 186 },
		{ 564, 294, 186 },
		{ 564, 309, 186 },
		{ 564, 298, 186 },
		{ 564, 297, 186 },
		{ 564, 299, 186 },
		{ 564, 315, 186 },
		{ 564, 303, 186 },
		{ 564, 317, 186 },
		{ 564, 303, 186 },
		{ 564, 323, 186 },
		{ 564, 323, 186 },
		{ 564, 321, 186 },
		{ 564, 322, 186 },
		{ 564, 342, 186 },
		{ 564, 310, 186 },
		{ 564, 327, 75 },
		{ 564, 313, 186 },
		{ 564, 353, 186 },
		{ 564, 0, 77 },
		{ 564, 319, 186 },
		{ 564, 314, 186 },
		{ 564, 317, 186 },
		{ 564, 326, 186 },
		{ 564, 320, 186 },
		{ 0, 0, 55 },
		{ 0, 0, 57 },
		{ 0, 0, 165 },
		{ 0, 0, 56 },
		{ 0, 0, 166 },
		{ 0, 0, 58 },
		{ 0, 0, 59 },
		{ 564, 325, 186 },
		{ 564, 340, 186 },
		{ 564, 330, 186 },
		{ 564, 342, 186 },
		{ 564, 0, 73 },
		{ 564, 337, 186 },
		{ 564, 373, 186 },
		{ 564, 337, 186 },
		{ 564, 327, 186 },
		{ 564, 340, 186 },
		{ 564, 331, 186 },
		{ 564, 348, 186 },
		{ 564, 352, 186 },
		{ 564, 343, 186 },
		{ 0, 0, 183 },
		{ 330, 656, 0 },
		{ 574, 988, 190 },
		{ 0, 0, 184 },
		{ 332, 849, 189 },
		{ 277, 1031, 0 },
		{ 333, 963, 191 },
		{ 0, 0, 192 },
		{ 564, 338, 186 },
		{ 564, 352, 186 },
		{ 564, 343, 186 },
		{ 564, 338, 186 },
		{ 564, 343, 186 },
		{ 564, 0, 51 },
		{ 564, 0, 52 },
		{ 564, 353, 186 },
		{ 564, 0, 54 },
		{ 564, 344, 186 },
		{ 564, 362, 186 },
		{ 564, 346, 186 },
		{ 564, 358, 186 },
		{ 564, 0, 62 },
		{ 564, 381, 63 },
		{ 564, 362, 186 },
		{ 564, 352, 186 },
		{ 564, 350, 186 },
		{ 564, 360, 186 },
		{ 564, 359, 186 },
		{ 564, 0, 70 },
		{ 564, 353, 186 },
		{ 564, 350, 186 },
		{ 564, 358, 186 },
		{ 564, 358, 186 },
		{ 564, 361, 186 },
		{ 564, 397, 186 },
		{ 564, 365, 186 },
		{ 564, 360, 186 },
		{ 564, 385, 186 },
		{ 564, 382, 186 },
		{ 564, 379, 186 },
		{ 564, 0, 53 },
		{ 564, 0, 60 },
		{ 564, 378, 186 },
		{ 564, 385, 186 },
		{ 564, 371, 186 },
		{ 564, 0, 76 },
		{ 564, 391, 186 },
		{ 564, 384, 186 },
		{ 564, 380, 186 },
		{ 564, 394, 186 },
		{ 564, 377, 186 },
		{ 564, 393, 186 },
		{ 564, 380, 186 },
		{ 564, 383, 186 },
		{ 564, 395, 186 },
		{ 564, 382, 186 },
		{ 564, 0, 149 },
		{ 564, 384, 186 },
		{ 564, 400, 186 },
		{ 331, 992, 0 },
		{ 273, 973, 190 },
		{ 0, 969, 189 },
		{ 574, 900, 191 },
		{ 564, 0, 35 },
		{ 564, 403, 186 },
		{ 564, 402, 186 },
		{ 564, 395, 186 },
		{ 564, 409, 186 },
		{ 564, 408, 186 },
		{ 564, 0, 142 },
		{ 564, 404, 186 },
		{ 564, 395, 64 },
		{ 564, 400, 186 },
		{ 564, 395, 186 },
		{ 564, 415, 186 },
		{ 564, 412, 186 },
		{ 564, 397, 186 },
		{ 564, 407, 186 },
		{ 564, 415, 186 },
		{ 564, 407, 186 },
		{ 564, 418, 186 },
		{ 564, 409, 186 },
		{ 564, 405, 186 },
		{ 564, 424, 186 },
		{ 564, 0, 43 },
		{ 564, 412, 186 },
		{ 564, 406, 186 },
		{ 564, 403, 186 },
		{ 564, 411, 186 },
		{ 564, 426, 186 },
		{ 564, 411, 186 },
		{ 564, 412, 186 },
		{ 564, 430, 186 },
		{ 564, 431, 186 },
		{ 564, 0, 61 },
		{ 564, 434, 186 },
		{ 564, 0, 72 },
		{ 564, 416, 186 },
		{ 564, 423, 186 },
		{ 564, 417, 186 },
		{ 564, 427, 186 },
		{ 564, 425, 186 },
		{ 564, 421, 186 },
		{ 564, 422, 186 },
		{ 564, 425, 186 },
		{ 564, 441, 186 },
		{ 564, 425, 186 },
		{ 564, 432, 186 },
		{ 564, 433, 186 },
		{ 564, 447, 186 },
		{ 564, 440, 186 },
		{ 564, 0, 151 },
		{ 564, 0, 143 },
		{ 564, 0, 144 },
		{ 564, 0, 155 },
		{ 564, 441, 186 },
		{ 564, 0, 145 },
		{ 564, 0, 146 },
		{ 564, 430, 186 },
		{ 564, 431, 186 },
		{ 564, 435, 186 },
		{ 564, 434, 186 },
		{ 564, 0, 67 },
		{ 564, 452, 186 },
		{ 564, 436, 186 },
		{ 564, 0, 69 },
		{ 564, 456, 71 },
		{ 564, 439, 186 },
		{ 564, 0, 157 },
		{ 564, 0, 158 },
		{ 564, 450, 186 },
		{ 564, 459, 186 },
		{ 564, 447, 186 },
		{ 564, 443, 186 },
		{ 564, 462, 186 },
		{ 564, 443, 186 },
		{ 564, 0, 46 },
		{ 564, 460, 186 },
		{ 564, 446, 186 },
		{ 564, 0, 49 },
		{ 564, 453, 186 },
		{ 564, 467, 186 },
		{ 564, 497, 186 },
		{ 564, 468, 186 },
		{ 564, 467, 186 },
		{ 564, 472, 186 },
		{ 564, 523, 129 },
		{ 564, 462, 186 },
		{ 564, 472, 186 },
		{ 564, 462, 186 },
		{ 564, 478, 186 },
		{ 564, 0, 141 },
		{ 564, 479, 186 },
		{ 564, 473, 186 },
		{ 564, 474, 186 },
		{ 564, 473, 186 },
		{ 564, 486, 186 },
		{ 564, 485, 186 },
		{ 564, 482, 186 },
		{ 564, 487, 186 },
		{ 564, 473, 186 },
		{ 564, 0, 66 },
		{ 564, 482, 186 },
		{ 564, 0, 42 },
		{ 564, 481, 186 },
		{ 564, 484, 186 },
		{ 564, 0, 152 },
		{ 564, 0, 153 },
		{ 564, 488, 186 },
		{ 564, 486, 186 },
		{ 564, 0, 47 },
		{ 564, 494, 186 },
		{ 564, 0, 78 },
		{ 564, 0, 79 },
		{ 564, 485, 186 },
		{ 564, 489, 186 },
		{ 564, 488, 186 },
		{ 564, 531, 186 },
		{ 564, 492, 186 },
		{ 564, 0, 122 },
		{ 564, 486, 186 },
		{ 564, 0, 130 },
		{ 564, 0, 131 },
		{ 564, 0, 132 },
		{ 564, 0, 133 },
		{ 564, 0, 134 },
		{ 564, 498, 186 },
		{ 564, 495, 186 },
		{ 564, 495, 186 },
		{ 564, 493, 186 },
		{ 564, 508, 186 },
		{ 564, 0, 148 },
		{ 564, 508, 186 },
		{ 564, 0, 156 },
		{ 564, 494, 186 },
		{ 564, 0, 65 },
		{ 564, 501, 186 },
		{ 564, 0, 39 },
		{ 564, 501, 186 },
		{ 564, 0, 41 },
		{ 564, 0, 159 },
		{ 564, 0, 44 },
		{ 564, 503, 186 },
		{ 564, 513, 186 },
		{ 564, 515, 186 },
		{ 564, 499, 186 },
		{ 564, 506, 186 },
		{ 564, 502, 186 },
		{ 564, 508, 186 },
		{ 564, 512, 186 },
		{ 564, 511, 186 },
		{ 564, 521, 186 },
		{ 564, 575, 123 },
		{ 564, 508, 186 },
		{ 564, 526, 186 },
		{ 564, 516, 186 },
		{ 564, 0, 140 },
		{ 564, 0, 147 },
		{ 564, 0, 150 },
		{ 564, 520, 186 },
		{ 564, 529, 186 },
		{ 564, 519, 186 },
		{ 564, 0, 154 },
		{ 564, 0, 45 },
		{ 564, 0, 48 },
		{ 564, 536, 186 },
		{ 564, 538, 186 },
		{ 564, 588, 92 },
		{ 564, 524, 186 },
		{ 564, 531, 186 },
		{ 564, 527, 186 },
		{ 564, 596, 116 },
		{ 564, 0, 124 },
		{ 564, 0, 125 },
		{ 564, 0, 126 },
		{ 564, 0, 127 },
		{ 564, 0, 128 },
		{ 564, 0, 135 },
		{ 564, 601, 186 },
		{ 564, 0, 139 },
		{ 564, 537, 186 },
		{ 564, 0, 136 },
		{ 564, 0, 40 },
		{ 564, 544, 186 },
		{ 564, 537, 186 },
		{ 564, 0, 93 },
		{ 564, 0, 94 },
		{ 564, 0, 95 },
		{ 564, 0, 96 },
		{ 564, 0, 97 },
		{ 564, 556, 186 },
		{ 564, 558, 186 },
		{ 564, 608, 110 },
		{ 564, 0, 117 },
		{ 564, 0, 118 },
		{ 564, 0, 119 },
		{ 564, 0, 120 },
		{ 564, 0, 121 },
		{ 564, 0, 137 },
		{ 564, 0, 138 },
		{ 564, 0, 38 },
		{ 564, 560, 186 },
		{ 564, 614, 86 },
		{ 564, 559, 186 },
		{ 564, 552, 186 },
		{ 564, 0, 111 },
		{ 564, 0, 112 },
		{ 564, 0, 113 },
		{ 564, 0, 114 },
		{ 564, 0, 115 },
		{ 564, 621, 80 },
		{ 564, 0, 87 },
		{ 564, 0, 88 },
		{ 564, 0, 89 },
		{ 564, 0, 90 },
		{ 564, 0, 91 },
		{ 564, 573, 186 },
		{ 564, 627, 104 },
		{ 564, 0, 81 },
		{ 564, 0, 82 },
		{ 564, 0, 83 },
		{ 564, 0, 84 },
		{ 564, 0, 85 },
		{ 564, 632, 98 },
		{ 564, 0, 105 },
		{ 564, 0, 106 },
		{ 564, 0, 107 },
		{ 564, 0, 108 },
		{ 564, 0, 109 },
		{ 564, 0, 99 },
		{ 564, 0, 100 },
		{ 564, 0, 101 },
		{ 564, 0, 102 },
		{ 579, 637, 103 },
		{ 570, 672, 0 },
		{ 0, 616, 0 },
		{ 0, 678, 0 },
		{ 572, 620, 0 },
		{ 0, 614, 0 },
		{ 0, 671, 0 },
		{ 0, 708, 0 },
		{ 0, 622, 0 },
		{ 574, 668, 0 },
		{ 0, 669, 0 },
		{ 0, 0, 4 },
		{ 0, 0, 36 },
		{ 0, 0, 37 },
		{ 0, 0, 6 },
		{ 574, 712, 7 },
		{ 0, 0, 8 },
		{ 0, 0, 9 },
		{ 0, 0, 10 },
		{ 585, 843, 0 },
		{ 0, 0, 20 },
		{ 0, 860, 0 },
		{ 0, 0, 31 }
	};
	yystate = state;

	static const yybackup_t YYNEARFAR YYBASED_CODE backup[] = {
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0
	};
	yybackup = backup;
}
