#include <cyacc.h>

#line 1 "D:\\NslCompiler\\aslcyacc.y"


//  ASL COMPILER
//
//  ASL (Abstract Schema Language) to c++ compiler
//
//
//
//  FILE NAME   : aslcyacc.y
//  MODULE TYPE : Yacc input specification
//  STATUS      : In development
//  PURPOSE     : Yacc source to generate ASL parser
//  
//
//  Instituto Tecnologico Autonomo de Mexico 
//  (c) Copyrigth 1995-2000 
//
// 
//  ASL syntax according to:
//
//	      "ASL: A Hierarchical Computational Model for Distributed Heterogeneous Systems" 
//	      by Alfredo Weitzenfeld.
//	
//  NSL Syntax according to:
//
//            "NSLC 3.0 specifications"
//	      by Alfredo Weitzenfeld.
//		
//
//
//  HISTORY:  Version (Date-Name) Modification, description. 
//
//            0.00  (Apr 20, 1992 - Longguang Wu), 
//            Start of development.
//
//            0.50  (May 05, 1993 - Roger Zimmermann),
//            Version 0.5 alpha.     
//
//            1.00  (Dec 17, 1995 - Claudia Calderas & Salvador Marmol), 
//            Compiler reconstruction, sintax extended.
//
//	      1.05  (Oct 09, 1997 - Oscar Peguero),
//	      Sintax according to the NSLC 3.0 specifications.
//
//	      1.10  (Feb 16, 1998 - Sebastian Gutierrez),
//	      Compiler reconstruction & sintax extended according to the NSLC 3.0 specifications.
//
//
//  Shift/Reduce conflicts:
//
//	      - Pointers' vector and simple pointers.
//	      - Casting an expression and declaring something;


//#include "aslc.h"
// Seguti2000
//#include "asldef.h"
#include "asldef2.h"
#include "aslc.h"

class myparser;
// Seguti2000

void yyerror(char const *s)
{
	//compiler.sintaxError(s); 
}


#line 74 "D:\\NslCompiler\\aslcyacc.cpp"
// repeated because of possible precompiled header
#include <cyacc.h>

#include "aslcyacc.h"

/////////////////////////////////////////////////////////////////////////////
// constructor

YYPARSENAME::YYPARSENAME()
{
	yytables();
}

#ifndef YYSTYPE
#define YYSTYPE int
#endif
#ifndef YYSTACK_SIZE
#define YYSTACK_SIZE 100
#endif

// yyattribute
#ifdef YYDEBUG
void YYFAR* YYPARSENAME::yyattribute1(int index) const
{
	YYSTYPE YYFAR* p = &((YYSTYPE YYFAR*)yyattributestackptr)[yytop + index];
	return p;
}
#define yyattribute(index) (*(YYSTYPE YYFAR*)yyattribute1(index))
#else
#define yyattribute(index) (((YYSTYPE YYFAR*)yyattributestackptr)[yytop + (index)])
#endif

#ifdef YYDEBUG
void YYPARSENAME::yyinitdebug(void YYFAR** p, int count) const
{
	yyassert(p != NULL);
	yyassert(count >= 1);

	YYSTYPE YYFAR** p1 = (YYSTYPE YYFAR**)p;
	for (int i = 0; i < count; i++) {
		p1[i] = &((YYSTYPE YYFAR*)yyattributestackptr)[yytop + i - (count - 1)];
	}
}
#endif

void YYPARSENAME::yyaction(int action)
{
	switch (action) {
	case 0:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 303 "D:\\NslCompiler\\aslcyacc.y"
 
						  compiler.parser.setLexState(0);        
						  compiler.parser.incNumOfModels();
						  flagAssign = 2;
						
#line 136 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 1:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[3];
			yyinitdebug((void YYFAR**)yya, 3);
#endif
			{
#line 310 "D:\\NslCompiler\\aslcyacc.y"
 
			  			  compiler.parser.insertSchema(yyattribute(2 - 2).name,TRUE); 
						  compiler.putInOutFile("class ");
						  compiler.putInOutFile(myBuffer);
						
#line 153 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 2:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[5];
			yyinitdebug((void YYFAR**)yya, 5);
#endif
			{
#line 315 "D:\\NslCompiler\\aslcyacc.y"
 
			  			  compiler.putInOutFile(";");
			  			  compiler.parser.setLexState(0);
						  flagAssign = 2; 
						
#line 170 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 3:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[3];
			yyinitdebug((void YYFAR**)yya, 3);
#endif
			{
#line 322 "D:\\NslCompiler\\aslcyacc.y"

			  			  compiler.putInOutFile("class ");
						  compiler.putInOutFile(myBuffer);
						
#line 186 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 4:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[5];
			yyinitdebug((void YYFAR**)yya, 5);
#endif
			{
#line 326 "D:\\NslCompiler\\aslcyacc.y"
 
			  			  compiler.putInOutFile(";");
			  			  compiler.parser.setLexState(0);
			  			  flagAssign = 2; 
						
#line 203 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 5:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[3];
			yyinitdebug((void YYFAR**)yya, 3);
#endif
			{
#line 333 "D:\\NslCompiler\\aslcyacc.y"

						  compiler.parser.setLexState(0);
						  compiler.parser.incNumOfModels();
						  flagAssign = 2;
						
#line 220 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 6:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[4];
			yyinitdebug((void YYFAR**)yya, 4);
#endif
			{
#line 341 "D:\\NslCompiler\\aslcyacc.y"
 
			  			  compiler.parser.insertSchema(yyattribute(3 - 3).name,TRUE); 
						  compiler.putInOutFile("class ");
						  compiler.putInOutFile(myBuffer);
						
#line 237 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 7:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[6];
			yyinitdebug((void YYFAR**)yya, 6);
#endif
			{
#line 346 "D:\\NslCompiler\\aslcyacc.y"
 
			  			  compiler.putInOutFile(";");
			  			  compiler.parser.setLexState(0);
			  			  flagAssign = 2; 
						
#line 254 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 8:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[4];
			yyinitdebug((void YYFAR**)yya, 4);
#endif
			{
#line 354 "D:\\NslCompiler\\aslcyacc.y"

			  			  compiler.putInOutFile("class ");
						  compiler.putInOutFile(myBuffer);
						
#line 270 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 9:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[6];
			yyinitdebug((void YYFAR**)yya, 6);
#endif
			{
#line 358 "D:\\NslCompiler\\aslcyacc.y"
 
			  			  compiler.putInOutFile(";");
			  			  compiler.parser.setLexState(0);
			  			  flagAssign = 2; 
						
#line 287 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 10:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 365 "D:\\NslCompiler\\aslcyacc.y"
 
						  compiler.parser.setLexState(0);        
						  compiler.parser.incNumOfSchemas();
						  flagAssign = 2;
						
#line 304 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 11:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[3];
			yyinitdebug((void YYFAR**)yya, 3);
#endif
			{
#line 372 "D:\\NslCompiler\\aslcyacc.y"
 
			  			  compiler.parser.insertSchema(yyattribute(2 - 2).name,TRUE); 
						  compiler.putInOutFile("class ");
						  compiler.putInOutFile(myBuffer);
						
#line 321 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 12:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[5];
			yyinitdebug((void YYFAR**)yya, 5);
#endif
			{
#line 377 "D:\\NslCompiler\\aslcyacc.y"
 
			  			  if (!flagSchema) compiler.putInOutFile(";");
			  			  compiler.parser.setLexState(0);
						  flagAssign = 2; 
						
#line 338 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 13:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[3];
			yyinitdebug((void YYFAR**)yya, 3);
#endif
			{
#line 384 "D:\\NslCompiler\\aslcyacc.y"

			  			  compiler.putInOutFile("class ");
						  compiler.putInOutFile(myBuffer);
						
#line 354 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 14:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[5];
			yyinitdebug((void YYFAR**)yya, 5);
#endif
			{
#line 388 "D:\\NslCompiler\\aslcyacc.y"
 
			  			  if (!flagSchema) compiler.putInOutFile(";");
			  			  compiler.parser.setLexState(0);
			  			  flagAssign = 2; 
						
#line 371 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 15:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[3];
			yyinitdebug((void YYFAR**)yya, 3);
#endif
			{
#line 396 "D:\\NslCompiler\\aslcyacc.y"

						  compiler.parser.setLexState(0);
						  compiler.parser.incNumOfSchemas();
						  flagAssign = 2;
						
#line 388 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 16:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[4];
			yyinitdebug((void YYFAR**)yya, 4);
#endif
			{
#line 404 "D:\\NslCompiler\\aslcyacc.y"
 
			  			  compiler.parser.insertSchema(yyattribute(3 - 3).name,TRUE); 
						  compiler.putInOutFile("class ");
						  compiler.putInOutFile(myBuffer);
						
#line 405 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 17:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[6];
			yyinitdebug((void YYFAR**)yya, 6);
#endif
			{
#line 409 "D:\\NslCompiler\\aslcyacc.y"
 
			  			  if (!flagSchema) compiler.putInOutFile(";");
			  			  compiler.parser.setLexState(0);
			  			  flagAssign = 2; 
						
#line 422 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 18:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[4];
			yyinitdebug((void YYFAR**)yya, 4);
#endif
			{
#line 417 "D:\\NslCompiler\\aslcyacc.y"

			  			  compiler.putInOutFile("class ");
						  compiler.putInOutFile(myBuffer);
						
#line 438 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 19:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[6];
			yyinitdebug((void YYFAR**)yya, 6);
#endif
			{
#line 421 "D:\\NslCompiler\\aslcyacc.y"
 
			  			  if (!flagSchema) compiler.putInOutFile(";");
			  			  compiler.parser.setLexState(0);
			  			  flagAssign = 2; 
						
#line 455 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 20:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 430 "D:\\NslCompiler\\aslcyacc.y"
 
			  			  compiler.putInOutFile("\n{");
						  compiler.parser.makeModelConstructorDecl(compiler.parser.getActualModel());
					  	  compiler.parser.makeModelDestructorDecl(compiler.parser.getActualModel());
					  	  strcpy(myAssign,"");
						  flagMethod = FALSE;
						
#line 474 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 21:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[5];
			yyinitdebug((void YYFAR**)yya, 5);
#endif
			{
#line 438 "D:\\NslCompiler\\aslcyacc.y"

			  			  compiler.putInOutFile("};");
						  compiler.parser.makeModelConstructor(compiler.parser.getActualModel());
					  	  compiler.parser.makeModelDestructor(compiler.parser.getActualModel());
						  compiler.parser.makeModelDecl(compiler.parser.getActualModel());
					 	
#line 492 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 22:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[3];
			yyinitdebug((void YYFAR**)yya, 3);
#endif
			{
#line 447 "D:\\NslCompiler\\aslcyacc.y"
 
			  			  if (!flagSchema) compiler.putInOutFile("{");
						  compiler.parser.makeConstructorDecl(compiler.parser.getActualSchema());
					  	  compiler.parser.makeDestructorDecl(compiler.parser.getActualSchema());
					  	  strcpy(myAssign,"");
						  flagMethod = FALSE;
						
#line 511 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 23:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[6];
			yyinitdebug((void YYFAR**)yya, 6);
#endif
			{
#line 455 "D:\\NslCompiler\\aslcyacc.y"

			  			  if (!flagSchema) compiler.putInOutFile("}");
			  			  compiler.putInOutFile(";");
						  compiler.parser.makeConstructor(compiler.parser.getActualSchema());
					  	  compiler.parser.makeDestructor(compiler.parser.getActualSchema());
						
#line 529 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 24:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[3];
			yyinitdebug((void YYFAR**)yya, 3);
#endif
			{
#line 464 "D:\\NslCompiler\\aslcyacc.y"
 
						  compiler.parser.insertSchema(yyattribute(2 - 2).name,FALSE); 
						  compiler.parser.setActualModel(yyattribute(2 - 2).name);
						  compiler.putInOutFile("class ");
						  compiler.putInOutFile(myBuffer);
						
#line 547 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 25:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[3];
			yyinitdebug((void YYFAR**)yya, 3);
#endif
			{
#line 474 "D:\\NslCompiler\\aslcyacc.y"
 
						  AslSchemaSymbol *res;
						  res = compiler.parser.searchSchema(yyattribute(2 - 2).name);
						  if (!res->isPrototype())
							{
							  sprintf(compiler.buf,"Schema [%s] already defined", yyattribute(2 - 2).name);
							  compiler.semanticError(compiler.buf);
							}
						  else
							{
							  res->setPrototype(FALSE);
							} 
						  compiler.putInOutFile("class ");
						  compiler.putInOutFile(myBuffer);
						
#line 574 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 26:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 492 "D:\\NslCompiler\\aslcyacc.y"
 compiler.sintaxError("Model Header sintax error"); 
#line 587 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 27:
		{
#line 495 "D:\\NslCompiler\\aslcyacc.y"
compiler.parser.setActualModelExtends("");flagSchema=FALSE;
#line 595 "D:\\NslCompiler\\aslcyacc.cpp"
		}
		break;
	case 28:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 496 "D:\\NslCompiler\\aslcyacc.y"
 
						  flagSchema=FALSE; 
						  flagObject=FALSE;
						  compiler.putInOutFile(" : public ");
						
#line 611 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 29:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[4];
			yyinitdebug((void YYFAR**)yya, 4);
#endif
			{
#line 501 "D:\\NslCompiler\\aslcyacc.y"
flagSchema=TRUE;
#line 624 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 30:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[6];
			yyinitdebug((void YYFAR**)yya, 6);
#endif
			{
#line 502 "D:\\NslCompiler\\aslcyacc.y"
 flagSchema=FALSE;
#line 637 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 31:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 505 "D:\\NslCompiler\\aslcyacc.y"
 
							  compiler.parser.setActualModelExtends(yyattribute(1 - 1).name);
							  compiler.putInOutFile(myBuffer);
							
#line 653 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 32:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 510 "D:\\NslCompiler\\aslcyacc.y"
 
							  compiler.putInOutFile(myBuffer);
							  compiler.parser.setActualModelExtends(yyattribute(1 - 1).name);
							
#line 669 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 33:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[4];
			yyinitdebug((void YYFAR**)yya, 4);
#endif
			{
#line 515 "D:\\NslCompiler\\aslcyacc.y"
 
							  if((!flagObject)&&(!flagSchema)) compiler.putInOutFile(",");
							  compiler.putInOutFile(myBuffer);
							  sprintf(compiler.buf,"Identifier [%s] is not a schema", yyattribute(3 - 3).name);
							  compiler.semanticError(compiler.buf);
				     		
#line 687 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 34:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[3];
			yyinitdebug((void YYFAR**)yya, 3);
#endif
			{
#line 526 "D:\\NslCompiler\\aslcyacc.y"

						  flagSchema=TRUE;
						  compiler.parser.insertSchema(yyattribute(2 - 2).name,FALSE); 
						  compiler.parser.setActualSchema(yyattribute(2 - 2).name);
						  compiler.putInOutFile("class ");
						  compiler.putInOutFile(myBuffer);
						
#line 706 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 35:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[5];
			yyinitdebug((void YYFAR**)yya, 5);
#endif
			{
#line 533 "D:\\NslCompiler\\aslcyacc.y"
 flagSchema=FALSE;
#line 719 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 36:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[7];
			yyinitdebug((void YYFAR**)yya, 7);
#endif
			{
#line 534 "D:\\NslCompiler\\aslcyacc.y"
 flagSchema=FALSE;
#line 732 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 37:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[3];
			yyinitdebug((void YYFAR**)yya, 3);
#endif
			{
#line 537 "D:\\NslCompiler\\aslcyacc.y"

						  flagSchema=TRUE;
						  AslSchemaSymbol *res;
						  res = compiler.parser.searchSchema(yyattribute(2 - 2).name);
						  if (!res->isPrototype())
							{
							  sprintf(compiler.buf,"Schema [%s] already defined", yyattribute(2 - 2).name);
							  compiler.semanticError(compiler.buf);
							}
						  else
							{
							  res->setPrototype(FALSE);
							} 
						  compiler.putInOutFile("class ");
						  compiler.putInOutFile(myBuffer);
						
#line 760 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 38:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[5];
			yyinitdebug((void YYFAR**)yya, 5);
#endif
			{
#line 554 "D:\\NslCompiler\\aslcyacc.y"
 flagSchema=FALSE;
#line 773 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 39:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[7];
			yyinitdebug((void YYFAR**)yya, 7);
#endif
			{
#line 555 "D:\\NslCompiler\\aslcyacc.y"
 flagSchema=FALSE;
#line 786 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 40:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 557 "D:\\NslCompiler\\aslcyacc.y"
 compiler.sintaxError("Module Header sintax error"); 
#line 799 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 41:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 560 "D:\\NslCompiler\\aslcyacc.y"

						  if (!flagSchema) compiler.putInOutFile("(");
						
#line 814 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 42:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[5];
			yyinitdebug((void YYFAR**)yya, 5);
#endif
			{
#line 564 "D:\\NslCompiler\\aslcyacc.y"
 
			  			  if (!flagSchema) compiler.putInOutFile(")");
						  flagSchema=FALSE; 
						
#line 830 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 43:
		{
#line 571 "D:\\NslCompiler\\aslcyacc.y"
 compiler.parser.setActualExtends(""); flagSchema=FALSE;
#line 838 "D:\\NslCompiler\\aslcyacc.cpp"
		}
		break;
	case 44:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 572 "D:\\NslCompiler\\aslcyacc.y"
 
							  compiler.putInOutFile(": public");
							  flagSchema=FALSE; 
							  flagObject=FALSE;
							
#line 854 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 45:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[5];
			yyinitdebug((void YYFAR**)yya, 5);
#endif
			{
#line 578 "D:\\NslCompiler\\aslcyacc.y"
 flagSchema=FALSE;
#line 867 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 46:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 581 "D:\\NslCompiler\\aslcyacc.y"
 
							  compiler.parser.setActualExtends(yyattribute(1 - 1).name);
							  flagSchema=TRUE;
							  compiler.putInOutFile(myBuffer);
							  /*printf("SCHEMA %s\n",myBuffer);*/
							
#line 885 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 47:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 588 "D:\\NslCompiler\\aslcyacc.y"
 
						  	  compiler.parser.setActualExtends(yyattribute(1 - 1).name);
							  flagSchema=TRUE;
							  compiler.putInOutFile(myBuffer);
							  
							  /*compiler.putInOutFile(myBuffer);
							  sprintf(compiler.buf,"Identifier [%s] is not a schema", $1);
					   	  	  compiler.semanticError(compiler.buf);*/
							
#line 906 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 48:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[4];
			yyinitdebug((void YYFAR**)yya, 4);
#endif
			{
#line 598 "D:\\NslCompiler\\aslcyacc.y"
 
							  if((!flagObject)&&(!flagSchema)) compiler.putInOutFile(",");
							  compiler.putInOutFile(myBuffer);
							  sprintf(compiler.buf,"Identifier [%s] is not a schema", yyattribute(3 - 3).name);
							  compiler.semanticError(compiler.buf);
				     			
#line 924 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 49:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 607 "D:\\NslCompiler\\aslcyacc.y"

							  if (!flagSchema) compiler.putInOutFile("(");
							  flagExtends = TRUE;
							
#line 940 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 50:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[5];
			yyinitdebug((void YYFAR**)yya, 5);
#endif
			{
#line 612 "D:\\NslCompiler\\aslcyacc.y"

			  				  if (!flagSchema) compiler.putInOutFile(")");
							  flagExtends = FALSE;
							
#line 956 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 51:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 621 "D:\\NslCompiler\\aslcyacc.y"
 compiler.sintaxError("Bad schema member sintax"); 
#line 969 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 52:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 624 "D:\\NslCompiler\\aslcyacc.y"

					  compiler.putInOutFile("public:");
					  compiler.parser.setAccess(EXT);
						
#line 985 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 53:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 628 "D:\\NslCompiler\\aslcyacc.y"
 
					  compiler.putInOutFile("private:");
					  compiler.parser.setAccess(INT);
						
#line 1001 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 54:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 632 "D:\\NslCompiler\\aslcyacc.y"
 
					  compiler.putInOutFile("protected:");
					  compiler.parser.setAccess(INT);
						
#line 1017 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 55:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[4];
			yyinitdebug((void YYFAR**)yya, 4);
#endif
			{
#line 644 "D:\\NslCompiler\\aslcyacc.y"
 
			  			  if (!flagSchema) compiler.putInOutFile(";");
						  if (flagAssign) strcat(myAssign,";\n");
			  			  flagObject = FALSE; 
			  			  flagAssign = FALSE;  
			  			
#line 1035 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 56:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[4];
			yyinitdebug((void YYFAR**)yya, 4);
#endif
			{
#line 652 "D:\\NslCompiler\\aslcyacc.y"
 
			  			  if (!flagSchema) compiler.putInOutFile("{");
			  			  compiler.parser.insertFunction(compiler.parser.getActualIdentifier()); 
						
#line 1051 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 57:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[7];
			yyinitdebug((void YYFAR**)yya, 7);
#endif
			{
#line 657 "D:\\NslCompiler\\aslcyacc.y"
if (!flagSchema) compiler.putInOutFile("}");
#line 1064 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 58:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 660 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile("virtual int ");
#line 1077 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 59:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[5];
			yyinitdebug((void YYFAR**)yya, 5);
#endif
			{
#line 662 "D:\\NslCompiler\\aslcyacc.y"
 
			  			  if (!flagSchema) compiler.putInOutFile("{");
						  compiler.parser.insertFunction(compiler.parser.getActualIdentifier()); 
						
#line 1093 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 60:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[8];
			yyinitdebug((void YYFAR**)yya, 8);
#endif
			{
#line 667 "D:\\NslCompiler\\aslcyacc.y"
if (!flagSchema) compiler.putInOutFile("}");
#line 1106 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 61:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 668 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile("virtual void ");
#line 1119 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 62:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[5];
			yyinitdebug((void YYFAR**)yya, 5);
#endif
			{
#line 670 "D:\\NslCompiler\\aslcyacc.y"
 
			  			  if (!flagSchema) compiler.putInOutFile("{");
						  compiler.parser.insertFunction(compiler.parser.getActualIdentifier()); 
						
#line 1135 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 63:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[8];
			yyinitdebug((void YYFAR**)yya, 8);
#endif
			{
#line 675 "D:\\NslCompiler\\aslcyacc.y"
if (!flagSchema) compiler.putInOutFile("}");
#line 1148 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 64:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 678 "D:\\NslCompiler\\aslcyacc.y"
 
								  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, yyattribute(1 - 1).name); 
								  compiler.parser.setActualType((*(YYSTYPE YYFAR*)yyvalptr).name); 
								
#line 1164 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 65:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[3];
			yyinitdebug((void YYFAR**)yya, 3);
#endif
			{
#line 682 "D:\\NslCompiler\\aslcyacc.y"
 
								  strcat((*(YYSTYPE YYFAR*)yyvalptr).name, yyattribute(2 - 2).name); 
								  compiler.parser.setActualType((*(YYSTYPE YYFAR*)yyvalptr).name);
								
#line 1180 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 66:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 688 "D:\\NslCompiler\\aslcyacc.y"
 strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, yyattribute(1 - 1).name);
							  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name); 
							
#line 1195 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 67:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 691 "D:\\NslCompiler\\aslcyacc.y"
 strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, yyattribute(1 - 1).name); 
#line 1208 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 68:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 694 "D:\\NslCompiler\\aslcyacc.y"
 strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "auto");     
#line 1221 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 69:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 695 "D:\\NslCompiler\\aslcyacc.y"
 strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "extern");   
#line 1234 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 70:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 696 "D:\\NslCompiler\\aslcyacc.y"
 strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "register"); 
#line 1247 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 71:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 697 "D:\\NslCompiler\\aslcyacc.y"
 strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "static");   
#line 1260 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 72:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 698 "D:\\NslCompiler\\aslcyacc.y"
 strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "virtual");  
#line 1273 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 73:
		{
#line 701 "D:\\NslCompiler\\aslcyacc.y"
 
							  if (flagMethod) {strcpy((*(YYSTYPE YYFAR*)yyvalptr).name,"&");compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);}
							  else strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, ""); 
							  compiler.parser.setActualAccessOption((*(YYSTYPE YYFAR*)yyvalptr).name); 
							
#line 1285 "D:\\NslCompiler\\aslcyacc.cpp"
		}
		break;
	case 74:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 706 "D:\\NslCompiler\\aslcyacc.y"
 
							  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name,yyattribute(1 - 1).name);
							  compiler.parser.setActualAccessOption((*(YYSTYPE YYFAR*)yyvalptr).name);
				    			
#line 1300 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 75:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 712 "D:\\NslCompiler\\aslcyacc.y"
 
					  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name,yyattribute(1 - 1).name);
					
#line 1315 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 76:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 715 "D:\\NslCompiler\\aslcyacc.y"
 
					  flagObject=TRUE;
					  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name,yyattribute(1 - 1).name);
					
#line 1331 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 77:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 719 "D:\\NslCompiler\\aslcyacc.y"
 
					  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "const ");
					  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);
					
#line 1347 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 78:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[3];
			yyinitdebug((void YYFAR**)yya, 3);
#endif
			{
#line 725 "D:\\NslCompiler\\aslcyacc.y"
strcpy((*(YYSTYPE YYFAR*)yyvalptr).name,yyattribute(1 - 2).name);
#line 1360 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 79:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[3];
			yyinitdebug((void YYFAR**)yya, 3);
#endif
			{
#line 728 "D:\\NslCompiler\\aslcyacc.y"
strcpy((*(YYSTYPE YYFAR*)yyvalptr).name,yyattribute(1 - 2).name);
#line 1373 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 80:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 731 "D:\\NslCompiler\\aslcyacc.y"
 
					  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "char");
					  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);
					  flagMethod=FALSE;
					
#line 1390 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 81:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 736 "D:\\NslCompiler\\aslcyacc.y"
 
					  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "double ");
					  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);
					  flagMethod=FALSE;
					
#line 1407 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 82:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 741 "D:\\NslCompiler\\aslcyacc.y"
 
					  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "float ");
					  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);
					  flagMethod=FALSE;
					
#line 1424 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 83:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 746 "D:\\NslCompiler\\aslcyacc.y"
 
					  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "input ");
					  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);
					  flagMethod=FALSE;
					
#line 1441 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 84:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 751 "D:\\NslCompiler\\aslcyacc.y"
 
					  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "int ");
					  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);
					  flagMethod=FALSE;
					
#line 1458 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 85:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 756 "D:\\NslCompiler\\aslcyacc.y"
 
					  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "long ");
					  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);
					  flagMethod=FALSE;
					
#line 1475 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 86:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 761 "D:\\NslCompiler\\aslcyacc.y"
 
					  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "output ");
					  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);
					  flagMethod=FALSE;
					
#line 1492 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 87:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 766 "D:\\NslCompiler\\aslcyacc.y"
 
					  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "signed ");
					  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);
					  flagMethod=FALSE;
					
#line 1509 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 88:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 771 "D:\\NslCompiler\\aslcyacc.y"
 
					  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "short ");
					  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);
					  flagMethod=FALSE;
					
#line 1526 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 89:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 776 "D:\\NslCompiler\\aslcyacc.y"
 
					  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "unsigned ");
					  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);
					  flagMethod=FALSE;
					
#line 1543 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 90:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 781 "D:\\NslCompiler\\aslcyacc.y"
 
			 		  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "void ");
					  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);
					  flagMethod=FALSE;
					
#line 1560 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 91:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 786 "D:\\NslCompiler\\aslcyacc.y"
 
					  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "boolean ");
					  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);
					  flagMethod=FALSE;
					
#line 1577 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 92:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 791 "D:\\NslCompiler\\aslcyacc.y"
 
					  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "charString ");
					  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);
					  flagMethod=FALSE;
					
#line 1594 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 93:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 796 "D:\\NslCompiler\\aslcyacc.y"
 
					  	  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "NslData ");
					   	  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);
						  flagMethod=FALSE;
					
#line 1611 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 94:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 801 "D:\\NslCompiler\\aslcyacc.y"
 
						  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "NslMatrix "); 	
						  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);
						  flagMethod=FALSE;
					
#line 1628 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 95:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 806 "D:\\NslCompiler\\aslcyacc.y"
 
						  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "NslVector "); 	
						  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);
						  flagMethod=FALSE;
					
#line 1645 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 96:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 813 "D:\\NslCompiler\\aslcyacc.y"
 
						  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "NslDinDouble ");
						  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);	
						
#line 1661 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 97:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 817 "D:\\NslCompiler\\aslcyacc.y"
 
						  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "NslDinDouble1 ");
						  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name); 
						
#line 1677 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 98:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 821 "D:\\NslCompiler\\aslcyacc.y"
 
						  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "NslDinDouble2 ");
						  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name); 
						
#line 1693 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 99:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 825 "D:\\NslCompiler\\aslcyacc.y"
 
						  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "NslDinDouble3 ");
						  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name); 
						
#line 1709 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 100:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 829 "D:\\NslCompiler\\aslcyacc.y"
 
						  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "NslDinDouble4 ");
						  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name); 
						
#line 1725 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 101:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 833 "D:\\NslCompiler\\aslcyacc.y"
 
						  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "NslDinFloat ");  
						  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);
						
#line 1741 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 102:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 837 "D:\\NslCompiler\\aslcyacc.y"
 
			  			  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "NslDinFloat1 "); 
						  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);
						
#line 1757 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 103:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 841 "D:\\NslCompiler\\aslcyacc.y"
 
						  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "NslDinFloat2 "); 
						  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);
						
#line 1773 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 104:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 845 "D:\\NslCompiler\\aslcyacc.y"
 
						  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "NslDinFloat3 "); 
						  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);	
						
#line 1789 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 105:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 849 "D:\\NslCompiler\\aslcyacc.y"
 
						  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "NslDinFloat4 "); 
						  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);	
						
#line 1805 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 106:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 853 "D:\\NslCompiler\\aslcyacc.y"
 
						  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "NslDinInt "); 	
						  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);
						
#line 1821 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 107:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 857 "D:\\NslCompiler\\aslcyacc.y"
 
						  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "NslDinInt1 "); 	
						  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);
						
#line 1837 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 108:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 861 "D:\\NslCompiler\\aslcyacc.y"
 
						  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "NslDinInt2 "); 	
						  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);
						
#line 1853 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 109:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 865 "D:\\NslCompiler\\aslcyacc.y"
 
						  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "NslDinInt3 "); 	
						  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);
						
#line 1869 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 110:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 869 "D:\\NslCompiler\\aslcyacc.y"
 
						  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "NslDinInt4 "); 	
						  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);
						
#line 1885 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 111:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 873 "D:\\NslCompiler\\aslcyacc.y"
 
						  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "NslDoutDouble "); 
						  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);
						
#line 1901 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 112:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 877 "D:\\NslCompiler\\aslcyacc.y"
 
						  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "NslDoutDouble1 ");
						  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);
						
#line 1917 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 113:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 881 "D:\\NslCompiler\\aslcyacc.y"
 
						  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "NslDoutDouble2 ");
						  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);
						
#line 1933 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 114:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 885 "D:\\NslCompiler\\aslcyacc.y"
 
						  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "NslDoutDouble3 ");
						  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);
						
#line 1949 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 115:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 889 "D:\\NslCompiler\\aslcyacc.y"
 
						  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "NslDoutDouble4 ");
						  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);
						
#line 1965 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 116:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 893 "D:\\NslCompiler\\aslcyacc.y"
 
						  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "NslDoutFloat "); 	
						  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);
						
#line 1981 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 117:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 897 "D:\\NslCompiler\\aslcyacc.y"
 
					 	  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "NslDoutFloat1 "); 
						  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);
						
#line 1997 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 118:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 901 "D:\\NslCompiler\\aslcyacc.y"
 
						  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "NslDoutFloat2 "); 
						  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);
						
#line 2013 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 119:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 905 "D:\\NslCompiler\\aslcyacc.y"
 
						  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "NslDoutFloat3 "); 
						  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);
						
#line 2029 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 120:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 909 "D:\\NslCompiler\\aslcyacc.y"
 
						  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "NslDoutFloat4 "); 
						  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);
						
#line 2045 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 121:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 913 "D:\\NslCompiler\\aslcyacc.y"
 
						  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "NslDoutInt "); 	
						  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);
						
#line 2061 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 122:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 917 "D:\\NslCompiler\\aslcyacc.y"
 
						  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "NslDoutInt1 "); 	
						  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);
						
#line 2077 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 123:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 921 "D:\\NslCompiler\\aslcyacc.y"
 
						  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "NslDoutInt2 "); 	
						  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);
						
#line 2093 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 124:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 925 "D:\\NslCompiler\\aslcyacc.y"
 
						  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "NslDoutInt3 "); 	
						  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);
						
#line 2109 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 125:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 929 "D:\\NslCompiler\\aslcyacc.y"
 
						  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "NslDoutInt4 "); 	
						  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);
						
#line 2125 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 126:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 933 "D:\\NslCompiler\\aslcyacc.y"
 
						  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "NslDouble "); 	
						  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);
						
#line 2141 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 127:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 937 "D:\\NslCompiler\\aslcyacc.y"
 
						  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "NslDouble0 "); 	
						  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);
						
#line 2157 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 128:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 941 "D:\\NslCompiler\\aslcyacc.y"
 
						  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "NslDouble1 "); 	
						  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);
						
#line 2173 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 129:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 945 "D:\\NslCompiler\\aslcyacc.y"
 
						  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "NslDouble2 "); 	
						  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);
						
#line 2189 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 130:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 949 "D:\\NslCompiler\\aslcyacc.y"
 
						  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "NslDouble3 "); 	
						  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);
						
#line 2205 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 131:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 953 "D:\\NslCompiler\\aslcyacc.y"
 
						  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "NslDouble4 "); 	
						  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);
						
#line 2221 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 132:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 957 "D:\\NslCompiler\\aslcyacc.y"
 
						  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "NslFile "); 	
						  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);
						
#line 2237 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 133:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 961 "D:\\NslCompiler\\aslcyacc.y"
 
						  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "NslFloat "); 	
						  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);
						
#line 2253 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 134:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 965 "D:\\NslCompiler\\aslcyacc.y"
 
						  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "NslFloat0 "); 	
						  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);
						
#line 2269 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 135:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 969 "D:\\NslCompiler\\aslcyacc.y"
 
						  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "NslFloat1 "); 	
						  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);
						
#line 2285 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 136:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 973 "D:\\NslCompiler\\aslcyacc.y"
 
						  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "NslFloat2 "); 	
						  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);
						
#line 2301 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 137:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 977 "D:\\NslCompiler\\aslcyacc.y"
 
						  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "NslFloat3 "); 	
						  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);
						
#line 2317 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 138:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 981 "D:\\NslCompiler\\aslcyacc.y"
 
						  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "NslFloat4 "); 	
						  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);
						
#line 2333 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 139:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 985 "D:\\NslCompiler\\aslcyacc.y"
 
					 	  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "NslInt "); 	
						  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);
						
#line 2349 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 140:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 989 "D:\\NslCompiler\\aslcyacc.y"
 
						  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "NslInt0 "); 	
						  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);
						
#line 2365 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 141:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 993 "D:\\NslCompiler\\aslcyacc.y"
 
						  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "NslInt1 "); 	
						  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);
						
#line 2381 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 142:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 997 "D:\\NslCompiler\\aslcyacc.y"
 
						  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "NslInt2 "); 	
						  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);
						
#line 2397 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 143:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1001 "D:\\NslCompiler\\aslcyacc.y"
 
						  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "NslInt3 "); 	
						  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);
						
#line 2413 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 144:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1005 "D:\\NslCompiler\\aslcyacc.y"
 
						  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "NslInt4 "); 	
						  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);
						
#line 2429 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 145:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1010 "D:\\NslCompiler\\aslcyacc.y"
 
					  	  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "NslString0 ");
					   	  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);
						
#line 2445 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 146:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1014 "D:\\NslCompiler\\aslcyacc.y"
 
					  	  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, "NslString1 ");
					  	  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);
						
#line 2461 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 147:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1018 "D:\\NslCompiler\\aslcyacc.y"
 
						  strcpy((*(YYSTYPE YYFAR*)yyvalptr).name, yyattribute(1 - 1).name);
						  strcat((*(YYSTYPE YYFAR*)yyvalptr).name," ");
						  if (!flagSchema)compiler.putInOutFile((*(YYSTYPE YYFAR*)yyvalptr).name);
						
#line 2478 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 148:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[4];
			yyinitdebug((void YYFAR**)yya, 4);
#endif
			{
#line 1025 "D:\\NslCompiler\\aslcyacc.y"

			  		 	  compiler.putInOutFile(myStack);
					 	  compiler.putInOutFile("()");
						
#line 2494 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 149:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[3];
			yyinitdebug((void YYFAR**)yya, 3);
#endif
			{
#line 1044 "D:\\NslCompiler\\aslcyacc.y"
 if ((!flagObject)&&(!flagSchema)) compiler.putInOutFile(","); 
						  flagAssign=TRUE;
						  flagSchema=TRUE;
						
#line 2510 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 150:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1052 "D:\\NslCompiler\\aslcyacc.y"

					  if (flagObject) compiler.parser.insertObject(compiler.parser.getActualType(), compiler.parser.getActualAccessOption(), compiler.parser.getActualIdentifier());
					 
#line 2525 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 151:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[4];
			yyinitdebug((void YYFAR**)yya, 4);
#endif
			{
#line 1055 "D:\\NslCompiler\\aslcyacc.y"
 
			  		   if (flagObject) 
					     {	
					     	strcpy(myArgument,"");
						/*strcat(myArgument,"\"");
						strcat(myArgument,compiler.parser.getActualIdentifier());
						strcat(myArgument,"\",*this");*/
					     }
					   else if (!flagSchema) compiler.putInOutFile("("); /*else if before seguti99*/
					   if ((!flagSchema)&&(!flagExtends)&&(!flagObject)) flagMethod=TRUE;
			  		 
#line 2548 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 152:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[6];
			yyinitdebug((void YYFAR**)yya, 6);
#endif
			{
#line 1066 "D:\\NslCompiler\\aslcyacc.y"
if (flagObject) compiler.parser.insertObjectArguments(myArgument);
			 		  /*if ((!flagSchema)&&(!flagExtends)&&(!flagObject))printf("initalizerList %s\n",compiler.parser.getActualIdentifier());*/
			 		 
#line 2563 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 153:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[8];
			yyinitdebug((void YYFAR**)yya, 8);
#endif
			{
#line 1069 "D:\\NslCompiler\\aslcyacc.y"
if ((!flagObject)&&(!flagSchema)) compiler.putInOutFile(")");
			  		  if (flagMethod) flagMethod=FALSE;
			  		 
#line 2578 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 154:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1076 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile(myBuffer);
#line 2591 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 155:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[4];
			yyinitdebug((void YYFAR**)yya, 4);
#endif
			{
#line 1077 "D:\\NslCompiler\\aslcyacc.y"
if (!flagSchema) compiler.putInOutFile(":");
#line 2604 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 156:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1080 "D:\\NslCompiler\\aslcyacc.y"
if (!flagSchema) compiler.putInOutFile(":");
#line 2617 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 157:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1086 "D:\\NslCompiler\\aslcyacc.y"
 
				  	  	  if (flagAssign)
						    {
							strcat(myAssign,compiler.parser.getActualIdentifier());
							strcat(myAssign," = ");
						    }
						  else if (!flagSchema) compiler.putInOutFile("=");
						
#line 2637 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 158:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[3];
			yyinitdebug((void YYFAR**)yya, 3);
#endif
			{
#line 1098 "D:\\NslCompiler\\aslcyacc.y"
 
					  if (!strcmp(yyattribute(2 - 2).name, "0")) compiler.sintaxError("Pure specifier need to be '= 0'"); 
					  else 
					    {
					    	compiler.putInOutFile("=");
					    	compiler.putInOutFile(myBuffer);
					    }
					
#line 2657 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 159:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1115 "D:\\NslCompiler\\aslcyacc.y"
 
							  compiler.putInOutFile(myBuffer); 	
							  compiler.parser.insertIdentifier(yyattribute(1 - 1).name);
							  /*if (flagExtends) printf("%s\n",myBuffer);*/
							
#line 2674 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 160:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1121 "D:\\NslCompiler\\aslcyacc.y"
 
							  if (!flagExtends) compiler.putInOutFile(myBuffer);
							  if (flagExtends) compiler.parser.insertIdentifier(yyattribute(1 - 1).name);
	
							  /*  
							  if (!flagExtends)
							    {		
								sprintf(compiler.buf,"MyIdentifier [%s] already defined", $1);
								compiler.semanticError(compiler.buf);
							    }*/
							
#line 2697 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 161:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[3];
			yyinitdebug((void YYFAR**)yya, 3);
#endif
			{
#line 1135 "D:\\NslCompiler\\aslcyacc.y"
if (!flagSchema)compiler.putInOutFile("[");
#line 2710 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 162:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[6];
			yyinitdebug((void YYFAR**)yya, 6);
#endif
			{
#line 1136 "D:\\NslCompiler\\aslcyacc.y"
if (!flagSchema)compiler.putInOutFile("]");
#line 2723 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 163:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[4];
			yyinitdebug((void YYFAR**)yya, 4);
#endif
			{
#line 1138 "D:\\NslCompiler\\aslcyacc.y"
if (!flagSchema) compiler.putInOutFile("[]");
#line 2736 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 164:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1140 "D:\\NslCompiler\\aslcyacc.y"
if ((!flagObject)&&(!flagSchema)) compiler.putInOutFile("(");
#line 2749 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 165:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[5];
			yyinitdebug((void YYFAR**)yya, 5);
#endif
			{
#line 1142 "D:\\NslCompiler\\aslcyacc.y"
if ((!flagObject)&&(!flagSchema)) compiler.putInOutFile(")");
#line 2762 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 166:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1145 "D:\\NslCompiler\\aslcyacc.y"
if (!flagSchema)compiler.putInOutFile("*");
#line 2775 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 167:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[4];
			yyinitdebug((void YYFAR**)yya, 4);
#endif
			{
#line 1146 "D:\\NslCompiler\\aslcyacc.y"
strcpy((*(YYSTYPE YYFAR*)yyvalptr).name,"*");
#line 2788 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 168:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1148 "D:\\NslCompiler\\aslcyacc.y"
if (!flagSchema)compiler.putInOutFile("&");
#line 2801 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 169:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[4];
			yyinitdebug((void YYFAR**)yya, 4);
#endif
			{
#line 1149 "D:\\NslCompiler\\aslcyacc.y"
strcpy((*(YYSTYPE YYFAR*)yyvalptr).name,"&");
#line 2814 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 170:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1156 "D:\\NslCompiler\\aslcyacc.y"
if (!flagSchema)compiler.putInOutFile("const");
#line 2827 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 171:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1157 "D:\\NslCompiler\\aslcyacc.y"
if (!flagSchema)compiler.putInOutFile("volatile");
#line 2840 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 172:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1161 "D:\\NslCompiler\\aslcyacc.y"

						  compiler.parser.insertArg(compiler.parser.getActualType(), compiler.parser.getActualAccessOption(), compiler.parser.getActualIdentifier(), flagExtends);
						
#line 2855 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 173:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[4];
			yyinitdebug((void YYFAR**)yya, 4);
#endif
			{
#line 1170 "D:\\NslCompiler\\aslcyacc.y"
if (!flagSchema) compiler.putInOutFile("=");
#line 2868 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 174:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[3];
			yyinitdebug((void YYFAR**)yya, 3);
#endif
			{
#line 1177 "D:\\NslCompiler\\aslcyacc.y"
if ((!flagObject)&&(!flagSchema)) compiler.putInOutFile(",");
#line 2881 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 175:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[4];
			yyinitdebug((void YYFAR**)yya, 4);
#endif
			{
#line 1186 "D:\\NslCompiler\\aslcyacc.y"
if (!flagSchema) compiler.putInOutFile(";");
			  			 if (flagAssign) strcat(myAssign,";\n");
			 			 printf("End...ObjectInit\n ");
						
#line 2897 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 176:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1193 "D:\\NslCompiler\\aslcyacc.y"
 
						  if (flagAssign) strcat(myAssign,"-"); 
						  else if ((!flagObject)&&(!flagSchema)) compiler.putInOutFile("-");
						
#line 2913 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 177:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1203 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile(myBuffer);
#line 2926 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 178:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[4];
			yyinitdebug((void YYFAR**)yya, 4);
#endif
			{
#line 1204 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile(myStack);
#line 2939 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 179:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[7];
			yyinitdebug((void YYFAR**)yya, 7);
#endif
			{
#line 1206 "D:\\NslCompiler\\aslcyacc.y"

			  		 if (!flagSchema) compiler.putInOutFile(";");
					 if (flagAssign) strcat(myAssign,";\n");
			  		
#line 2955 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 180:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1212 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile(myBuffer);
#line 2968 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 181:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[4];
			yyinitdebug((void YYFAR**)yya, 4);
#endif
			{
#line 1213 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile("::");
#line 2981 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 182:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[7];
			yyinitdebug((void YYFAR**)yya, 7);
#endif
			{
#line 1215 "D:\\NslCompiler\\aslcyacc.y"

			  		  if (!flagSchema) compiler.putInOutFile(";");
					  if (flagAssign) strcat(myAssign,";\n");
					
#line 2997 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 183:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1221 "D:\\NslCompiler\\aslcyacc.y"

						 if((compiler.parser.ExistSuper())==0)
						   {
						     sprintf(compiler.buf,"Super Class not defined");
					 	     compiler.semanticError(compiler.buf);
						   }
						
#line 3016 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 184:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[4];
			yyinitdebug((void YYFAR**)yya, 4);
#endif
			{
#line 1229 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile("::");
#line 3029 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 185:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[7];
			yyinitdebug((void YYFAR**)yya, 7);
#endif
			{
#line 1231 "D:\\NslCompiler\\aslcyacc.y"

			  			  if (!flagSchema) compiler.putInOutFile(";");
						  if (flagAssign) strcat(myAssign,";\n");
						
#line 3045 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 186:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[4];
			yyinitdebug((void YYFAR**)yya, 4);
#endif
			{
#line 1245 "D:\\NslCompiler\\aslcyacc.y"

			  			  if (!flagSchema) compiler.putInOutFile(";");
						  if (flagAssign) strcat(myAssign,";\n");
						
#line 3061 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 187:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[3];
			yyinitdebug((void YYFAR**)yya, 3);
#endif
			{
#line 1253 "D:\\NslCompiler\\aslcyacc.y"
if ((!flagObject)&&(!flagSchema)) compiler.putInOutFile(",");
#line 3074 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 188:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1261 "D:\\NslCompiler\\aslcyacc.y"
if (!flagSchema) compiler.putInOutFile("=");
#line 3087 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 189:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1263 "D:\\NslCompiler\\aslcyacc.y"
if (!flagSchema) compiler.putInOutFile("=");
#line 3100 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 190:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1265 "D:\\NslCompiler\\aslcyacc.y"
if ((!flagObject)&&(!flagSchema)) compiler.putInOutFile("(");
#line 3113 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 191:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[5];
			yyinitdebug((void YYFAR**)yya, 5);
#endif
			{
#line 1267 "D:\\NslCompiler\\aslcyacc.y"
if ((!flagObject)&&(!flagSchema)) compiler.putInOutFile(")");
#line 3126 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 192:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[3];
			yyinitdebug((void YYFAR**)yya, 3);
#endif
			{
#line 1273 "D:\\NslCompiler\\aslcyacc.y"

			  			  if (flagObject) strcat(myArgument,",");
						  else if (!flagSchema) compiler.putInOutFile(",");
			  			
#line 3142 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 193:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1281 "D:\\NslCompiler\\aslcyacc.y"
if (!flagSchema) compiler.putInOutFile("{");
#line 3155 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 194:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[5];
			yyinitdebug((void YYFAR**)yya, 5);
#endif
			{
#line 1283 "D:\\NslCompiler\\aslcyacc.y"
if (!flagSchema) compiler.putInOutFile("}");
#line 3168 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 195:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[3];
			yyinitdebug((void YYFAR**)yya, 3);
#endif
			{
#line 1293 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile("STOP(");
#line 3181 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 196:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[6];
			yyinitdebug((void YYFAR**)yya, 6);
#endif
			{
#line 1295 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile(")");
#line 3194 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 197:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[3];
			yyinitdebug((void YYFAR**)yya, 3);
#endif
			{
#line 1296 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile("DELEGATE(");
#line 3207 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 198:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[6];
			yyinitdebug((void YYFAR**)yya, 6);
#endif
			{
#line 1298 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile(")");
#line 3220 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 199:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[4];
			yyinitdebug((void YYFAR**)yya, 4);
#endif
			{
#line 1300 "D:\\NslCompiler\\aslcyacc.y"
if ((!flagObject)&&(!flagSchema)) compiler.putInOutFile("(");
#line 3233 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 200:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[7];
			yyinitdebug((void YYFAR**)yya, 7);
#endif
			{
#line 1301 "D:\\NslCompiler\\aslcyacc.y"
if ((!flagObject)&&(!flagSchema)) compiler.putInOutFile(")");
#line 3246 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 201:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1304 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile("CONNECT_LR");
#line 3259 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 202:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1305 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile("CONNECT_RL");
#line 3272 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 203:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1306 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile("DISCONNECT");
#line 3285 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 204:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1307 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile("RELABLE");
#line 3298 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 205:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1308 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile("DELABEL");
#line 3311 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 206:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1309 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile(">>");
#line 3324 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 207:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1310 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile("<<");
#line 3337 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 208:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[3];
			yyinitdebug((void YYFAR**)yya, 3);
#endif
			{
#line 1315 "D:\\NslCompiler\\aslcyacc.y"
if ((!flagObject)&&(!flagSchema)) compiler.putInOutFile(",");
#line 3350 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 209:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1319 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile(myBuffer);
#line 3363 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 210:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[3];
			yyinitdebug((void YYFAR**)yya, 3);
#endif
			{
#line 1321 "D:\\NslCompiler\\aslcyacc.y"
if ((!flagObject)&&(!flagSchema)) compiler.putInOutFile(",");
#line 3376 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 211:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[5];
			yyinitdebug((void YYFAR**)yya, 5);
#endif
			{
#line 1322 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile(myBuffer);
#line 3389 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 212:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[3];
			yyinitdebug((void YYFAR**)yya, 3);
#endif
			{
#line 1327 "D:\\NslCompiler\\aslcyacc.y"
if ((!flagObject)&&(!flagSchema)) compiler.putInOutFile(",");
#line 3402 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 213:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1335 "D:\\NslCompiler\\aslcyacc.y"
if (!flagSchema) compiler.putInOutFile("=");
#line 3415 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 214:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1336 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile("*=");
#line 3428 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 215:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1337 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile("/=");
#line 3441 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 216:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1338 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile("%=");
#line 3454 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 217:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1339 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile("+=");
#line 3467 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 218:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1340 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile("-=");
#line 3480 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 219:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1341 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile(">>=");
#line 3493 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 220:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1342 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile("<<=");
#line 3506 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 221:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1343 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile("&=");
#line 3519 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 222:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1344 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile("^=");
#line 3532 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 223:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1345 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile("|=");
#line 3545 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 224:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[3];
			yyinitdebug((void YYFAR**)yya, 3);
#endif
			{
#line 1350 "D:\\NslCompiler\\aslcyacc.y"
if (!flagSchema) compiler.putInOutFile("?");
#line 3558 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 225:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[6];
			yyinitdebug((void YYFAR**)yya, 6);
#endif
			{
#line 1352 "D:\\NslCompiler\\aslcyacc.y"
if (!flagSchema) compiler.putInOutFile(":");
#line 3571 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 226:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[3];
			yyinitdebug((void YYFAR**)yya, 3);
#endif
			{
#line 1358 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile("||");
#line 3584 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 227:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[3];
			yyinitdebug((void YYFAR**)yya, 3);
#endif
			{
#line 1364 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile("&&");
#line 3597 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 228:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[3];
			yyinitdebug((void YYFAR**)yya, 3);
#endif
			{
#line 1370 "D:\\NslCompiler\\aslcyacc.y"
if (!flagSchema) compiler.putInOutFile("|");
#line 3610 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 229:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[3];
			yyinitdebug((void YYFAR**)yya, 3);
#endif
			{
#line 1376 "D:\\NslCompiler\\aslcyacc.y"
if ((!flagObject)&&(!flagSchema)) compiler.putInOutFile("^");
#line 3623 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 230:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[3];
			yyinitdebug((void YYFAR**)yya, 3);
#endif
			{
#line 1382 "D:\\NslCompiler\\aslcyacc.y"
if (!flagSchema) compiler.putInOutFile("&");
#line 3636 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 231:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[3];
			yyinitdebug((void YYFAR**)yya, 3);
#endif
			{
#line 1388 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile("==");
#line 3649 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 232:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[3];
			yyinitdebug((void YYFAR**)yya, 3);
#endif
			{
#line 1391 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile("!=");
#line 3662 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 233:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[3];
			yyinitdebug((void YYFAR**)yya, 3);
#endif
			{
#line 1397 "D:\\NslCompiler\\aslcyacc.y"
if ((!flagObject)&&(!flagSchema)) compiler.putInOutFile("<");
#line 3675 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 234:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[3];
			yyinitdebug((void YYFAR**)yya, 3);
#endif
			{
#line 1400 "D:\\NslCompiler\\aslcyacc.y"
if ((!flagObject)&&(!flagSchema)) compiler.putInOutFile(">");
#line 3688 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 235:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[3];
			yyinitdebug((void YYFAR**)yya, 3);
#endif
			{
#line 1403 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile("<=");
#line 3701 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 236:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[3];
			yyinitdebug((void YYFAR**)yya, 3);
#endif
			{
#line 1406 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile(">=");
#line 3714 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 237:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[3];
			yyinitdebug((void YYFAR**)yya, 3);
#endif
			{
#line 1412 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile("<<");
#line 3727 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 238:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[3];
			yyinitdebug((void YYFAR**)yya, 3);
#endif
			{
#line 1415 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile(">>");
#line 3740 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 239:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[3];
			yyinitdebug((void YYFAR**)yya, 3);
#endif
			{
#line 1421 "D:\\NslCompiler\\aslcyacc.y"
 
			  			  if (flagObject) strcat(myArgument,"+");	
			  			  if (flagAssign) strcat(myAssign,"+");
						  else if ((!flagObject)&&(!flagSchema)) compiler.putInOutFile("+");
			  			
#line 3757 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 240:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[3];
			yyinitdebug((void YYFAR**)yya, 3);
#endif
			{
#line 1428 "D:\\NslCompiler\\aslcyacc.y"
 
			  			  if (flagObject) strcat(myArgument,"-");
			  			  if (flagAssign) strcat(myAssign,"-");
						  else if ((!flagObject)&&(!flagSchema)) compiler.putInOutFile("-");
			  			
#line 3774 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 241:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[3];
			yyinitdebug((void YYFAR**)yya, 3);
#endif
			{
#line 1438 "D:\\NslCompiler\\aslcyacc.y"
 
			  			  if (flagObject) strcat(myArgument,"*");
			  			  if (flagAssign) strcat(myAssign,"*");
						  else if ((!flagObject)&&(!flagSchema)) compiler.putInOutFile("*");
			  			
#line 3791 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 242:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[3];
			yyinitdebug((void YYFAR**)yya, 3);
#endif
			{
#line 1445 "D:\\NslCompiler\\aslcyacc.y"
 
			  			  if (flagObject) strcat(myArgument,"/");
			  			  if (flagAssign) strcat(myAssign,"/");
						  else if ((!flagObject)&&(!flagSchema)) compiler.putInOutFile("/");
			  			
#line 3808 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 243:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[3];
			yyinitdebug((void YYFAR**)yya, 3);
#endif
			{
#line 1452 "D:\\NslCompiler\\aslcyacc.y"
 
			  			  if (flagObject) strcat(myArgument,"%");
			  			  if (flagAssign) strcat(myAssign,"%");
						  else if ((!flagObject)&&(!flagSchema)) compiler.putInOutFile("%");
			  			
#line 3825 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 244:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[3];
			yyinitdebug((void YYFAR**)yya, 3);
#endif
			{
#line 1463 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile(".*");
#line 3838 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 245:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[3];
			yyinitdebug((void YYFAR**)yya, 3);
#endif
			{
#line 1466 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile("->*");
#line 3851 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 246:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1478 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile("++");
#line 3864 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 247:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1480 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile("--");
#line 3877 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 248:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1483 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile("sizeof");
#line 3890 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 249:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1489 "D:\\NslCompiler\\aslcyacc.y"
 
				  if (flagObject) strcat(myArgument,"*");
				  if (flagAssign) strcat(myAssign,"*");
				  else if ((!flagObject)&&(!flagSchema)) compiler.putInOutFile("*");
				
#line 3907 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 250:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1494 "D:\\NslCompiler\\aslcyacc.y"
 
				  if (flagObject) strcat(myArgument,"&");
				  if (flagAssign) strcat(myAssign,"&");
				  else if (!flagSchema) compiler.putInOutFile("&");
				
#line 3924 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 251:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1499 "D:\\NslCompiler\\aslcyacc.y"
 
				  if (flagObject) strcat(myArgument,"+");
				  if (flagAssign) strcat(myAssign,"+");
				  else if ((!flagObject)&&(!flagSchema)) compiler.putInOutFile("+");
				
#line 3941 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 252:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1504 "D:\\NslCompiler\\aslcyacc.y"
 
				  if (flagObject) strcat(myArgument,"-");
				  if (flagAssign) strcat(myAssign,"-");
				  else if ((!flagObject)&&(!flagSchema)) compiler.putInOutFile("-");
				
#line 3958 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 253:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1509 "D:\\NslCompiler\\aslcyacc.y"
 
				  if (flagObject) strcat(myArgument,"!");
				  if (flagAssign) strcat(myAssign,"!");
				  else if ((!flagObject)&&(!flagSchema)) compiler.putInOutFile("!");
				
#line 3975 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 254:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1514 "D:\\NslCompiler\\aslcyacc.y"
 
				  if (flagObject) strcat(myArgument,"~");
				  if (flagAssign) strcat(myAssign,"~");
				  else if (!flagSchema) compiler.putInOutFile("~");
				
#line 3992 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 255:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1521 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile("new");
#line 4005 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 256:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1527 "D:\\NslCompiler\\aslcyacc.y"
if (!flagSchema) compiler.putInOutFile("(");
#line 4018 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 257:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[5];
			yyinitdebug((void YYFAR**)yya, 5);
#endif
			{
#line 1529 "D:\\NslCompiler\\aslcyacc.y"
if (!flagSchema) compiler.putInOutFile(")");
#line 4031 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 258:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1532 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile("delete");
#line 4044 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 259:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[4];
			yyinitdebug((void YYFAR**)yya, 4);
#endif
			{
#line 1534 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile("delete[]");
#line 4057 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 260:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[3];
			yyinitdebug((void YYFAR**)yya, 3);
#endif
			{
#line 1539 "D:\\NslCompiler\\aslcyacc.y"
if (!flagSchema) compiler.putInOutFile("[");
#line 4070 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 261:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[6];
			yyinitdebug((void YYFAR**)yya, 6);
#endif
			{
#line 1540 "D:\\NslCompiler\\aslcyacc.y"
if (!flagSchema) compiler.putInOutFile("]");
#line 4083 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 262:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[3];
			yyinitdebug((void YYFAR**)yya, 3);
#endif
			{
#line 1542 "D:\\NslCompiler\\aslcyacc.y"
if (!flagSchema) compiler.putInOutFile("(");
#line 4096 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 263:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[6];
			yyinitdebug((void YYFAR**)yya, 6);
#endif
			{
#line 1544 "D:\\NslCompiler\\aslcyacc.y"
if (!flagSchema) compiler.putInOutFile(")");
#line 4109 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 264:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[3];
			yyinitdebug((void YYFAR**)yya, 3);
#endif
			{
#line 1546 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile(myStack);
#line 4122 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 265:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[5];
			yyinitdebug((void YYFAR**)yya, 5);
#endif
			{
#line 1547 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile(myBuffer);
#line 4135 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 266:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[3];
			yyinitdebug((void YYFAR**)yya, 3);
#endif
			{
#line 1549 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile("++");
#line 4148 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 267:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[3];
			yyinitdebug((void YYFAR**)yya, 3);
#endif
			{
#line 1551 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile("--");
#line 4161 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 268:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[3];
			yyinitdebug((void YYFAR**)yya, 3);
#endif
			{
#line 1556 "D:\\NslCompiler\\aslcyacc.y"
flagMethod=TRUE;
#line 4174 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 269:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[3];
			yyinitdebug((void YYFAR**)yya, 3);
#endif
			{
#line 1562 "D:\\NslCompiler\\aslcyacc.y"
 
			  		  	  compiler.putInOutFile("nslConv(");
					  	  compiler.putInOutFile(myBuffer);
					  	  compiler.putInOutFile(",");
			  			
#line 4191 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 270:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[5];
			yyinitdebug((void YYFAR**)yya, 5);
#endif
			{
#line 1567 "D:\\NslCompiler\\aslcyacc.y"
 
			  		  	  compiler.putInOutFile(myBuffer);
					  	  compiler.putInOutFile(")");
						
#line 4207 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 271:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1575 "D:\\NslCompiler\\aslcyacc.y"
 
						  if (flagObject) 
						    {
							strcat(myArgument,"\"");
							strcat(myArgument,compiler.parser.getActualIdentifier());
							strcat(myArgument,"\"");
						    }
						  else
						    {
							compiler.putInOutFile("\"");
							compiler.putInOutFile(compiler.parser.getActualIdentifier());
							compiler.putInOutFile("\"");
						    }
						
#line 4233 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 272:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1590 "D:\\NslCompiler\\aslcyacc.y"
 
						  if (flagObject) strcat(myArgument,myStack);
						  else compiler.putInOutFile(myStack);
						
#line 4249 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 273:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1595 "D:\\NslCompiler\\aslcyacc.y"
 if (flagObject) strcat(myArgument,"(");
						  if (flagAssign) strcat(myAssign,"(");
						  else if ((!flagObject)&&(!flagSchema)) compiler.putInOutFile("(");
						
#line 4265 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 274:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[5];
			yyinitdebug((void YYFAR**)yya, 5);
#endif
			{
#line 1600 "D:\\NslCompiler\\aslcyacc.y"
 if (flagObject) strcat(myArgument,")");
			  			  if (flagAssign) strcat(myAssign,")");
						  else if ((!flagObject)&&(!flagSchema)) compiler.putInOutFile(")");
			  			
#line 4281 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 275:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1605 "D:\\NslCompiler\\aslcyacc.y"
 if (flagObject) strcat(myArgument,yyattribute(1 - 1).name);
						  if (flagAssign) strcat(myAssign,yyattribute(1 - 1).name);
						  compiler.putInOutFile(myBuffer);
						
#line 4297 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 276:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1610 "D:\\NslCompiler\\aslcyacc.y"
 if (flagObject) strcat(myArgument,yyattribute(1 - 1).name);
						  if (flagAssign) strcat(myAssign,yyattribute(1 - 1).name);
						  compiler.putInOutFile(myBuffer);
						
#line 4313 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 277:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1616 "D:\\NslCompiler\\aslcyacc.y"
 
						  if (flagObject) strcat(myArgument,myStack);
						  else compiler.putInOutFile(myBuffer);
						
#line 4329 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 278:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1620 "D:\\NslCompiler\\aslcyacc.y"
 
						  if (flagObject) strcat(myArgument,myStack);
						  else compiler.putInOutFile(myBuffer);
						
#line 4345 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 279:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1624 "D:\\NslCompiler\\aslcyacc.y"
 
						  if (flagObject) strcat(myArgument,myStack);
						  else compiler.putInOutFile(myBuffer);
						
#line 4361 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 280:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1628 "D:\\NslCompiler\\aslcyacc.y"
 
						  if (flagObject) strcat(myArgument,myStack);
						  else compiler.putInOutFile(myBuffer);
						
#line 4377 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 281:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[3];
			yyinitdebug((void YYFAR**)yya, 3);
#endif
			{
#line 1637 "D:\\NslCompiler\\aslcyacc.y"
if ((!flagObject)&&(!flagSchema)) compiler.putInOutFile(",");
#line 4390 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 282:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1660 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile("case");
#line 4403 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 283:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[5];
			yyinitdebug((void YYFAR**)yya, 5);
#endif
			{
#line 1661 "D:\\NslCompiler\\aslcyacc.y"
if (!flagSchema) compiler.putInOutFile(":");
#line 4416 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 284:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[3];
			yyinitdebug((void YYFAR**)yya, 3);
#endif
			{
#line 1663 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile("default:");
#line 4429 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 285:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[3];
			yyinitdebug((void YYFAR**)yya, 3);
#endif
			{
#line 1668 "D:\\NslCompiler\\aslcyacc.y"

			  			  if (!flagSchema) compiler.putInOutFile(";");
						  if (flagAssign) strcat(myAssign,";\n");
						
#line 4445 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 286:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1674 "D:\\NslCompiler\\aslcyacc.y"
 
						  if (!flagSchema) compiler.putInOutFile("{");
						  compiler.parser.incScope(); 
						
#line 4461 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 287:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[5];
			yyinitdebug((void YYFAR**)yya, 5);
#endif
			{
#line 1679 "D:\\NslCompiler\\aslcyacc.y"
 
			  			  if (!flagSchema) compiler.putInOutFile("}");
						  compiler.parser.decScope(); 
						
#line 4477 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 288:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[3];
			yyinitdebug((void YYFAR**)yya, 3);
#endif
			{
#line 1689 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile("if(");
#line 4490 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 289:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[6];
			yyinitdebug((void YYFAR**)yya, 6);
#endif
			{
#line 1691 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile(")");
#line 4503 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 290:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1693 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile("else ");
#line 4516 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 291:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[3];
			yyinitdebug((void YYFAR**)yya, 3);
#endif
			{
#line 1695 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile("switch(");
#line 4529 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 292:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[6];
			yyinitdebug((void YYFAR**)yya, 6);
#endif
			{
#line 1696 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile(")");
#line 4542 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 293:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[3];
			yyinitdebug((void YYFAR**)yya, 3);
#endif
			{
#line 1700 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile("while(");
#line 4555 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 294:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1704 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile("do");
#line 4568 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 295:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[6];
			yyinitdebug((void YYFAR**)yya, 6);
#endif
			{
#line 1706 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile("while");
#line 4581 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 296:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[10];
			yyinitdebug((void YYFAR**)yya, 10);
#endif
			{
#line 1708 "D:\\NslCompiler\\aslcyacc.y"
if (!flagSchema) compiler.putInOutFile(");");
#line 4594 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 297:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[3];
			yyinitdebug((void YYFAR**)yya, 3);
#endif
			{
#line 1709 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile("for(");
#line 4607 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 298:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[7];
			yyinitdebug((void YYFAR**)yya, 7);
#endif
			{
#line 1712 "D:\\NslCompiler\\aslcyacc.y"
if (!flagSchema) compiler.putInOutFile(";");
#line 4620 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 299:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[10];
			yyinitdebug((void YYFAR**)yya, 10);
#endif
			{
#line 1713 "D:\\NslCompiler\\aslcyacc.y"
{if (!flagSchema) compiler.putInOutFile(")");}
#line 4633 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 300:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[3];
			yyinitdebug((void YYFAR**)yya, 3);
#endif
			{
#line 1725 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile("break;");
#line 4646 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 301:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[3];
			yyinitdebug((void YYFAR**)yya, 3);
#endif
			{
#line 1726 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile("continue;");
#line 4659 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 302:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[2];
			yyinitdebug((void YYFAR**)yya, 2);
#endif
			{
#line 1727 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile("return ");
#line 4672 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 303:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[5];
			yyinitdebug((void YYFAR**)yya, 5);
#endif
			{
#line 1729 "D:\\NslCompiler\\aslcyacc.y"
if (!flagSchema) compiler.putInOutFile(";");
#line 4685 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	case 304:
		{
#ifdef YYDEBUG
			YYSTYPE YYFAR* yya[3];
			yyinitdebug((void YYFAR**)yya, 3);
#endif
			{
#line 1730 "D:\\NslCompiler\\aslcyacc.y"
compiler.putInOutFile("return;");
#line 4698 "D:\\NslCompiler\\aslcyacc.cpp"
			}
		}
		break;
	default:
		yyassert(0);
		break;
	}
}
#line 1736 "D:\\NslCompiler\\aslcyacc.y"


#line 4710 "D:\\NslCompiler\\aslcyacc.cpp"
void YYPARSENAME::yytables()
{
	yyattribute_size = sizeof(YYSTYPE);
	yysstack_size = YYSTACK_SIZE;

#ifdef YYDEBUG
	static const yysymbol_t YYNEARFAR YYBASED_CODE symbol[] = {
		{ "$end", 0 },
		{ "\'!\'", 33 },
		{ "\'%\'", 37 },
		{ "\'&\'", 38 },
		{ "\'(\'", 40 },
		{ "\')\'", 41 },
		{ "\'*\'", 42 },
		{ "\'+\'", 43 },
		{ "\',\'", 44 },
		{ "\'-\'", 45 },
		{ "\'/\'", 47 },
		{ "\':\'", 58 },
		{ "\';\'", 59 },
		{ "\'<\'", 60 },
		{ "\'=\'", 61 },
		{ "\'>\'", 62 },
		{ "\'\?\'", 63 },
		{ "\'[\'", 91 },
		{ "\']\'", 93 },
		{ "\'^\'", 94 },
		{ "\'{\'", 123 },
		{ "\'|\'", 124 },
		{ "\'}\'", 125 },
		{ "\'~\'", 126 },
		{ "error", 256 },
		{ "CONST_CHAR", 257 },
		{ "CONST_INT", 258 },
		{ "CONST_FLOAT", 259 },
		{ "CONST_STRING", 260 },
		{ "INT", 261 },
		{ "CHAR", 262 },
		{ "DOUBLE", 263 },
		{ "FLOAT", 264 },
		{ "VOID", 265 },
		{ "SHORT", 266 },
		{ "LONG", 267 },
		{ "SIGNED", 268 },
		{ "UNSIGNED", 269 },
		{ "NSLBOOLEAN", 270 },
		{ "NSLCHARSTRING", 271 },
		{ "NSLCONV", 272 },
		{ "NSLDATA", 273 },
		{ "NSLDINDOUBLE", 274 },
		{ "NSLDINDOUBLE1", 275 },
		{ "NSLDINDOUBLE2", 276 },
		{ "NSLDINDOUBLE3", 277 },
		{ "NSLDINDOUBLE4", 278 },
		{ "NSLDINFLOAT", 279 },
		{ "NSLDINFLOAT1", 280 },
		{ "NSLDINFLOAT2", 281 },
		{ "NSLDINFLOAT3", 282 },
		{ "NSLDINFLOAT4", 283 },
		{ "NSLDININT", 284 },
		{ "NSLDININT1", 285 },
		{ "NSLDININT2", 286 },
		{ "NSLDININT3", 287 },
		{ "NSLDININT4", 288 },
		{ "NSLDOUTDOUBLE", 289 },
		{ "NSLDOUTDOUBLE1", 290 },
		{ "NSLDOUTDOUBLE2", 291 },
		{ "NSLDOUTDOUBLE3", 292 },
		{ "NSLDOUTDOUBLE4", 293 },
		{ "NSLDOUTFLOAT", 294 },
		{ "NSLDOUTFLOAT1", 295 },
		{ "NSLDOUTFLOAT2", 296 },
		{ "NSLDOUTFLOAT3", 297 },
		{ "NSLDOUTFLOAT4", 298 },
		{ "NSLDOUTINT", 299 },
		{ "NSLDOUTINT1", 300 },
		{ "NSLDOUTINT2", 301 },
		{ "NSLDOUTINT3", 302 },
		{ "NSLDOUTINT4", 303 },
		{ "NSLDOUBLE", 304 },
		{ "NSLDOUBLE0", 305 },
		{ "NSLDOUBLE1", 306 },
		{ "NSLDOUBLE2", 307 },
		{ "NSLDOUBLE3", 308 },
		{ "NSLDOUBLE4", 309 },
		{ "NSLFILE", 310 },
		{ "NSLFLOAT", 311 },
		{ "NSLFLOAT0", 312 },
		{ "NSLFLOAT1", 313 },
		{ "NSLFLOAT2", 314 },
		{ "NSLFLOAT3", 315 },
		{ "NSLFLOAT4", 316 },
		{ "NSLINT", 317 },
		{ "NSLINT0", 318 },
		{ "NSLINT1", 319 },
		{ "NSLINT2", 320 },
		{ "NSLINT3", 321 },
		{ "NSLINT4", 322 },
		{ "NSLMATRIX", 323 },
		{ "NSLSTRING0", 324 },
		{ "NSLSTRING1", 325 },
		{ "NSLVECTOR", 326 },
		{ "INIT_RUN", 327 },
		{ "INIT_SYS", 328 },
		{ "INIT_TRAIN", 329 },
		{ "SIM_RUN", 330 },
		{ "SIM_TRAIN", 331 },
		{ "END_RUN", 332 },
		{ "END_SYS", 333 },
		{ "END_TRAIN", 334 },
		{ "SCHEMA_NAME", 335 },
		{ "SUPERSCHEMA_NAME", 336 },
		{ "PORT_NAME", 337 },
		{ "IDENTIFIER_DECLARED", 338 },
		{ "IDENTIFIER", 339 },
		{ "AUTO", 340 },
		{ "BREAK", 341 },
		{ "CASE", 342 },
		{ "CONST", 343 },
		{ "CONTINUE", 344 },
		{ "DEFAULT", 345 },
		{ "DELETE", 346 },
		{ "DO", 347 },
		{ "ELSE", 348 },
		{ "EXTERN", 350 },
		{ "FOR", 351 },
		{ "IF", 352 },
		{ "NEW", 353 },
		{ "REGISTER", 354 },
		{ "RETURN", 355 },
		{ "SIZEOF", 356 },
		{ "STATIC", 357 },
		{ "SWITCH", 358 },
		{ "VIRTUAL", 359 },
		{ "VOLATILE", 360 },
		{ "WHILE", 361 },
		{ "MULT_EQUAL", 362 },
		{ "DIV_EQUAL", 363 },
		{ "MOD_EQUAL", 364 },
		{ "PLUS_EQUAL", 365 },
		{ "MINUS_EQUAL", 366 },
		{ "SHIFT_RIGHT_EQUAL", 367 },
		{ "SHIFT_LEFT_EQUAL", 368 },
		{ "AND_EQUAL", 369 },
		{ "XOR_EQUAL", 370 },
		{ "OR_EQUAL", 371 },
		{ "OR_LOGIC", 372 },
		{ "AND_LOGIC", 373 },
		{ "EQUAL", 374 },
		{ "NOT_EQUAL", 375 },
		{ "SHIFT_LEFT", 376 },
		{ "SHIFT_RIGHT", 377 },
		{ "LOWER_EQUAL", 378 },
		{ "GREATER_EQUAL", 379 },
		{ "PLUS_PLUS", 380 },
		{ "MINUS_MINUS", 381 },
		{ "INDIRECTION_1", 382 },
		{ "INDIRECTION_2", 383 },
		{ "INDIRECTION_3", 384 },
		{ "DELEGATE", 385 },
		{ "EXTERNAL", 386 },
		{ "INHERIT", 387 },
		{ "INTERNAL", 388 },
		{ "INPUT", 389 },
		{ "MODEL", 390 },
		{ "OUTPUT", 391 },
		{ "PROTECTED", 392 },
		{ "SCHEMA", 393 },
		{ "SELF", 394 },
		{ "STOP", 397 },
		{ "THIS", 398 },
		{ "OP_CONNECT_LR", 399 },
		{ "OP_CONNECT_RL", 400 },
		{ "OP_DISCONNECT", 401 },
		{ "OP_RELABEL", 402 },
		{ "OP_DELABEL", 403 },
		{ NULL, 0 }
	};
	yysymbol = symbol;

	static const char* const YYNEARFAR YYBASED_CODE rule[] = {
		"$accept: schema",
		"schema: module",
		"schema: model",
		"schema: accessSpecifier schema",
		"model: modelSpecifier",
		"$$1:",
		"model: MODEL IDENTIFIER $$1 \';\'",
		"$$2:",
		"model: MODEL SCHEMA_NAME $$2 \';\'",
		"model: schema modelSpecifier",
		"$$3:",
		"model: schema MODEL IDENTIFIER $$3 \';\'",
		"$$4:",
		"model: schema MODEL SCHEMA_NAME $$4 \';\'",
		"module: moduleSpecifier",
		"$$5:",
		"module: SCHEMA IDENTIFIER $$5 \';\'",
		"$$6:",
		"module: SCHEMA SCHEMA_NAME $$6 \';\'",
		"module: schema moduleSpecifier",
		"$$7:",
		"module: schema SCHEMA IDENTIFIER $$7 \';\'",
		"$$8:",
		"module: schema SCHEMA SCHEMA_NAME $$8 \';\'",
		"$$9:",
		"modelSpecifier: modelHeader $$9 memberList \'}\'",
		"$$10:",
		"moduleSpecifier: moduleHeader \'{\' $$10 memberList \'}\'",
		"$$11:",
		"modelHeader: MODEL IDENTIFIER $$11 modelBaseSpecifier \'{\'",
		"$$12:",
		"modelHeader: MODEL SCHEMA_NAME $$12 modelBaseSpecifier \'{\'",
		"modelHeader: error",
		"modelBaseSpecifier:",
		"$$13:",
		"$$14:",
		"modelBaseSpecifier: INHERIT $$13 modelBaseList $$14 extendsArgs",
		"modelBaseList: SCHEMA_NAME",
		"modelBaseList: IDENTIFIER",
		"modelBaseList: modelBaseList \',\' IDENTIFIER",
		"$$15:",
		"$$16:",
		"moduleHeader: SCHEMA IDENTIFIER $$15 construct_args $$16 baseSpecifier",
		"$$17:",
		"$$18:",
		"moduleHeader: SCHEMA SCHEMA_NAME $$17 construct_args $$18 baseSpecifier",
		"moduleHeader: error",
		"$$19:",
		"construct_args: \'(\' $$19 argumentList \')\'",
		"baseSpecifier:",
		"$$20:",
		"baseSpecifier: INHERIT $$20 baseList extendsArgs",
		"baseList: SCHEMA_NAME",
		"baseList: IDENTIFIER",
		"baseList: baseList \',\' IDENTIFIER",
		"$$21:",
		"extendsArgs: \'(\' $$21 argumentList \')\'",
		"memberList:",
		"memberList: memberDeclaration memberList",
		"memberList: accessSpecifier memberList",
		"memberList: error",
		"accessSpecifier: EXTERNAL",
		"accessSpecifier: INTERNAL",
		"accessSpecifier: PROTECTED",
		"memberDeclaration: declSpecifierList declMemberList \';\'",
		"$$22:",
		"memberDeclaration: declSpecifierList declMemberList \'{\' $$22 statementList \'}\'",
		"memberDeclaration: schemaMethodInv",
		"memberDeclaration: superSchemaMethodInv",
		"$$23:",
		"$$24:",
		"memberDeclaration: INT $$23 controlMethods \'{\' $$24 statementList \'}\'",
		"$$25:",
		"$$26:",
		"memberDeclaration: VOID $$25 controlMethods \'{\' $$26 statementList \'}\'",
		"declSpecifierList: declSpecifier",
		"declSpecifierList: declSpecifierList declSpecifier",
		"declSpecifier: classStorageSpecifier",
		"declSpecifier: typeSpecifier",
		"classStorageSpecifier: AUTO",
		"classStorageSpecifier: EXTERN",
		"classStorageSpecifier: REGISTER",
		"classStorageSpecifier: STATIC",
		"classStorageSpecifier: VIRTUAL",
		"accessOption:",
		"accessOption: pointerOperator",
		"typeSpecifier: primitiveType",
		"typeSpecifier: nslType",
		"typeSpecifier: CONST",
		"primitiveType: simpleTypeName accessOption",
		"nslType: objectTypeName accessOption",
		"simpleTypeName: CHAR",
		"simpleTypeName: DOUBLE",
		"simpleTypeName: FLOAT",
		"simpleTypeName: INPUT",
		"simpleTypeName: INT",
		"simpleTypeName: LONG",
		"simpleTypeName: OUTPUT",
		"simpleTypeName: SIGNED",
		"simpleTypeName: SHORT",
		"simpleTypeName: UNSIGNED",
		"simpleTypeName: VOID",
		"simpleTypeName: NSLBOOLEAN",
		"simpleTypeName: NSLCHARSTRING",
		"simpleTypeName: NSLDATA",
		"simpleTypeName: NSLMATRIX",
		"simpleTypeName: NSLVECTOR",
		"objectTypeName: NSLDINDOUBLE",
		"objectTypeName: NSLDINDOUBLE1",
		"objectTypeName: NSLDINDOUBLE2",
		"objectTypeName: NSLDINDOUBLE3",
		"objectTypeName: NSLDINDOUBLE4",
		"objectTypeName: NSLDINFLOAT",
		"objectTypeName: NSLDINFLOAT1",
		"objectTypeName: NSLDINFLOAT2",
		"objectTypeName: NSLDINFLOAT3",
		"objectTypeName: NSLDINFLOAT4",
		"objectTypeName: NSLDININT",
		"objectTypeName: NSLDININT1",
		"objectTypeName: NSLDININT2",
		"objectTypeName: NSLDININT3",
		"objectTypeName: NSLDININT4",
		"objectTypeName: NSLDOUTDOUBLE",
		"objectTypeName: NSLDOUTDOUBLE1",
		"objectTypeName: NSLDOUTDOUBLE2",
		"objectTypeName: NSLDOUTDOUBLE3",
		"objectTypeName: NSLDOUTDOUBLE4",
		"objectTypeName: NSLDOUTFLOAT",
		"objectTypeName: NSLDOUTFLOAT1",
		"objectTypeName: NSLDOUTFLOAT2",
		"objectTypeName: NSLDOUTFLOAT3",
		"objectTypeName: NSLDOUTFLOAT4",
		"objectTypeName: NSLDOUTINT",
		"objectTypeName: NSLDOUTINT1",
		"objectTypeName: NSLDOUTINT2",
		"objectTypeName: NSLDOUTINT3",
		"objectTypeName: NSLDOUTINT4",
		"objectTypeName: NSLDOUBLE",
		"objectTypeName: NSLDOUBLE0",
		"objectTypeName: NSLDOUBLE1",
		"objectTypeName: NSLDOUBLE2",
		"objectTypeName: NSLDOUBLE3",
		"objectTypeName: NSLDOUBLE4",
		"objectTypeName: NSLFILE",
		"objectTypeName: NSLFLOAT",
		"objectTypeName: NSLFLOAT0",
		"objectTypeName: NSLFLOAT1",
		"objectTypeName: NSLFLOAT2",
		"objectTypeName: NSLFLOAT3",
		"objectTypeName: NSLFLOAT4",
		"objectTypeName: NSLINT",
		"objectTypeName: NSLINT0",
		"objectTypeName: NSLINT1",
		"objectTypeName: NSLINT2",
		"objectTypeName: NSLINT3",
		"objectTypeName: NSLINT4",
		"objectTypeName: NSLSTRING0",
		"objectTypeName: NSLSTRING1",
		"objectTypeName: SCHEMA_NAME",
		"controlMethods: nslCtrlDecl \'(\' \')\'",
		"nslCtrlDecl: INIT_RUN",
		"nslCtrlDecl: INIT_SYS",
		"nslCtrlDecl: INIT_TRAIN",
		"nslCtrlDecl: SIM_RUN",
		"nslCtrlDecl: SIM_TRAIN",
		"nslCtrlDecl: END_RUN",
		"nslCtrlDecl: END_SYS",
		"nslCtrlDecl: END_TRAIN",
		"declMemberList:",
		"declMemberList: memberDecl",
		"$$27:",
		"declMemberList: declMemberList \',\' $$27 memberDecl",
		"$$28:",
		"$$29:",
		"$$30:",
		"$$31:",
		"memberDecl: declarator $$28 \'(\' $$29 initializerList $$30 \')\' $$31 myInit",
		"memberDecl: declarator pureSpecifier",
		"$$32:",
		"$$33:",
		"memberDecl: IDENTIFIER $$32 \':\' $$33 constantExpression",
		"$$34:",
		"memberDecl: \':\' $$34 constantExpression",
		"memberDecl: declarator declaratorAssign",
		"$$35:",
		"declaratorAssign: \'=\' $$35 constNeg constantExpression",
		"pureSpecifier:",
		"pureSpecifier: \'=\' CONST_INT",
		"myInit:",
		"myInit: declaratorAssign",
		"myInit: \'[\' IDENTIFIER \']\'",
		"declarator: IDENTIFIER",
		"declarator: IDENTIFIER_DECLARED",
		"declarator: pointerOperator declarator",
		"$$36:",
		"declarator: declarator \'[\' $$36 constantExpression \']\'",
		"declarator: declarator \'[\' \']\'",
		"$$37:",
		"declarator: \'(\' $$37 declarator \')\'",
		"$$38:",
		"pointerOperator: \'*\' $$38 cvQualifierList",
		"$$39:",
		"pointerOperator: \'&\' $$39 cvQualifierList",
		"cvQualifierList:",
		"cvQualifierList: cvQualifier cvQualifierList",
		"cvQualifier: CONST",
		"cvQualifier: VOLATILE",
		"argument:",
		"argument: argsDef",
		"argument: objectInitList",
		"argument: objectMethodsInvList",
		"argsDef: declSpecifierList",
		"argsDef: declSpecifierList declarator",
		"$$40:",
		"argsDef: declSpecifierList declarator \'=\' $$40 constantExpression",
		"argsDef: declarator",
		"argumentList: argument",
		"$$41:",
		"argumentList: argumentList \',\' $$41 argument",
		"objectInitList: objectInit",
		"objectInitList: objectInitList objectInit",
		"objectInit: declarator declaratorAssign \';\'",
		"constNeg:",
		"constNeg: \'-\'",
		"objectMethodsInvList: objectMethodsInv",
		"objectMethodsInvList: objectMethodsInvList objectMethodsInv",
		"$$42:",
		"$$43:",
		"objectMethodsInv: IDENTIFIER $$42 INDIRECTION_1 $$43 memberDecl \';\'",
		"$$44:",
		"$$45:",
		"schemaMethodInv: SCHEMA_NAME $$44 INDIRECTION_1 $$45 memberDecl \';\'",
		"$$46:",
		"$$47:",
		"superSchemaMethodInv: SUPERSCHEMA_NAME $$46 INDIRECTION_1 $$47 memberDecl \';\'",
		"typeSpecifierList:",
		"typeSpecifierList: typeSpecifier typeSpecifierList",
		"declaration: declSpecifierList declaratorList \';\'",
		"declaratorList: initDeclarator",
		"$$48:",
		"declaratorList: declaratorList \',\' $$48 initDeclarator",
		"initDeclarator: declarator initializer",
		"initializer:",
		"$$49:",
		"initializer: \'=\' $$49 assignExpression",
		"$$50:",
		"initializer: \'=\' $$50 initializerTemplate",
		"$$51:",
		"initializer: \'(\' $$51 expressionList \')\'",
		"initializerList:",
		"initializerList: assignExpression",
		"$$52:",
		"initializerList: initializerList \',\' $$52 assignExpression",
		"initializerList: initializerTemplate",
		"$$53:",
		"initializerTemplate: \'{\' $$53 initializerList \'}\'",
		"expression: portExpression",
		"expression: expressionIter",
		"$$54:",
		"portExpression: STOP \'(\' $$54 schemaList \')\'",
		"$$55:",
		"portExpression: DELEGATE \'(\' $$55 schemaList \')\'",
		"portExpression: PORT_NAME portOperator PORT_NAME",
		"$$56:",
		"portExpression: PORT_NAME portOperator \'(\' $$56 portList \')\'",
		"portOperator: OP_CONNECT_LR",
		"portOperator: OP_CONNECT_RL",
		"portOperator: OP_DISCONNECT",
		"portOperator: OP_RELABEL",
		"portOperator: OP_DELABEL",
		"portOperator: SHIFT_RIGHT",
		"portOperator: SHIFT_LEFT",
		"portList: PORT_NAME",
		"$$57:",
		"portList: portList \',\' $$57 PORT_NAME",
		"schemaList: SCHEMA_NAME",
		"$$58:",
		"schemaList: schemaList \',\' $$58 SCHEMA_NAME",
		"expressionIter: assignExpression",
		"$$59:",
		"expressionIter: expression \',\' $$59 assignExpression",
		"assignExpression: conditionalExpression",
		"assignExpression: unaryExpression assignOperator assignExpression",
		"assignOperator: \'=\'",
		"assignOperator: MULT_EQUAL",
		"assignOperator: DIV_EQUAL",
		"assignOperator: MOD_EQUAL",
		"assignOperator: PLUS_EQUAL",
		"assignOperator: MINUS_EQUAL",
		"assignOperator: SHIFT_RIGHT_EQUAL",
		"assignOperator: SHIFT_LEFT_EQUAL",
		"assignOperator: AND_EQUAL",
		"assignOperator: XOR_EQUAL",
		"assignOperator: OR_EQUAL",
		"conditionalExpression: orLogicalExpression",
		"$$60:",
		"$$61:",
		"conditionalExpression: orLogicalExpression \'\?\' $$60 expression \':\' $$61 conditionalExpression",
		"orLogicalExpression: andLogicalExpression",
		"$$62:",
		"orLogicalExpression: orLogicalExpression OR_LOGIC $$62 andLogicalExpression",
		"andLogicalExpression: inOrExpression",
		"$$63:",
		"andLogicalExpression: andLogicalExpression AND_LOGIC $$63 inOrExpression",
		"inOrExpression: xorExpression",
		"$$64:",
		"inOrExpression: inOrExpression \'|\' $$64 xorExpression",
		"xorExpression: andExpression",
		"$$65:",
		"xorExpression: xorExpression \'^\' $$65 andExpression",
		"andExpression: equalExpression",
		"$$66:",
		"andExpression: andExpression \'&\' $$66 equalExpression",
		"equalExpression: relationalExpression",
		"$$67:",
		"equalExpression: equalExpression EQUAL $$67 relationalExpression",
		"$$68:",
		"equalExpression: equalExpression NOT_EQUAL $$68 relationalExpression",
		"relationalExpression: moveExpression",
		"$$69:",
		"relationalExpression: relationalExpression \'<\' $$69 moveExpression",
		"$$70:",
		"relationalExpression: relationalExpression \'>\' $$70 moveExpression",
		"$$71:",
		"relationalExpression: relationalExpression LOWER_EQUAL $$71 moveExpression",
		"$$72:",
		"relationalExpression: relationalExpression GREATER_EQUAL $$72 moveExpression",
		"moveExpression: aditiveExpression",
		"$$73:",
		"moveExpression: moveExpression SHIFT_LEFT $$73 aditiveExpression",
		"$$74:",
		"moveExpression: moveExpression SHIFT_RIGHT $$74 aditiveExpression",
		"aditiveExpression: prodExpression",
		"$$75:",
		"aditiveExpression: aditiveExpression \'+\' $$75 prodExpression",
		"$$76:",
		"aditiveExpression: aditiveExpression \'-\' $$76 prodExpression",
		"prodExpression: apmExpression",
		"$$77:",
		"prodExpression: prodExpression \'*\' $$77 apmExpression",
		"$$78:",
		"prodExpression: prodExpression \'/\' $$78 apmExpression",
		"$$79:",
		"prodExpression: prodExpression \'%\' $$79 apmExpression",
		"apmExpression: mutationExpression",
		"$$80:",
		"apmExpression: apmExpression INDIRECTION_2 $$80 mutationExpression",
		"$$81:",
		"apmExpression: apmExpression INDIRECTION_3 $$81 mutationExpression",
		"mutationExpression: unaryExpression",
		"unaryExpression: postfixExpression",
		"$$82:",
		"unaryExpression: PLUS_PLUS $$82 unaryExpression",
		"$$83:",
		"unaryExpression: MINUS_MINUS $$83 unaryExpression",
		"unaryExpression: unaryOperator mutationExpression",
		"$$84:",
		"unaryExpression: SIZEOF $$84 mutationExpression",
		"unaryExpression: newExpression",
		"unaryExpression: deleteExpression",
		"unaryOperator: \'*\'",
		"unaryOperator: \'&\'",
		"unaryOperator: \'+\'",
		"unaryOperator: \'-\'",
		"unaryOperator: \'!\'",
		"unaryOperator: \'~\'",
		"$$85:",
		"newExpression: NEW $$85 typeSpecifierList newTemplate",
		"newTemplate:",
		"$$86:",
		"newTemplate: \'(\' $$86 initializerList \')\'",
		"$$87:",
		"deleteExpression: DELETE $$87 mutationExpression",
		"$$88:",
		"deleteExpression: DELETE \'[\' \']\' $$88 mutationExpression",
		"postfixExpression: nslExpression",
		"$$89:",
		"postfixExpression: postfixExpression \'[\' $$89 expression \']\'",
		"$$90:",
		"postfixExpression: postfixExpression \'(\' $$90 expressionList \')\'",
		"$$91:",
		"postfixExpression: postfixExpression INDIRECTION_1 $$91 IDENTIFIER",
		"postfixExpression: postfixExpression PLUS_PLUS",
		"postfixExpression: postfixExpression MINUS_MINUS",
		"nslExpression: primaryExpression",
		"nslExpression: primitiveType primaryExpression",
		"nslExpression: objectTypeName accessOption primaryExpression",
		"nslExpression: schemaMethodInv",
		"nslExpression: superSchemaMethodInv",
		"$$92:",
		"nslExpression: IDENTIFIER NSLCONV $$92 IDENTIFIER",
		"primaryExpression: literal",
		"primaryExpression: SELF",
		"primaryExpression: THIS",
		"$$93:",
		"primaryExpression: \'(\' $$93 myassignExpression \')\'",
		"primaryExpression: IDENTIFIER_DECLARED",
		"primaryExpression: IDENTIFIER",
		"literal: CONST_INT",
		"literal: CONST_CHAR",
		"literal: CONST_FLOAT",
		"literal: CONST_STRING",
		"expressionList:",
		"expressionList: assignExpression",
		"$$94:",
		"expressionList: expressionList \',\' $$94 assignExpression",
		"constantExpression: conditionalExpression",
		"myassignExpression: typeSpecifierList",
		"myassignExpression: assignExpression",
		"statement: labelStatement",
		"statement: initForStatement",
		"statement: complexStatement",
		"statement: selectStatement",
		"statement: iterationStatement",
		"statement: jumpStatement",
		"statement: error",
		"$$95:",
		"$$96:",
		"labelStatement: CASE $$95 constantExpression \':\' $$96 statement",
		"$$97:",
		"labelStatement: DEFAULT \':\' $$97 statement",
		"expressionStatement: optExpression \';\'",
		"$$98:",
		"complexStatement: \'{\' $$98 statementList \'}\'",
		"statementList:",
		"statementList: statementList statement",
		"$$99:",
		"$$100:",
		"selectStatement: IF \'(\' $$99 expression \')\' $$100 statement",
		"$$101:",
		"selectStatement: ELSE $$101 statement",
		"$$102:",
		"$$103:",
		"selectStatement: SWITCH \'(\' $$102 expression \')\' $$103 statement",
		"$$104:",
		"iterationStatement: WHILE \'(\' $$104 expression \')\' statement",
		"$$105:",
		"$$106:",
		"iterationStatement: DO $$105 statement WHILE \'(\' $$106 expression \')\' \';\'",
		"$$107:",
		"$$108:",
		"$$109:",
		"iterationStatement: FOR \'(\' $$107 initForStatement optExpression \';\' $$108 optExpression \')\' $$109 statement",
		"optExpression:",
		"optExpression: expression",
		"initForStatement: expressionStatement",
		"initForStatement: declarationStatement",
		"jumpStatement: BREAK \';\'",
		"jumpStatement: CONTINUE \';\'",
		"$$110:",
		"jumpStatement: RETURN $$110 expression \';\'",
		"jumpStatement: RETURN \';\'",
		"declarationStatement: declaration"
	};
	yyrule = rule;
#endif

	static const yyreduction_t YYNEARFAR YYBASED_CODE reduction[] = {
		{ 0, 1, -1 },
		{ 1, 1, -1 },
		{ 1, 1, -1 },
		{ 1, 2, -1 },
		{ 2, 1, 0 },
		{ 3, 0, 1 },
		{ 2, 4, 2 },
		{ 4, 0, 3 },
		{ 2, 4, 4 },
		{ 2, 2, 5 },
		{ 5, 0, 6 },
		{ 2, 5, 7 },
		{ 6, 0, 8 },
		{ 2, 5, 9 },
		{ 7, 1, 10 },
		{ 8, 0, 11 },
		{ 7, 4, 12 },
		{ 9, 0, 13 },
		{ 7, 4, 14 },
		{ 7, 2, 15 },
		{ 10, 0, 16 },
		{ 7, 5, 17 },
		{ 11, 0, 18 },
		{ 7, 5, 19 },
		{ 13, 0, 20 },
		{ 12, 4, 21 },
		{ 15, 0, 22 },
		{ 14, 5, 23 },
		{ 17, 0, 24 },
		{ 16, 5, -1 },
		{ 18, 0, 25 },
		{ 16, 5, -1 },
		{ 16, 1, 26 },
		{ 19, 0, 27 },
		{ 20, 0, 28 },
		{ 21, 0, 29 },
		{ 19, 5, 30 },
		{ 22, 1, 31 },
		{ 22, 1, 32 },
		{ 22, 3, 33 },
		{ 24, 0, 34 },
		{ 25, 0, 35 },
		{ 23, 6, 36 },
		{ 26, 0, 37 },
		{ 27, 0, 38 },
		{ 23, 6, 39 },
		{ 23, 1, 40 },
		{ 29, 0, 41 },
		{ 28, 4, 42 },
		{ 30, 0, 43 },
		{ 31, 0, 44 },
		{ 30, 4, 45 },
		{ 32, 1, 46 },
		{ 32, 1, 47 },
		{ 32, 3, 48 },
		{ 34, 0, 49 },
		{ 33, 4, 50 },
		{ 35, 0, -1 },
		{ 35, 2, -1 },
		{ 35, 2, -1 },
		{ 35, 1, 51 },
		{ 36, 1, 52 },
		{ 36, 1, 53 },
		{ 36, 1, 54 },
		{ 37, 3, 55 },
		{ 38, 0, 56 },
		{ 37, 6, 57 },
		{ 37, 1, -1 },
		{ 37, 1, -1 },
		{ 39, 0, 58 },
		{ 40, 0, 59 },
		{ 37, 7, 60 },
		{ 41, 0, 61 },
		{ 42, 0, 62 },
		{ 37, 7, 63 },
		{ 43, 1, 64 },
		{ 43, 2, 65 },
		{ 44, 1, 66 },
		{ 44, 1, 67 },
		{ 45, 1, 68 },
		{ 45, 1, 69 },
		{ 45, 1, 70 },
		{ 45, 1, 71 },
		{ 45, 1, 72 },
		{ 46, 0, 73 },
		{ 46, 1, 74 },
		{ 47, 1, 75 },
		{ 47, 1, 76 },
		{ 47, 1, 77 },
		{ 48, 2, 78 },
		{ 49, 2, 79 },
		{ 50, 1, 80 },
		{ 50, 1, 81 },
		{ 50, 1, 82 },
		{ 50, 1, 83 },
		{ 50, 1, 84 },
		{ 50, 1, 85 },
		{ 50, 1, 86 },
		{ 50, 1, 87 },
		{ 50, 1, 88 },
		{ 50, 1, 89 },
		{ 50, 1, 90 },
		{ 50, 1, 91 },
		{ 50, 1, 92 },
		{ 50, 1, 93 },
		{ 50, 1, 94 },
		{ 50, 1, 95 },
		{ 51, 1, 96 },
		{ 51, 1, 97 },
		{ 51, 1, 98 },
		{ 51, 1, 99 },
		{ 51, 1, 100 },
		{ 51, 1, 101 },
		{ 51, 1, 102 },
		{ 51, 1, 103 },
		{ 51, 1, 104 },
		{ 51, 1, 105 },
		{ 51, 1, 106 },
		{ 51, 1, 107 },
		{ 51, 1, 108 },
		{ 51, 1, 109 },
		{ 51, 1, 110 },
		{ 51, 1, 111 },
		{ 51, 1, 112 },
		{ 51, 1, 113 },
		{ 51, 1, 114 },
		{ 51, 1, 115 },
		{ 51, 1, 116 },
		{ 51, 1, 117 },
		{ 51, 1, 118 },
		{ 51, 1, 119 },
		{ 51, 1, 120 },
		{ 51, 1, 121 },
		{ 51, 1, 122 },
		{ 51, 1, 123 },
		{ 51, 1, 124 },
		{ 51, 1, 125 },
		{ 51, 1, 126 },
		{ 51, 1, 127 },
		{ 51, 1, 128 },
		{ 51, 1, 129 },
		{ 51, 1, 130 },
		{ 51, 1, 131 },
		{ 51, 1, 132 },
		{ 51, 1, 133 },
		{ 51, 1, 134 },
		{ 51, 1, 135 },
		{ 51, 1, 136 },
		{ 51, 1, 137 },
		{ 51, 1, 138 },
		{ 51, 1, 139 },
		{ 51, 1, 140 },
		{ 51, 1, 141 },
		{ 51, 1, 142 },
		{ 51, 1, 143 },
		{ 51, 1, 144 },
		{ 51, 1, 145 },
		{ 51, 1, 146 },
		{ 51, 1, 147 },
		{ 52, 3, 148 },
		{ 53, 1, -1 },
		{ 53, 1, -1 },
		{ 53, 1, -1 },
		{ 53, 1, -1 },
		{ 53, 1, -1 },
		{ 53, 1, -1 },
		{ 53, 1, -1 },
		{ 53, 1, -1 },
		{ 54, 0, -1 },
		{ 54, 1, -1 },
		{ 55, 0, 149 },
		{ 54, 4, -1 },
		{ 57, 0, 150 },
		{ 58, 0, 151 },
		{ 59, 0, 152 },
		{ 60, 0, 153 },
		{ 56, 9, -1 },
		{ 56, 2, -1 },
		{ 61, 0, 154 },
		{ 62, 0, 155 },
		{ 56, 5, -1 },
		{ 63, 0, 156 },
		{ 56, 3, -1 },
		{ 56, 2, -1 },
		{ 65, 0, 157 },
		{ 64, 4, -1 },
		{ 66, 0, -1 },
		{ 66, 2, 158 },
		{ 67, 0, -1 },
		{ 67, 1, -1 },
		{ 67, 3, -1 },
		{ 68, 1, 159 },
		{ 68, 1, 160 },
		{ 68, 2, -1 },
		{ 69, 0, 161 },
		{ 68, 5, 162 },
		{ 68, 3, 163 },
		{ 70, 0, 164 },
		{ 68, 4, 165 },
		{ 72, 0, 166 },
		{ 71, 3, 167 },
		{ 73, 0, 168 },
		{ 71, 3, 169 },
		{ 74, 0, -1 },
		{ 74, 2, -1 },
		{ 75, 1, 170 },
		{ 75, 1, 171 },
		{ 76, 0, -1 },
		{ 76, 1, 172 },
		{ 76, 1, -1 },
		{ 76, 1, -1 },
		{ 77, 1, -1 },
		{ 77, 2, -1 },
		{ 78, 0, 173 },
		{ 77, 5, -1 },
		{ 77, 1, -1 },
		{ 79, 1, -1 },
		{ 80, 0, 174 },
		{ 79, 4, -1 },
		{ 81, 1, -1 },
		{ 81, 2, -1 },
		{ 82, 3, 175 },
		{ 83, 0, -1 },
		{ 83, 1, 176 },
		{ 84, 1, -1 },
		{ 84, 2, -1 },
		{ 86, 0, 177 },
		{ 87, 0, 178 },
		{ 85, 6, 179 },
		{ 89, 0, 180 },
		{ 90, 0, 181 },
		{ 88, 6, 182 },
		{ 92, 0, 183 },
		{ 93, 0, 184 },
		{ 91, 6, 185 },
		{ 94, 0, -1 },
		{ 94, 2, -1 },
		{ 95, 3, 186 },
		{ 96, 1, -1 },
		{ 97, 0, 187 },
		{ 96, 4, -1 },
		{ 98, 2, -1 },
		{ 99, 0, -1 },
		{ 100, 0, 188 },
		{ 99, 3, -1 },
		{ 101, 0, 189 },
		{ 99, 3, -1 },
		{ 102, 0, 190 },
		{ 99, 4, 191 },
		{ 103, 0, -1 },
		{ 103, 1, -1 },
		{ 104, 0, 192 },
		{ 103, 4, -1 },
		{ 103, 1, -1 },
		{ 106, 0, 193 },
		{ 105, 4, 194 },
		{ 107, 1, -1 },
		{ 107, 1, -1 },
		{ 109, 0, 195 },
		{ 108, 5, 196 },
		{ 110, 0, 197 },
		{ 108, 5, 198 },
		{ 108, 3, -1 },
		{ 111, 0, 199 },
		{ 108, 6, 200 },
		{ 112, 1, 201 },
		{ 112, 1, 202 },
		{ 112, 1, 203 },
		{ 112, 1, 204 },
		{ 112, 1, 205 },
		{ 112, 1, 206 },
		{ 112, 1, 207 },
		{ 113, 1, -1 },
		{ 114, 0, 208 },
		{ 113, 4, -1 },
		{ 115, 1, 209 },
		{ 116, 0, 210 },
		{ 115, 4, 211 },
		{ 117, 1, -1 },
		{ 118, 0, 212 },
		{ 117, 4, -1 },
		{ 119, 1, -1 },
		{ 119, 3, -1 },
		{ 120, 1, 213 },
		{ 120, 1, 214 },
		{ 120, 1, 215 },
		{ 120, 1, 216 },
		{ 120, 1, 217 },
		{ 120, 1, 218 },
		{ 120, 1, 219 },
		{ 120, 1, 220 },
		{ 120, 1, 221 },
		{ 120, 1, 222 },
		{ 120, 1, 223 },
		{ 121, 1, -1 },
		{ 122, 0, 224 },
		{ 123, 0, 225 },
		{ 121, 7, -1 },
		{ 124, 1, -1 },
		{ 125, 0, 226 },
		{ 124, 4, -1 },
		{ 126, 1, -1 },
		{ 127, 0, 227 },
		{ 126, 4, -1 },
		{ 128, 1, -1 },
		{ 129, 0, 228 },
		{ 128, 4, -1 },
		{ 130, 1, -1 },
		{ 131, 0, 229 },
		{ 130, 4, -1 },
		{ 132, 1, -1 },
		{ 133, 0, 230 },
		{ 132, 4, -1 },
		{ 134, 1, -1 },
		{ 135, 0, 231 },
		{ 134, 4, -1 },
		{ 136, 0, 232 },
		{ 134, 4, -1 },
		{ 137, 1, -1 },
		{ 138, 0, 233 },
		{ 137, 4, -1 },
		{ 139, 0, 234 },
		{ 137, 4, -1 },
		{ 140, 0, 235 },
		{ 137, 4, -1 },
		{ 141, 0, 236 },
		{ 137, 4, -1 },
		{ 142, 1, -1 },
		{ 143, 0, 237 },
		{ 142, 4, -1 },
		{ 144, 0, 238 },
		{ 142, 4, -1 },
		{ 145, 1, -1 },
		{ 146, 0, 239 },
		{ 145, 4, -1 },
		{ 147, 0, 240 },
		{ 145, 4, -1 },
		{ 148, 1, -1 },
		{ 149, 0, 241 },
		{ 148, 4, -1 },
		{ 150, 0, 242 },
		{ 148, 4, -1 },
		{ 151, 0, 243 },
		{ 148, 4, -1 },
		{ 152, 1, -1 },
		{ 153, 0, 244 },
		{ 152, 4, -1 },
		{ 154, 0, 245 },
		{ 152, 4, -1 },
		{ 155, 1, -1 },
		{ 156, 1, -1 },
		{ 157, 0, 246 },
		{ 156, 3, -1 },
		{ 158, 0, 247 },
		{ 156, 3, -1 },
		{ 156, 2, -1 },
		{ 159, 0, 248 },
		{ 156, 3, -1 },
		{ 156, 1, -1 },
		{ 156, 1, -1 },
		{ 160, 1, 249 },
		{ 160, 1, 250 },
		{ 160, 1, 251 },
		{ 160, 1, 252 },
		{ 160, 1, 253 },
		{ 160, 1, 254 },
		{ 162, 0, 255 },
		{ 161, 4, -1 },
		{ 163, 0, -1 },
		{ 164, 0, 256 },
		{ 163, 4, 257 },
		{ 166, 0, 258 },
		{ 165, 3, -1 },
		{ 167, 0, 259 },
		{ 165, 5, -1 },
		{ 168, 1, -1 },
		{ 169, 0, 260 },
		{ 168, 5, 261 },
		{ 170, 0, 262 },
		{ 168, 5, 263 },
		{ 171, 0, 264 },
		{ 168, 4, 265 },
		{ 168, 2, 266 },
		{ 168, 2, 267 },
		{ 172, 1, -1 },
		{ 172, 2, 268 },
		{ 172, 3, -1 },
		{ 172, 1, -1 },
		{ 172, 1, -1 },
		{ 173, 0, 269 },
		{ 172, 4, 270 },
		{ 174, 1, -1 },
		{ 174, 1, 271 },
		{ 174, 1, 272 },
		{ 175, 0, 273 },
		{ 174, 4, 274 },
		{ 174, 1, 275 },
		{ 174, 1, 276 },
		{ 176, 1, 277 },
		{ 176, 1, 278 },
		{ 176, 1, 279 },
		{ 176, 1, 280 },
		{ 177, 0, -1 },
		{ 177, 1, -1 },
		{ 178, 0, 281 },
		{ 177, 4, -1 },
		{ 179, 1, -1 },
		{ 180, 1, -1 },
		{ 180, 1, -1 },
		{ 181, 1, -1 },
		{ 181, 1, -1 },
		{ 181, 1, -1 },
		{ 181, 1, -1 },
		{ 181, 1, -1 },
		{ 181, 1, -1 },
		{ 181, 1, -1 },
		{ 183, 0, 282 },
		{ 184, 0, 283 },
		{ 182, 6, -1 },
		{ 185, 0, 284 },
		{ 182, 4, -1 },
		{ 186, 2, 285 },
		{ 188, 0, 286 },
		{ 187, 4, 287 },
		{ 189, 0, -1 },
		{ 189, 2, -1 },
		{ 191, 0, 288 },
		{ 192, 0, 289 },
		{ 190, 7, -1 },
		{ 193, 0, 290 },
		{ 190, 3, -1 },
		{ 194, 0, 291 },
		{ 195, 0, 292 },
		{ 190, 7, -1 },
		{ 197, 0, 293 },
		{ 196, 6, -1 },
		{ 198, 0, 294 },
		{ 199, 0, 295 },
		{ 196, 9, 296 },
		{ 200, 0, 297 },
		{ 201, 0, 298 },
		{ 202, 0, 299 },
		{ 196, 11, -1 },
		{ 203, 0, -1 },
		{ 203, 1, -1 },
		{ 204, 1, -1 },
		{ 204, 1, -1 },
		{ 205, 2, 300 },
		{ 205, 2, 301 },
		{ 206, 0, 302 },
		{ 205, 4, 303 },
		{ 205, 2, 304 },
		{ 207, 1, -1 }
	};
	yyreduction = reduction;

	static const yytokenaction_t YYNEARFAR YYBASED_CODE tokenaction[] = {
		{ 633, YYAT_SHIFT, 233 },
		{ 506, YYAT_SHIFT, 541 },
		{ 23, YYAT_SHIFT, 1 },
		{ 622, YYAT_SHIFT, 629 },
		{ 630, YYAT_SHIFT, 632 },
		{ 633, YYAT_SHIFT, 234 },
		{ 622, YYAT_SHIFT, 524 },
		{ 633, YYAT_SHIFT, 235 },
		{ 127, YYAT_SHIFT, 38 },
		{ 633, YYAT_SHIFT, 236 },
		{ 633, YYAT_SHIFT, 237 },
		{ 629, YYAT_SHIFT, 631 },
		{ 633, YYAT_SHIFT, 238 },
		{ 127, YYAT_SHIFT, 39 },
		{ 127, YYAT_SHIFT, 40 },
		{ 127, YYAT_SHIFT, 41 },
		{ 127, YYAT_SHIFT, 42 },
		{ 127, YYAT_SHIFT, 43 },
		{ 127, YYAT_SHIFT, 44 },
		{ 127, YYAT_SHIFT, 45 },
		{ 127, YYAT_SHIFT, 46 },
		{ 127, YYAT_SHIFT, 47 },
		{ 127, YYAT_SHIFT, 48 },
		{ 127, YYAT_SHIFT, 49 },
		{ 10, YYAT_ERROR, 0 },
		{ 127, YYAT_SHIFT, 50 },
		{ 127, YYAT_SHIFT, 51 },
		{ 127, YYAT_SHIFT, 52 },
		{ 127, YYAT_SHIFT, 53 },
		{ 127, YYAT_SHIFT, 54 },
		{ 127, YYAT_SHIFT, 55 },
		{ 127, YYAT_SHIFT, 56 },
		{ 127, YYAT_SHIFT, 57 },
		{ 127, YYAT_SHIFT, 58 },
		{ 127, YYAT_SHIFT, 59 },
		{ 127, YYAT_SHIFT, 60 },
		{ 127, YYAT_SHIFT, 61 },
		{ 127, YYAT_SHIFT, 62 },
		{ 127, YYAT_SHIFT, 63 },
		{ 127, YYAT_SHIFT, 64 },
		{ 127, YYAT_SHIFT, 65 },
		{ 127, YYAT_SHIFT, 66 },
		{ 127, YYAT_SHIFT, 67 },
		{ 127, YYAT_SHIFT, 68 },
		{ 127, YYAT_SHIFT, 69 },
		{ 127, YYAT_SHIFT, 70 },
		{ 127, YYAT_SHIFT, 71 },
		{ 127, YYAT_SHIFT, 72 },
		{ 127, YYAT_SHIFT, 73 },
		{ 127, YYAT_SHIFT, 74 },
		{ 127, YYAT_SHIFT, 75 },
		{ 127, YYAT_SHIFT, 76 },
		{ 127, YYAT_SHIFT, 77 },
		{ 127, YYAT_SHIFT, 78 },
		{ 127, YYAT_SHIFT, 79 },
		{ 127, YYAT_SHIFT, 80 },
		{ 127, YYAT_SHIFT, 81 },
		{ 127, YYAT_SHIFT, 82 },
		{ 127, YYAT_SHIFT, 83 },
		{ 127, YYAT_SHIFT, 84 },
		{ 127, YYAT_SHIFT, 85 },
		{ 127, YYAT_SHIFT, 86 },
		{ 127, YYAT_SHIFT, 87 },
		{ 127, YYAT_SHIFT, 88 },
		{ 127, YYAT_SHIFT, 89 },
		{ 127, YYAT_SHIFT, 90 },
		{ 127, YYAT_SHIFT, 91 },
		{ 127, YYAT_SHIFT, 92 },
		{ 127, YYAT_SHIFT, 93 },
		{ 127, YYAT_SHIFT, 94 },
		{ 127, YYAT_SHIFT, 95 },
		{ 127, YYAT_SHIFT, 96 },
		{ 127, YYAT_SHIFT, 97 },
		{ 127, YYAT_SHIFT, 98 },
		{ 127, YYAT_SHIFT, 99 },
		{ 127, YYAT_SHIFT, 100 },
		{ 127, YYAT_SHIFT, 101 },
		{ 127, YYAT_SHIFT, 102 },
		{ 127, YYAT_SHIFT, 103 },
		{ 260, YYAT_SHIFT, 318 },
		{ 560, YYAT_ERROR, 0 },
		{ 157, YYAT_SHIFT, 197 },
		{ 447, YYAT_SHIFT, 149 },
		{ 480, YYAT_SHIFT, 326 },
		{ 272, YYAT_SHIFT, 339 },
		{ 480, YYAT_SHIFT, 327 },
		{ 582, YYAT_ERROR, 0 },
		{ 127, YYAT_SHIFT, 104 },
		{ 127, YYAT_SHIFT, 105 },
		{ 479, YYAT_SHIFT, 326 },
		{ 633, YYAT_SHIFT, 407 },
		{ 479, YYAT_SHIFT, 327 },
		{ 127, YYAT_SHIFT, 106 },
		{ 633, YYAT_SHIFT, 239 },
		{ 521, YYAT_SHIFT, 554 },
		{ 127, YYAT_SHIFT, 107 },
		{ 157, YYAT_SHIFT, 198 },
		{ 231, YYAT_SHIFT, 306 },
		{ 159, YYAT_REDUCE, 172 },
		{ 496, YYAT_ERROR, 0 },
		{ 410, YYAT_SHIFT, 499 },
		{ 410, YYAT_SHIFT, 500 },
		{ 127, YYAT_SHIFT, 108 },
		{ 584, YYAT_SHIFT, 146 },
		{ 473, YYAT_ERROR, 0 },
		{ 584, YYAT_SHIFT, 147 },
		{ 127, YYAT_SHIFT, 109 },
		{ 584, YYAT_SHIFT, 148 },
		{ 295, YYAT_ERROR, 0 },
		{ 127, YYAT_SHIFT, 110 },
		{ 7, YYAT_ACCEPT, 0 },
		{ 127, YYAT_SHIFT, 111 },
		{ 588, YYAT_SHIFT, 293 },
		{ 230, YYAT_SHIFT, 227 },
		{ 549, YYAT_SHIFT, 524 },
		{ 521, YYAT_SHIFT, 555 },
		{ 621, YYAT_SHIFT, 628 },
		{ 522, YYAT_SHIFT, 557 },
		{ 215, YYAT_SHIFT, 146 },
		{ 159, YYAT_SHIFT, 200 },
		{ 215, YYAT_SHIFT, 147 },
		{ 473, YYAT_SHIFT, 536 },
		{ 215, YYAT_SHIFT, 148 },
		{ 410, YYAT_SHIFT, 501 },
		{ 410, YYAT_SHIFT, 502 },
		{ 410, YYAT_SHIFT, 503 },
		{ 410, YYAT_SHIFT, 504 },
		{ 410, YYAT_SHIFT, 505 },
		{ 295, YYAT_SHIFT, 293 },
		{ 549, YYAT_SHIFT, 575 },
		{ 230, YYAT_SHIFT, 228 },
		{ 290, YYAT_SHIFT, 356 },
		{ 522, YYAT_SHIFT, 558 },
		{ 212, YYAT_SHIFT, 293 },
		{ 582, YYAT_ERROR, 0 },
		{ 272, YYAT_SHIFT, 340 },
		{ 23, YYAT_SHIFT, 19 },
		{ 620, YYAT_SHIFT, 627 },
		{ 127, YYAT_SHIFT, 2 },
		{ 23, YYAT_SHIFT, 20 },
		{ 127, YYAT_SHIFT, 3 },
		{ 127, YYAT_SHIFT, 112 },
		{ 588, YYAT_SHIFT, 607 },
		{ 127, YYAT_SHIFT, 113 },
		{ 127, YYAT_SHIFT, 5 },
		{ 521, YYAT_SHIFT, 201 },
		{ 582, YYAT_ERROR, 0 },
		{ 231, YYAT_SHIFT, 201 },
		{ 486, YYAT_SHIFT, 332 },
		{ 159, YYAT_SHIFT, 201 },
		{ 486, YYAT_SHIFT, 333 },
		{ 496, YYAT_SHIFT, 539 },
		{ 143, YYAT_SHIFT, 177 },
		{ 143, YYAT_SHIFT, 178 },
		{ 143, YYAT_SHIFT, 179 },
		{ 143, YYAT_SHIFT, 180 },
		{ 143, YYAT_SHIFT, 181 },
		{ 143, YYAT_SHIFT, 182 },
		{ 143, YYAT_SHIFT, 183 },
		{ 143, YYAT_SHIFT, 184 },
		{ 157, YYAT_SHIFT, 199 },
		{ 290, YYAT_SHIFT, 201 },
		{ 623, YYAT_REDUCE, 443 },
		{ 212, YYAT_SHIFT, 201 },
		{ 560, YYAT_SHIFT, 586 },
		{ 43, YYAT_REDUCE, 72 },
		{ 43, YYAT_REDUCE, 72 },
		{ 43, YYAT_REDUCE, 72 },
		{ 43, YYAT_REDUCE, 72 },
		{ 43, YYAT_REDUCE, 72 },
		{ 43, YYAT_REDUCE, 72 },
		{ 43, YYAT_REDUCE, 72 },
		{ 43, YYAT_REDUCE, 72 },
		{ 366, YYAT_SHIFT, 146 },
		{ 299, YYAT_SHIFT, 359 },
		{ 167, YYAT_SHIFT, 206 },
		{ 618, YYAT_SHIFT, 626 },
		{ 366, YYAT_SHIFT, 148 },
		{ 299, YYAT_SHIFT, 360 },
		{ 167, YYAT_SHIFT, 207 },
		{ 266, YYAT_SHIFT, 326 },
		{ 607, YYAT_SHIFT, 620 },
		{ 266, YYAT_SHIFT, 327 },
		{ 39, YYAT_REDUCE, 69 },
		{ 39, YYAT_REDUCE, 69 },
		{ 39, YYAT_REDUCE, 69 },
		{ 39, YYAT_REDUCE, 69 },
		{ 39, YYAT_REDUCE, 69 },
		{ 39, YYAT_REDUCE, 69 },
		{ 39, YYAT_REDUCE, 69 },
		{ 39, YYAT_REDUCE, 69 },
		{ 547, YYAT_SHIFT, 106 },
		{ 488, YYAT_SHIFT, 334 },
		{ 596, YYAT_SHIFT, 614 },
		{ 547, YYAT_SHIFT, 107 },
		{ 20, YYAT_SHIFT, 36 },
		{ 19, YYAT_SHIFT, 34 },
		{ 488, YYAT_SHIFT, 335 },
		{ 583, YYAT_SHIFT, 442 },
		{ 20, YYAT_SHIFT, 37 },
		{ 19, YYAT_SHIFT, 35 },
		{ 547, YYAT_SHIFT, 108 },
		{ 488, YYAT_SHIFT, 336 },
		{ 454, YYAT_SHIFT, 235 },
		{ 535, YYAT_SHIFT, 233 },
		{ 547, YYAT_SHIFT, 109 },
		{ 579, YYAT_SHIFT, 600 },
		{ 487, YYAT_SHIFT, 334 },
		{ 547, YYAT_SHIFT, 110 },
		{ 535, YYAT_SHIFT, 234 },
		{ 547, YYAT_SHIFT, 111 },
		{ 535, YYAT_SHIFT, 235 },
		{ 487, YYAT_SHIFT, 335 },
		{ 535, YYAT_SHIFT, 236 },
		{ 535, YYAT_SHIFT, 237 },
		{ 6, YYAT_SHIFT, 17 },
		{ 535, YYAT_SHIFT, 238 },
		{ 487, YYAT_SHIFT, 336 },
		{ 4, YYAT_SHIFT, 15 },
		{ 6, YYAT_SHIFT, 18 },
		{ 491, YYAT_SHIFT, 337 },
		{ 491, YYAT_SHIFT, 338 },
		{ 4, YYAT_SHIFT, 16 },
		{ 633, YYAT_SHIFT, 409 },
		{ 633, YYAT_SHIFT, 240 },
		{ 633, YYAT_SHIFT, 241 },
		{ 633, YYAT_SHIFT, 242 },
		{ 633, YYAT_SHIFT, 243 },
		{ 633, YYAT_SHIFT, 150 },
		{ 633, YYAT_SHIFT, 40 },
		{ 633, YYAT_SHIFT, 41 },
		{ 633, YYAT_SHIFT, 42 },
		{ 633, YYAT_SHIFT, 151 },
		{ 633, YYAT_SHIFT, 44 },
		{ 633, YYAT_SHIFT, 45 },
		{ 633, YYAT_SHIFT, 46 },
		{ 633, YYAT_SHIFT, 47 },
		{ 633, YYAT_SHIFT, 48 },
		{ 633, YYAT_SHIFT, 49 },
		{ 372, YYAT_SHIFT, 456 },
		{ 633, YYAT_SHIFT, 50 },
		{ 633, YYAT_SHIFT, 51 },
		{ 633, YYAT_SHIFT, 52 },
		{ 633, YYAT_SHIFT, 53 },
		{ 633, YYAT_SHIFT, 54 },
		{ 633, YYAT_SHIFT, 55 },
		{ 633, YYAT_SHIFT, 56 },
		{ 633, YYAT_SHIFT, 57 },
		{ 633, YYAT_SHIFT, 58 },
		{ 633, YYAT_SHIFT, 59 },
		{ 633, YYAT_SHIFT, 60 },
		{ 633, YYAT_SHIFT, 61 },
		{ 633, YYAT_SHIFT, 62 },
		{ 633, YYAT_SHIFT, 63 },
		{ 633, YYAT_SHIFT, 64 },
		{ 633, YYAT_SHIFT, 65 },
		{ 633, YYAT_SHIFT, 66 },
		{ 633, YYAT_SHIFT, 67 },
		{ 633, YYAT_SHIFT, 68 },
		{ 633, YYAT_SHIFT, 69 },
		{ 633, YYAT_SHIFT, 70 },
		{ 633, YYAT_SHIFT, 71 },
		{ 633, YYAT_SHIFT, 72 },
		{ 633, YYAT_SHIFT, 73 },
		{ 633, YYAT_SHIFT, 74 },
		{ 633, YYAT_SHIFT, 75 },
		{ 633, YYAT_SHIFT, 76 },
		{ 633, YYAT_SHIFT, 77 },
		{ 633, YYAT_SHIFT, 78 },
		{ 633, YYAT_SHIFT, 79 },
		{ 633, YYAT_SHIFT, 80 },
		{ 633, YYAT_SHIFT, 81 },
		{ 633, YYAT_SHIFT, 82 },
		{ 633, YYAT_SHIFT, 83 },
		{ 633, YYAT_SHIFT, 84 },
		{ 633, YYAT_SHIFT, 85 },
		{ 633, YYAT_SHIFT, 86 },
		{ 633, YYAT_SHIFT, 87 },
		{ 633, YYAT_SHIFT, 88 },
		{ 633, YYAT_SHIFT, 89 },
		{ 633, YYAT_SHIFT, 90 },
		{ 633, YYAT_SHIFT, 91 },
		{ 633, YYAT_SHIFT, 92 },
		{ 633, YYAT_SHIFT, 93 },
		{ 633, YYAT_SHIFT, 94 },
		{ 633, YYAT_SHIFT, 95 },
		{ 633, YYAT_SHIFT, 96 },
		{ 633, YYAT_SHIFT, 97 },
		{ 633, YYAT_SHIFT, 98 },
		{ 633, YYAT_SHIFT, 99 },
		{ 633, YYAT_SHIFT, 100 },
		{ 633, YYAT_SHIFT, 101 },
		{ 633, YYAT_SHIFT, 102 },
		{ 633, YYAT_SHIFT, 103 },
		{ 535, YYAT_SHIFT, 442 },
		{ 623, YYAT_REDUCE, 443 },
		{ 603, YYAT_SHIFT, 619 },
		{ 535, YYAT_SHIFT, 239 },
		{ 506, YYAT_SHIFT, 542 },
		{ 603, YYAT_SHIFT, 538 },
		{ 490, YYAT_SHIFT, 337 },
		{ 490, YYAT_SHIFT, 338 },
		{ 633, YYAT_SHIFT, 104 },
		{ 633, YYAT_SHIFT, 105 },
		{ 633, YYAT_SHIFT, 410 },
		{ 633, YYAT_SHIFT, 244 },
		{ 633, YYAT_SHIFT, 245 },
		{ 633, YYAT_SHIFT, 106 },
		{ 633, YYAT_SHIFT, 411 },
		{ 633, YYAT_SHIFT, 412 },
		{ 633, YYAT_SHIFT, 107 },
		{ 633, YYAT_SHIFT, 413 },
		{ 633, YYAT_SHIFT, 414 },
		{ 633, YYAT_SHIFT, 246 },
		{ 633, YYAT_SHIFT, 415 },
		{ 633, YYAT_SHIFT, 416 },
		{ 577, YYAT_SHIFT, 599 },
		{ 633, YYAT_SHIFT, 108 },
		{ 633, YYAT_SHIFT, 417 },
		{ 633, YYAT_SHIFT, 418 },
		{ 633, YYAT_SHIFT, 247 },
		{ 633, YYAT_SHIFT, 109 },
		{ 633, YYAT_SHIFT, 419 },
		{ 633, YYAT_SHIFT, 248 },
		{ 633, YYAT_SHIFT, 110 },
		{ 633, YYAT_SHIFT, 420 },
		{ 633, YYAT_SHIFT, 111 },
		{ 269, YYAT_SHIFT, 334 },
		{ 633, YYAT_SHIFT, 421 },
		{ 576, YYAT_SHIFT, 598 },
		{ 593, YYAT_SHIFT, 610 },
		{ 580, YYAT_SHIFT, 602 },
		{ 269, YYAT_SHIFT, 335 },
		{ 593, YYAT_SHIFT, 611 },
		{ 580, YYAT_SHIFT, 601 },
		{ 565, YYAT_SHIFT, 589 },
		{ 529, YYAT_SHIFT, 563 },
		{ 269, YYAT_SHIFT, 336 },
		{ 565, YYAT_SHIFT, 527 },
		{ 529, YYAT_SHIFT, 292 },
		{ 485, YYAT_SHIFT, 332 },
		{ 268, YYAT_SHIFT, 332 },
		{ 485, YYAT_SHIFT, 333 },
		{ 268, YYAT_SHIFT, 333 },
		{ 489, YYAT_SHIFT, 337 },
		{ 489, YYAT_SHIFT, 338 },
		{ 574, YYAT_SHIFT, 597 },
		{ 633, YYAT_SHIFT, 249 },
		{ 633, YYAT_SHIFT, 250 },
		{ 572, YYAT_SHIFT, 595 },
		{ 581, YYAT_SHIFT, 233 },
		{ 569, YYAT_SHIFT, 592 },
		{ 633, YYAT_SHIFT, 422 },
		{ 484, YYAT_SHIFT, 330 },
		{ 484, YYAT_SHIFT, 331 },
		{ 581, YYAT_SHIFT, 234 },
		{ 633, YYAT_SHIFT, 112 },
		{ 581, YYAT_SHIFT, 235 },
		{ 633, YYAT_SHIFT, 113 },
		{ 581, YYAT_SHIFT, 236 },
		{ 581, YYAT_SHIFT, 237 },
		{ 633, YYAT_SHIFT, 251 },
		{ 581, YYAT_SHIFT, 238 },
		{ 447, YYAT_SHIFT, 154 },
		{ 633, YYAT_SHIFT, 423 },
		{ 633, YYAT_SHIFT, 252 },
		{ 7, YYAT_SHIFT, 1 },
		{ 483, YYAT_SHIFT, 330 },
		{ 483, YYAT_SHIFT, 331 },
		{ 482, YYAT_SHIFT, 330 },
		{ 482, YYAT_SHIFT, 331 },
		{ 481, YYAT_SHIFT, 330 },
		{ 481, YYAT_SHIFT, 331 },
		{ 478, YYAT_SHIFT, 324 },
		{ 478, YYAT_SHIFT, 325 },
		{ 270, YYAT_SHIFT, 337 },
		{ 270, YYAT_SHIFT, 338 },
		{ 267, YYAT_SHIFT, 330 },
		{ 267, YYAT_SHIFT, 331 },
		{ 623, YYAT_REDUCE, 443 },
		{ 623, YYAT_REDUCE, 443 },
		{ 623, YYAT_REDUCE, 443 },
		{ 623, YYAT_REDUCE, 443 },
		{ 623, YYAT_REDUCE, 443 },
		{ 623, YYAT_REDUCE, 443 },
		{ 555, YYAT_REDUCE, 245 },
		{ 623, YYAT_REDUCE, 443 },
		{ 623, YYAT_REDUCE, 443 },
		{ 260, YYAT_SHIFT, 319 },
		{ 623, YYAT_REDUCE, 443 },
		{ 623, YYAT_REDUCE, 443 },
		{ 623, YYAT_REDUCE, 443 },
		{ 553, YYAT_SHIFT, 578 },
		{ 623, YYAT_REDUCE, 443 },
		{ 623, YYAT_REDUCE, 443 },
		{ 545, YYAT_SHIFT, 572 },
		{ 623, YYAT_REDUCE, 443 },
		{ 623, YYAT_REDUCE, 443 },
		{ 623, YYAT_REDUCE, 443 },
		{ 543, YYAT_SHIFT, 570 },
		{ 623, YYAT_REDUCE, 443 },
		{ 480, YYAT_SHIFT, 328 },
		{ 480, YYAT_SHIFT, 329 },
		{ 584, YYAT_SHIFT, 153 },
		{ 584, YYAT_SHIFT, 195 },
		{ 265, YYAT_SHIFT, 324 },
		{ 265, YYAT_SHIFT, 325 },
		{ 479, YYAT_SHIFT, 328 },
		{ 479, YYAT_SHIFT, 329 },
		{ 540, YYAT_SHIFT, 568 },
		{ 10, YYAT_SHIFT, 2 },
		{ 530, YYAT_SHIFT, 564 },
		{ 10, YYAT_SHIFT, 3 },
		{ 528, YYAT_SHIFT, 562 },
		{ 10, YYAT_SHIFT, 4 },
		{ 495, YYAT_SHIFT, 537 },
		{ 10, YYAT_SHIFT, 5 },
		{ 10, YYAT_SHIFT, 6 },
		{ 215, YYAT_SHIFT, 153 },
		{ 215, YYAT_SHIFT, 195 },
		{ 454, YYAT_SHIFT, 240 },
		{ 454, YYAT_SHIFT, 241 },
		{ 454, YYAT_SHIFT, 242 },
		{ 454, YYAT_SHIFT, 243 },
		{ 272, YYAT_SHIFT, 341 },
		{ 272, YYAT_SHIFT, 342 },
		{ 272, YYAT_SHIFT, 343 },
		{ 477, YYAT_SHIFT, 323 },
		{ 535, YYAT_SHIFT, 240 },
		{ 535, YYAT_SHIFT, 241 },
		{ 535, YYAT_SHIFT, 242 },
		{ 535, YYAT_SHIFT, 243 },
		{ 535, YYAT_SHIFT, 150 },
		{ 535, YYAT_SHIFT, 40 },
		{ 535, YYAT_SHIFT, 41 },
		{ 535, YYAT_SHIFT, 42 },
		{ 535, YYAT_SHIFT, 151 },
		{ 535, YYAT_SHIFT, 44 },
		{ 535, YYAT_SHIFT, 45 },
		{ 535, YYAT_SHIFT, 46 },
		{ 535, YYAT_SHIFT, 47 },
		{ 535, YYAT_SHIFT, 48 },
		{ 535, YYAT_SHIFT, 49 },
		{ 581, YYAT_SHIFT, 239 },
		{ 535, YYAT_SHIFT, 50 },
		{ 535, YYAT_SHIFT, 51 },
		{ 535, YYAT_SHIFT, 52 },
		{ 535, YYAT_SHIFT, 53 },
		{ 535, YYAT_SHIFT, 54 },
		{ 535, YYAT_SHIFT, 55 },
		{ 535, YYAT_SHIFT, 56 },
		{ 535, YYAT_SHIFT, 57 },
		{ 535, YYAT_SHIFT, 58 },
		{ 535, YYAT_SHIFT, 59 },
		{ 535, YYAT_SHIFT, 60 },
		{ 535, YYAT_SHIFT, 61 },
		{ 535, YYAT_SHIFT, 62 },
		{ 535, YYAT_SHIFT, 63 },
		{ 535, YYAT_SHIFT, 64 },
		{ 535, YYAT_SHIFT, 65 },
		{ 535, YYAT_SHIFT, 66 },
		{ 535, YYAT_SHIFT, 67 },
		{ 535, YYAT_SHIFT, 68 },
		{ 535, YYAT_SHIFT, 69 },
		{ 535, YYAT_SHIFT, 70 },
		{ 535, YYAT_SHIFT, 71 },
		{ 535, YYAT_SHIFT, 72 },
		{ 535, YYAT_SHIFT, 73 },
		{ 535, YYAT_SHIFT, 74 },
		{ 535, YYAT_SHIFT, 75 },
		{ 535, YYAT_SHIFT, 76 },
		{ 535, YYAT_SHIFT, 77 },
		{ 535, YYAT_SHIFT, 78 },
		{ 535, YYAT_SHIFT, 79 },
		{ 535, YYAT_SHIFT, 80 },
		{ 535, YYAT_SHIFT, 81 },
		{ 535, YYAT_SHIFT, 82 },
		{ 535, YYAT_SHIFT, 83 },
		{ 535, YYAT_SHIFT, 84 },
		{ 535, YYAT_SHIFT, 85 },
		{ 535, YYAT_SHIFT, 86 },
		{ 535, YYAT_SHIFT, 87 },
		{ 535, YYAT_SHIFT, 88 },
		{ 535, YYAT_SHIFT, 89 },
		{ 535, YYAT_SHIFT, 90 },
		{ 535, YYAT_SHIFT, 91 },
		{ 535, YYAT_SHIFT, 92 },
		{ 535, YYAT_SHIFT, 93 },
		{ 535, YYAT_SHIFT, 94 },
		{ 535, YYAT_SHIFT, 95 },
		{ 535, YYAT_SHIFT, 96 },
		{ 535, YYAT_SHIFT, 97 },
		{ 535, YYAT_SHIFT, 98 },
		{ 535, YYAT_SHIFT, 99 },
		{ 535, YYAT_SHIFT, 100 },
		{ 535, YYAT_SHIFT, 101 },
		{ 535, YYAT_SHIFT, 102 },
		{ 535, YYAT_SHIFT, 103 },
		{ 266, YYAT_SHIFT, 328 },
		{ 266, YYAT_SHIFT, 329 },
		{ 7, YYAT_SHIFT, 19 },
		{ 454, YYAT_SHIFT, 244 },
		{ 454, YYAT_SHIFT, 316 },
		{ 7, YYAT_SHIFT, 20 },
		{ 476, YYAT_SHIFT, 322 },
		{ 475, YYAT_SHIFT, 321 },
		{ 535, YYAT_SHIFT, 104 },
		{ 535, YYAT_SHIFT, 105 },
		{ 474, YYAT_SHIFT, 320 },
		{ 535, YYAT_SHIFT, 244 },
		{ 535, YYAT_SHIFT, 245 },
		{ 450, YYAT_SHIFT, 532 },
		{ 443, YYAT_SHIFT, 527 },
		{ 438, YYAT_SHIFT, 525 },
		{ 427, YYAT_SHIFT, 524 },
		{ 423, YYAT_SHIFT, 520 },
		{ 422, YYAT_SHIFT, 519 },
		{ 535, YYAT_SHIFT, 246 },
		{ 421, YYAT_SHIFT, 518 },
		{ 420, YYAT_SHIFT, 517 },
		{ 419, YYAT_SHIFT, 515 },
		{ 418, YYAT_SHIFT, 514 },
		{ 417, YYAT_SHIFT, 513 },
		{ 414, YYAT_SHIFT, 510 },
		{ 535, YYAT_SHIFT, 247 },
		{ 413, YYAT_SHIFT, 509 },
		{ 411, YYAT_SHIFT, 507 },
		{ 535, YYAT_SHIFT, 248 },
		{ 405, YYAT_SHIFT, 497 },
		{ 377, YYAT_SHIFT, 471 },
		{ 374, YYAT_SHIFT, 469 },
		{ 373, YYAT_SHIFT, 468 },
		{ 363, YYAT_SHIFT, 453 },
		{ 362, YYAT_SHIFT, 452 },
		{ 361, YYAT_SHIFT, 450 },
		{ 350, YYAT_SHIFT, 441 },
		{ 347, YYAT_SHIFT, 408 },
		{ 309, YYAT_SHIFT, 375 },
		{ 304, YYAT_SHIFT, 365 },
		{ 303, YYAT_SHIFT, 364 },
		{ 372, YYAT_SHIFT, 457 },
		{ 372, YYAT_SHIFT, 458 },
		{ 372, YYAT_SHIFT, 459 },
		{ 372, YYAT_SHIFT, 460 },
		{ 372, YYAT_SHIFT, 461 },
		{ 372, YYAT_SHIFT, 462 },
		{ 372, YYAT_SHIFT, 463 },
		{ 372, YYAT_SHIFT, 464 },
		{ 372, YYAT_SHIFT, 465 },
		{ 372, YYAT_SHIFT, 466 },
		{ 294, YYAT_SHIFT, 358 },
		{ 535, YYAT_SHIFT, 249 },
		{ 535, YYAT_SHIFT, 250 },
		{ 289, YYAT_SHIFT, 355 },
		{ 613, YYAT_SHIFT, 233 },
		{ 367, YYAT_SHIFT, 235 },
		{ 288, YYAT_SHIFT, 353 },
		{ 454, YYAT_SHIFT, 251 },
		{ 287, YYAT_SHIFT, 352 },
		{ 613, YYAT_SHIFT, 234 },
		{ 535, YYAT_SHIFT, 112 },
		{ 454, YYAT_SHIFT, 252 },
		{ 535, YYAT_SHIFT, 113 },
		{ 613, YYAT_SHIFT, 236 },
		{ 613, YYAT_SHIFT, 237 },
		{ 535, YYAT_SHIFT, 251 },
		{ 613, YYAT_SHIFT, 238 },
		{ 283, YYAT_SHIFT, 348 },
		{ 264, YYAT_SHIFT, 323 },
		{ 535, YYAT_SHIFT, 252 },
		{ 263, YYAT_SHIFT, 322 },
		{ 262, YYAT_SHIFT, 321 },
		{ 261, YYAT_SHIFT, 320 },
		{ 246, YYAT_SHIFT, 309 },
		{ 581, YYAT_SHIFT, 240 },
		{ 581, YYAT_SHIFT, 241 },
		{ 581, YYAT_SHIFT, 242 },
		{ 581, YYAT_SHIFT, 243 },
		{ 581, YYAT_SHIFT, 150 },
		{ 581, YYAT_SHIFT, 40 },
		{ 581, YYAT_SHIFT, 41 },
		{ 581, YYAT_SHIFT, 42 },
		{ 581, YYAT_SHIFT, 151 },
		{ 581, YYAT_SHIFT, 44 },
		{ 581, YYAT_SHIFT, 45 },
		{ 581, YYAT_SHIFT, 46 },
		{ 581, YYAT_SHIFT, 47 },
		{ 581, YYAT_SHIFT, 48 },
		{ 581, YYAT_SHIFT, 49 },
		{ 245, YYAT_SHIFT, 308 },
		{ 581, YYAT_SHIFT, 50 },
		{ 581, YYAT_SHIFT, 51 },
		{ 581, YYAT_SHIFT, 52 },
		{ 581, YYAT_SHIFT, 53 },
		{ 581, YYAT_SHIFT, 54 },
		{ 581, YYAT_SHIFT, 55 },
		{ 581, YYAT_SHIFT, 56 },
		{ 581, YYAT_SHIFT, 57 },
		{ 581, YYAT_SHIFT, 58 },
		{ 581, YYAT_SHIFT, 59 },
		{ 581, YYAT_SHIFT, 60 },
		{ 581, YYAT_SHIFT, 61 },
		{ 581, YYAT_SHIFT, 62 },
		{ 581, YYAT_SHIFT, 63 },
		{ 581, YYAT_SHIFT, 64 },
		{ 581, YYAT_SHIFT, 65 },
		{ 581, YYAT_SHIFT, 66 },
		{ 581, YYAT_SHIFT, 67 },
		{ 581, YYAT_SHIFT, 68 },
		{ 581, YYAT_SHIFT, 69 },
		{ 581, YYAT_SHIFT, 70 },
		{ 581, YYAT_SHIFT, 71 },
		{ 581, YYAT_SHIFT, 72 },
		{ 581, YYAT_SHIFT, 73 },
		{ 581, YYAT_SHIFT, 74 },
		{ 581, YYAT_SHIFT, 75 },
		{ 581, YYAT_SHIFT, 76 },
		{ 581, YYAT_SHIFT, 77 },
		{ 581, YYAT_SHIFT, 78 },
		{ 581, YYAT_SHIFT, 79 },
		{ 581, YYAT_SHIFT, 80 },
		{ 581, YYAT_SHIFT, 81 },
		{ 581, YYAT_SHIFT, 82 },
		{ 581, YYAT_SHIFT, 83 },
		{ 581, YYAT_SHIFT, 84 },
		{ 581, YYAT_SHIFT, 85 },
		{ 581, YYAT_SHIFT, 86 },
		{ 581, YYAT_SHIFT, 87 },
		{ 581, YYAT_SHIFT, 88 },
		{ 581, YYAT_SHIFT, 89 },
		{ 581, YYAT_SHIFT, 90 },
		{ 581, YYAT_SHIFT, 91 },
		{ 581, YYAT_SHIFT, 92 },
		{ 581, YYAT_SHIFT, 93 },
		{ 581, YYAT_SHIFT, 94 },
		{ 581, YYAT_SHIFT, 95 },
		{ 581, YYAT_SHIFT, 96 },
		{ 581, YYAT_SHIFT, 97 },
		{ 581, YYAT_SHIFT, 98 },
		{ 581, YYAT_SHIFT, 99 },
		{ 581, YYAT_SHIFT, 100 },
		{ 581, YYAT_SHIFT, 101 },
		{ 581, YYAT_SHIFT, 102 },
		{ 581, YYAT_SHIFT, 103 },
		{ 223, YYAT_SHIFT, 301 },
		{ 216, YYAT_SHIFT, 297 },
		{ 211, YYAT_SHIFT, 291 },
		{ 613, YYAT_SHIFT, 239 },
		{ 209, YYAT_REDUCE, 226 },
		{ 208, YYAT_SHIFT, 287 },
		{ 202, YYAT_SHIFT, 286 },
		{ 201, YYAT_SHIFT, 284 },
		{ 581, YYAT_SHIFT, 104 },
		{ 581, YYAT_SHIFT, 105 },
		{ 200, YYAT_SHIFT, 282 },
		{ 581, YYAT_SHIFT, 244 },
		{ 581, YYAT_SHIFT, 245 },
		{ 196, YYAT_SHIFT, 201 },
		{ 194, YYAT_SHIFT, 279 },
		{ 187, YYAT_SHIFT, 224 },
		{ 186, YYAT_SHIFT, 223 },
		{ 185, YYAT_SHIFT, 222 },
		{ 172, YYAT_SHIFT, 219 },
		{ 581, YYAT_SHIFT, 246 },
		{ 166, YYAT_SHIFT, 205 },
		{ 154, YYAT_REDUCE, 178 },
		{ 145, YYAT_SHIFT, 189 },
		{ 144, YYAT_SHIFT, 188 },
		{ 141, YYAT_SHIFT, 176 },
		{ 140, YYAT_SHIFT, 175 },
		{ 581, YYAT_SHIFT, 247 },
		{ 139, YYAT_SHIFT, 174 },
		{ 138, YYAT_SHIFT, 173 },
		{ 581, YYAT_SHIFT, 248 },
		{ 132, YYAT_SHIFT, 169 },
		{ 130, YYAT_SHIFT, 168 },
		{ 123, YYAT_SHIFT, 164 },
		{ 104, YYAT_REDUCE, 229 },
		{ 37, YYAT_REDUCE, 20 },
		{ 36, YYAT_REDUCE, 22 },
		{ 35, YYAT_REDUCE, 10 },
		{ 34, YYAT_REDUCE, 12 },
		{ 33, YYAT_SHIFT, 134 },
		{ 32, YYAT_SHIFT, 136 },
		{ 30, YYAT_SHIFT, 133 },
		{ 29, YYAT_SHIFT, 129 },
		{ 28, YYAT_SHIFT, 131 },
		{ 26, YYAT_SHIFT, 128 },
		{ 18, YYAT_REDUCE, 15 },
		{ 17, YYAT_REDUCE, 17 },
		{ 16, YYAT_REDUCE, 5 },
		{ 15, YYAT_REDUCE, 7 },
		{ 14, YYAT_SHIFT, 25 },
		{ 1, YYAT_REDUCE, 46 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 581, YYAT_SHIFT, 249 },
		{ 581, YYAT_SHIFT, 250 },
		{ 115, YYAT_SHIFT, 146 },
		{ -1, YYAT_ERROR, 0 },
		{ 115, YYAT_SHIFT, 147 },
		{ -1, YYAT_ERROR, 0 },
		{ 115, YYAT_SHIFT, 148 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 581, YYAT_SHIFT, 112 },
		{ -1, YYAT_ERROR, 0 },
		{ 581, YYAT_SHIFT, 113 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 581, YYAT_SHIFT, 251 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 581, YYAT_SHIFT, 252 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 115, YYAT_SHIFT, 149 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 367, YYAT_SHIFT, 240 },
		{ 367, YYAT_SHIFT, 241 },
		{ 367, YYAT_SHIFT, 242 },
		{ 367, YYAT_SHIFT, 243 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 613, YYAT_SHIFT, 150 },
		{ 613, YYAT_SHIFT, 40 },
		{ 613, YYAT_SHIFT, 41 },
		{ 613, YYAT_SHIFT, 42 },
		{ 613, YYAT_SHIFT, 151 },
		{ 613, YYAT_SHIFT, 44 },
		{ 613, YYAT_SHIFT, 45 },
		{ 613, YYAT_SHIFT, 46 },
		{ 613, YYAT_SHIFT, 47 },
		{ 613, YYAT_SHIFT, 48 },
		{ 613, YYAT_SHIFT, 49 },
		{ -1, YYAT_ERROR, 0 },
		{ 613, YYAT_SHIFT, 50 },
		{ 613, YYAT_SHIFT, 51 },
		{ 613, YYAT_SHIFT, 52 },
		{ 613, YYAT_SHIFT, 53 },
		{ 613, YYAT_SHIFT, 54 },
		{ 613, YYAT_SHIFT, 55 },
		{ 613, YYAT_SHIFT, 56 },
		{ 613, YYAT_SHIFT, 57 },
		{ 613, YYAT_SHIFT, 58 },
		{ 613, YYAT_SHIFT, 59 },
		{ 613, YYAT_SHIFT, 60 },
		{ 613, YYAT_SHIFT, 61 },
		{ 613, YYAT_SHIFT, 62 },
		{ 613, YYAT_SHIFT, 63 },
		{ 613, YYAT_SHIFT, 64 },
		{ 613, YYAT_SHIFT, 65 },
		{ 613, YYAT_SHIFT, 66 },
		{ 613, YYAT_SHIFT, 67 },
		{ 613, YYAT_SHIFT, 68 },
		{ 613, YYAT_SHIFT, 69 },
		{ 613, YYAT_SHIFT, 70 },
		{ 613, YYAT_SHIFT, 71 },
		{ 613, YYAT_SHIFT, 72 },
		{ 613, YYAT_SHIFT, 73 },
		{ 613, YYAT_SHIFT, 74 },
		{ 613, YYAT_SHIFT, 75 },
		{ 613, YYAT_SHIFT, 76 },
		{ 613, YYAT_SHIFT, 77 },
		{ 613, YYAT_SHIFT, 78 },
		{ 613, YYAT_SHIFT, 79 },
		{ 613, YYAT_SHIFT, 80 },
		{ 613, YYAT_SHIFT, 81 },
		{ 613, YYAT_SHIFT, 82 },
		{ 613, YYAT_SHIFT, 83 },
		{ 613, YYAT_SHIFT, 84 },
		{ 613, YYAT_SHIFT, 85 },
		{ 613, YYAT_SHIFT, 86 },
		{ 613, YYAT_SHIFT, 87 },
		{ 613, YYAT_SHIFT, 88 },
		{ 613, YYAT_SHIFT, 89 },
		{ 613, YYAT_SHIFT, 90 },
		{ 613, YYAT_SHIFT, 91 },
		{ 613, YYAT_SHIFT, 92 },
		{ 613, YYAT_SHIFT, 93 },
		{ 613, YYAT_SHIFT, 94 },
		{ 613, YYAT_SHIFT, 95 },
		{ 613, YYAT_SHIFT, 96 },
		{ 613, YYAT_SHIFT, 97 },
		{ 613, YYAT_SHIFT, 98 },
		{ 613, YYAT_SHIFT, 99 },
		{ 613, YYAT_SHIFT, 100 },
		{ 613, YYAT_SHIFT, 101 },
		{ 613, YYAT_SHIFT, 102 },
		{ 613, YYAT_SHIFT, 103 },
		{ 446, YYAT_SHIFT, 146 },
		{ -1, YYAT_ERROR, 0 },
		{ 446, YYAT_SHIFT, 147 },
		{ -1, YYAT_ERROR, 0 },
		{ 446, YYAT_SHIFT, 148 },
		{ 367, YYAT_SHIFT, 244 },
		{ 367, YYAT_SHIFT, 316 },
		{ -1, YYAT_ERROR, 0 },
		{ 613, YYAT_SHIFT, 104 },
		{ 613, YYAT_SHIFT, 105 },
		{ 613, YYAT_SHIFT, 410 },
		{ -1, YYAT_ERROR, 0 },
		{ 613, YYAT_SHIFT, 245 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 613, YYAT_SHIFT, 246 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 613, YYAT_SHIFT, 247 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 613, YYAT_SHIFT, 248 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 613, YYAT_SHIFT, 249 },
		{ 613, YYAT_SHIFT, 250 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 613, YYAT_SHIFT, 422 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 367, YYAT_SHIFT, 251 },
		{ 613, YYAT_SHIFT, 112 },
		{ -1, YYAT_ERROR, 0 },
		{ 613, YYAT_SHIFT, 113 },
		{ 367, YYAT_SHIFT, 252 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 613, YYAT_SHIFT, 423 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 115, YYAT_SHIFT, 150 },
		{ 115, YYAT_SHIFT, 40 },
		{ 115, YYAT_SHIFT, 41 },
		{ 115, YYAT_SHIFT, 42 },
		{ 115, YYAT_SHIFT, 151 },
		{ 115, YYAT_SHIFT, 44 },
		{ 115, YYAT_SHIFT, 45 },
		{ 115, YYAT_SHIFT, 46 },
		{ 115, YYAT_SHIFT, 47 },
		{ 115, YYAT_SHIFT, 48 },
		{ 115, YYAT_SHIFT, 49 },
		{ -1, YYAT_ERROR, 0 },
		{ 115, YYAT_SHIFT, 50 },
		{ 115, YYAT_SHIFT, 51 },
		{ 115, YYAT_SHIFT, 52 },
		{ 115, YYAT_SHIFT, 53 },
		{ 115, YYAT_SHIFT, 54 },
		{ 115, YYAT_SHIFT, 55 },
		{ 115, YYAT_SHIFT, 56 },
		{ 115, YYAT_SHIFT, 57 },
		{ 115, YYAT_SHIFT, 58 },
		{ 115, YYAT_SHIFT, 59 },
		{ 115, YYAT_SHIFT, 60 },
		{ 115, YYAT_SHIFT, 61 },
		{ 115, YYAT_SHIFT, 62 },
		{ 115, YYAT_SHIFT, 63 },
		{ 115, YYAT_SHIFT, 64 },
		{ 115, YYAT_SHIFT, 65 },
		{ 115, YYAT_SHIFT, 66 },
		{ 115, YYAT_SHIFT, 67 },
		{ 115, YYAT_SHIFT, 68 },
		{ 115, YYAT_SHIFT, 69 },
		{ 115, YYAT_SHIFT, 70 },
		{ 115, YYAT_SHIFT, 71 },
		{ 115, YYAT_SHIFT, 72 },
		{ 115, YYAT_SHIFT, 73 },
		{ 115, YYAT_SHIFT, 74 },
		{ 115, YYAT_SHIFT, 75 },
		{ 115, YYAT_SHIFT, 76 },
		{ 115, YYAT_SHIFT, 77 },
		{ 115, YYAT_SHIFT, 78 },
		{ 115, YYAT_SHIFT, 79 },
		{ 115, YYAT_SHIFT, 80 },
		{ 115, YYAT_SHIFT, 81 },
		{ 115, YYAT_SHIFT, 82 },
		{ 115, YYAT_SHIFT, 83 },
		{ 115, YYAT_SHIFT, 84 },
		{ 115, YYAT_SHIFT, 85 },
		{ 115, YYAT_SHIFT, 86 },
		{ 115, YYAT_SHIFT, 87 },
		{ 115, YYAT_SHIFT, 88 },
		{ 115, YYAT_SHIFT, 89 },
		{ 115, YYAT_SHIFT, 90 },
		{ 115, YYAT_SHIFT, 91 },
		{ 115, YYAT_SHIFT, 92 },
		{ 115, YYAT_SHIFT, 93 },
		{ 115, YYAT_SHIFT, 94 },
		{ 115, YYAT_SHIFT, 95 },
		{ 115, YYAT_SHIFT, 96 },
		{ 115, YYAT_SHIFT, 97 },
		{ 115, YYAT_SHIFT, 98 },
		{ 115, YYAT_SHIFT, 99 },
		{ 115, YYAT_SHIFT, 100 },
		{ 115, YYAT_SHIFT, 101 },
		{ 115, YYAT_SHIFT, 102 },
		{ 115, YYAT_SHIFT, 103 },
		{ 210, YYAT_SHIFT, 146 },
		{ -1, YYAT_ERROR, 0 },
		{ 210, YYAT_SHIFT, 147 },
		{ -1, YYAT_ERROR, 0 },
		{ 210, YYAT_SHIFT, 148 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 115, YYAT_SHIFT, 152 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 115, YYAT_SHIFT, 153 },
		{ 115, YYAT_SHIFT, 154 },
		{ 115, YYAT_SHIFT, 106 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 115, YYAT_SHIFT, 107 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 115, YYAT_SHIFT, 108 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 115, YYAT_SHIFT, 109 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 115, YYAT_SHIFT, 110 },
		{ -1, YYAT_ERROR, 0 },
		{ 115, YYAT_SHIFT, 111 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 115, YYAT_SHIFT, 112 },
		{ -1, YYAT_ERROR, 0 },
		{ 115, YYAT_SHIFT, 113 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 446, YYAT_SHIFT, 150 },
		{ 446, YYAT_SHIFT, 40 },
		{ 446, YYAT_SHIFT, 41 },
		{ 446, YYAT_SHIFT, 42 },
		{ 446, YYAT_SHIFT, 151 },
		{ 446, YYAT_SHIFT, 44 },
		{ 446, YYAT_SHIFT, 45 },
		{ 446, YYAT_SHIFT, 46 },
		{ 446, YYAT_SHIFT, 47 },
		{ 446, YYAT_SHIFT, 48 },
		{ 446, YYAT_SHIFT, 49 },
		{ -1, YYAT_ERROR, 0 },
		{ 446, YYAT_SHIFT, 50 },
		{ 446, YYAT_SHIFT, 51 },
		{ 446, YYAT_SHIFT, 52 },
		{ 446, YYAT_SHIFT, 53 },
		{ 446, YYAT_SHIFT, 54 },
		{ 446, YYAT_SHIFT, 55 },
		{ 446, YYAT_SHIFT, 56 },
		{ 446, YYAT_SHIFT, 57 },
		{ 446, YYAT_SHIFT, 58 },
		{ 446, YYAT_SHIFT, 59 },
		{ 446, YYAT_SHIFT, 60 },
		{ 446, YYAT_SHIFT, 61 },
		{ 446, YYAT_SHIFT, 62 },
		{ 446, YYAT_SHIFT, 63 },
		{ 446, YYAT_SHIFT, 64 },
		{ 446, YYAT_SHIFT, 65 },
		{ 446, YYAT_SHIFT, 66 },
		{ 446, YYAT_SHIFT, 67 },
		{ 446, YYAT_SHIFT, 68 },
		{ 446, YYAT_SHIFT, 69 },
		{ 446, YYAT_SHIFT, 70 },
		{ 446, YYAT_SHIFT, 71 },
		{ 446, YYAT_SHIFT, 72 },
		{ 446, YYAT_SHIFT, 73 },
		{ 446, YYAT_SHIFT, 74 },
		{ 446, YYAT_SHIFT, 75 },
		{ 446, YYAT_SHIFT, 76 },
		{ 446, YYAT_SHIFT, 77 },
		{ 446, YYAT_SHIFT, 78 },
		{ 446, YYAT_SHIFT, 79 },
		{ 446, YYAT_SHIFT, 80 },
		{ 446, YYAT_SHIFT, 81 },
		{ 446, YYAT_SHIFT, 82 },
		{ 446, YYAT_SHIFT, 83 },
		{ 446, YYAT_SHIFT, 84 },
		{ 446, YYAT_SHIFT, 85 },
		{ 446, YYAT_SHIFT, 86 },
		{ 446, YYAT_SHIFT, 87 },
		{ 446, YYAT_SHIFT, 88 },
		{ 446, YYAT_SHIFT, 89 },
		{ 446, YYAT_SHIFT, 90 },
		{ 446, YYAT_SHIFT, 91 },
		{ 446, YYAT_SHIFT, 92 },
		{ 446, YYAT_SHIFT, 93 },
		{ 446, YYAT_SHIFT, 94 },
		{ 446, YYAT_SHIFT, 95 },
		{ 446, YYAT_SHIFT, 96 },
		{ 446, YYAT_SHIFT, 97 },
		{ 446, YYAT_SHIFT, 98 },
		{ 446, YYAT_SHIFT, 99 },
		{ 446, YYAT_SHIFT, 100 },
		{ 446, YYAT_SHIFT, 101 },
		{ 446, YYAT_SHIFT, 102 },
		{ 446, YYAT_SHIFT, 103 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 446, YYAT_SHIFT, 152 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 446, YYAT_SHIFT, 153 },
		{ 446, YYAT_SHIFT, 209 },
		{ 446, YYAT_SHIFT, 106 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 446, YYAT_SHIFT, 107 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 446, YYAT_SHIFT, 108 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 446, YYAT_SHIFT, 109 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 446, YYAT_SHIFT, 110 },
		{ -1, YYAT_ERROR, 0 },
		{ 446, YYAT_SHIFT, 111 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 424, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 424, YYAT_SHIFT, 146 },
		{ -1, YYAT_ERROR, 0 },
		{ 424, YYAT_SHIFT, 147 },
		{ -1, YYAT_ERROR, 0 },
		{ 424, YYAT_SHIFT, 148 },
		{ 424, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 424, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 446, YYAT_SHIFT, 112 },
		{ -1, YYAT_ERROR, 0 },
		{ 446, YYAT_SHIFT, 113 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 210, YYAT_SHIFT, 150 },
		{ 210, YYAT_SHIFT, 40 },
		{ 210, YYAT_SHIFT, 41 },
		{ 210, YYAT_SHIFT, 42 },
		{ 210, YYAT_SHIFT, 151 },
		{ 210, YYAT_SHIFT, 44 },
		{ 210, YYAT_SHIFT, 45 },
		{ 210, YYAT_SHIFT, 46 },
		{ 210, YYAT_SHIFT, 47 },
		{ 210, YYAT_SHIFT, 48 },
		{ 210, YYAT_SHIFT, 49 },
		{ 315, YYAT_SHIFT, 235 },
		{ 210, YYAT_SHIFT, 50 },
		{ 210, YYAT_SHIFT, 51 },
		{ 210, YYAT_SHIFT, 52 },
		{ 210, YYAT_SHIFT, 53 },
		{ 210, YYAT_SHIFT, 54 },
		{ 210, YYAT_SHIFT, 55 },
		{ 210, YYAT_SHIFT, 56 },
		{ 210, YYAT_SHIFT, 57 },
		{ 210, YYAT_SHIFT, 58 },
		{ 210, YYAT_SHIFT, 59 },
		{ 210, YYAT_SHIFT, 60 },
		{ 210, YYAT_SHIFT, 61 },
		{ 210, YYAT_SHIFT, 62 },
		{ 210, YYAT_SHIFT, 63 },
		{ 210, YYAT_SHIFT, 64 },
		{ 210, YYAT_SHIFT, 65 },
		{ 210, YYAT_SHIFT, 66 },
		{ 210, YYAT_SHIFT, 67 },
		{ 210, YYAT_SHIFT, 68 },
		{ 210, YYAT_SHIFT, 69 },
		{ 210, YYAT_SHIFT, 70 },
		{ 210, YYAT_SHIFT, 71 },
		{ 210, YYAT_SHIFT, 72 },
		{ 210, YYAT_SHIFT, 73 },
		{ 210, YYAT_SHIFT, 74 },
		{ 210, YYAT_SHIFT, 75 },
		{ 210, YYAT_SHIFT, 76 },
		{ 210, YYAT_SHIFT, 77 },
		{ 210, YYAT_SHIFT, 78 },
		{ 210, YYAT_SHIFT, 79 },
		{ 210, YYAT_SHIFT, 80 },
		{ 210, YYAT_SHIFT, 81 },
		{ 210, YYAT_SHIFT, 82 },
		{ 210, YYAT_SHIFT, 83 },
		{ 210, YYAT_SHIFT, 84 },
		{ 210, YYAT_SHIFT, 85 },
		{ 210, YYAT_SHIFT, 86 },
		{ 210, YYAT_SHIFT, 87 },
		{ 210, YYAT_SHIFT, 88 },
		{ 210, YYAT_SHIFT, 89 },
		{ 210, YYAT_SHIFT, 90 },
		{ 210, YYAT_SHIFT, 91 },
		{ 210, YYAT_SHIFT, 92 },
		{ 210, YYAT_SHIFT, 93 },
		{ 210, YYAT_SHIFT, 94 },
		{ 210, YYAT_SHIFT, 95 },
		{ 210, YYAT_SHIFT, 96 },
		{ 210, YYAT_SHIFT, 97 },
		{ 210, YYAT_SHIFT, 98 },
		{ 210, YYAT_SHIFT, 99 },
		{ 210, YYAT_SHIFT, 100 },
		{ 210, YYAT_SHIFT, 101 },
		{ 210, YYAT_SHIFT, 102 },
		{ 210, YYAT_SHIFT, 103 },
		{ 424, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 210, YYAT_SHIFT, 152 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 210, YYAT_SHIFT, 153 },
		{ 210, YYAT_SHIFT, 195 },
		{ 210, YYAT_SHIFT, 106 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 210, YYAT_SHIFT, 107 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 210, YYAT_SHIFT, 108 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 210, YYAT_SHIFT, 109 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 210, YYAT_SHIFT, 110 },
		{ -1, YYAT_ERROR, 0 },
		{ 210, YYAT_SHIFT, 111 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 307, YYAT_SHIFT, 233 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 307, YYAT_SHIFT, 234 },
		{ -1, YYAT_ERROR, 0 },
		{ 307, YYAT_SHIFT, 235 },
		{ -1, YYAT_ERROR, 0 },
		{ 307, YYAT_SHIFT, 236 },
		{ 307, YYAT_SHIFT, 237 },
		{ -1, YYAT_ERROR, 0 },
		{ 307, YYAT_SHIFT, 238 },
		{ 210, YYAT_SHIFT, 112 },
		{ -1, YYAT_ERROR, 0 },
		{ 210, YYAT_SHIFT, 113 },
		{ 368, YYAT_SHIFT, 150 },
		{ 368, YYAT_SHIFT, 40 },
		{ 368, YYAT_SHIFT, 41 },
		{ 368, YYAT_SHIFT, 42 },
		{ 368, YYAT_SHIFT, 151 },
		{ 368, YYAT_SHIFT, 44 },
		{ 368, YYAT_SHIFT, 45 },
		{ 368, YYAT_SHIFT, 46 },
		{ 368, YYAT_SHIFT, 47 },
		{ 368, YYAT_SHIFT, 48 },
		{ 368, YYAT_SHIFT, 49 },
		{ -1, YYAT_ERROR, 0 },
		{ 368, YYAT_SHIFT, 50 },
		{ 368, YYAT_SHIFT, 51 },
		{ 368, YYAT_SHIFT, 52 },
		{ 368, YYAT_SHIFT, 53 },
		{ 368, YYAT_SHIFT, 54 },
		{ 368, YYAT_SHIFT, 55 },
		{ 368, YYAT_SHIFT, 56 },
		{ 368, YYAT_SHIFT, 57 },
		{ 368, YYAT_SHIFT, 58 },
		{ 368, YYAT_SHIFT, 59 },
		{ 368, YYAT_SHIFT, 60 },
		{ 368, YYAT_SHIFT, 61 },
		{ 368, YYAT_SHIFT, 62 },
		{ 368, YYAT_SHIFT, 63 },
		{ 368, YYAT_SHIFT, 64 },
		{ 368, YYAT_SHIFT, 65 },
		{ 368, YYAT_SHIFT, 66 },
		{ 368, YYAT_SHIFT, 67 },
		{ 368, YYAT_SHIFT, 68 },
		{ 368, YYAT_SHIFT, 69 },
		{ 368, YYAT_SHIFT, 70 },
		{ 368, YYAT_SHIFT, 71 },
		{ 368, YYAT_SHIFT, 72 },
		{ 368, YYAT_SHIFT, 73 },
		{ 368, YYAT_SHIFT, 74 },
		{ 368, YYAT_SHIFT, 75 },
		{ 368, YYAT_SHIFT, 76 },
		{ 368, YYAT_SHIFT, 77 },
		{ 368, YYAT_SHIFT, 78 },
		{ 368, YYAT_SHIFT, 79 },
		{ 368, YYAT_SHIFT, 80 },
		{ 368, YYAT_SHIFT, 81 },
		{ 368, YYAT_SHIFT, 82 },
		{ 368, YYAT_SHIFT, 83 },
		{ 368, YYAT_SHIFT, 84 },
		{ 368, YYAT_SHIFT, 85 },
		{ 368, YYAT_SHIFT, 86 },
		{ 368, YYAT_SHIFT, 87 },
		{ 368, YYAT_SHIFT, 88 },
		{ 368, YYAT_SHIFT, 89 },
		{ 368, YYAT_SHIFT, 90 },
		{ 368, YYAT_SHIFT, 91 },
		{ 368, YYAT_SHIFT, 92 },
		{ 368, YYAT_SHIFT, 93 },
		{ 368, YYAT_SHIFT, 94 },
		{ 368, YYAT_SHIFT, 95 },
		{ 368, YYAT_SHIFT, 96 },
		{ 368, YYAT_SHIFT, 97 },
		{ 368, YYAT_SHIFT, 98 },
		{ 368, YYAT_SHIFT, 99 },
		{ 368, YYAT_SHIFT, 100 },
		{ 368, YYAT_SHIFT, 101 },
		{ 368, YYAT_SHIFT, 102 },
		{ 368, YYAT_SHIFT, 103 },
		{ 424, YYAT_ERROR, 0 },
		{ 424, YYAT_ERROR, 0 },
		{ 424, YYAT_ERROR, 0 },
		{ 424, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 368, YYAT_SHIFT, 152 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 307, YYAT_SHIFT, 239 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 368, YYAT_SHIFT, 107 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 315, YYAT_SHIFT, 240 },
		{ 315, YYAT_SHIFT, 241 },
		{ 315, YYAT_SHIFT, 242 },
		{ 315, YYAT_SHIFT, 243 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 368, YYAT_SHIFT, 112 },
		{ -1, YYAT_ERROR, 0 },
		{ 368, YYAT_SHIFT, 113 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 424, YYAT_SHIFT, 152 },
		{ 424, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 424, YYAT_SHIFT, 153 },
		{ 424, YYAT_SHIFT, 195 },
		{ 424, YYAT_SHIFT, 106 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 424, YYAT_SHIFT, 107 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 424, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 424, YYAT_SHIFT, 108 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 424, YYAT_ERROR, 0 },
		{ 424, YYAT_SHIFT, 109 },
		{ -1, YYAT_ERROR, 0 },
		{ 424, YYAT_ERROR, 0 },
		{ 424, YYAT_SHIFT, 110 },
		{ -1, YYAT_ERROR, 0 },
		{ 424, YYAT_SHIFT, 111 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 315, YYAT_SHIFT, 244 },
		{ 315, YYAT_SHIFT, 316 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 424, YYAT_ERROR, 0 },
		{ 424, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 424, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 424, YYAT_ERROR, 0 },
		{ 307, YYAT_SHIFT, 240 },
		{ 307, YYAT_SHIFT, 241 },
		{ 307, YYAT_SHIFT, 242 },
		{ 307, YYAT_SHIFT, 243 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 315, YYAT_SHIFT, 251 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 315, YYAT_SHIFT, 252 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 307, YYAT_SHIFT, 104 },
		{ 307, YYAT_SHIFT, 105 },
		{ -1, YYAT_ERROR, 0 },
		{ 307, YYAT_SHIFT, 244 },
		{ 307, YYAT_SHIFT, 245 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 307, YYAT_SHIFT, 246 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 307, YYAT_SHIFT, 247 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 307, YYAT_SHIFT, 248 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 307, YYAT_SHIFT, 249 },
		{ 307, YYAT_SHIFT, 250 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 307, YYAT_SHIFT, 251 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ -1, YYAT_ERROR, 0 },
		{ 307, YYAT_SHIFT, 252 }
	};
	yytokenaction = tokenaction;
	yytokenaction_size = 1692;

	static const yystateaction_t YYNEARFAR YYBASED_CODE stateaction[] = {
		{ 0, 0, YYAT_DEFAULT, 10 },
		{ 570, 1, YYAT_REDUCE, 32 },
		{ 0, 0, YYAT_REDUCE, 61 },
		{ 0, 0, YYAT_REDUCE, 62 },
		{ -117, 1, YYAT_DEFAULT, 618 },
		{ 0, 0, YYAT_REDUCE, 63 },
		{ -120, 1, YYAT_DEFAULT, 618 },
		{ 110, 1, YYAT_ERROR, 0 },
		{ 0, 0, YYAT_REDUCE, 1 },
		{ 0, 0, YYAT_REDUCE, 2 },
		{ 24, 1, YYAT_DEFAULT, 7 },
		{ 0, 0, YYAT_REDUCE, 4 },
		{ 0, 0, YYAT_REDUCE, 14 },
		{ 0, 0, YYAT_REDUCE, 24 },
		{ 569, 1, YYAT_DEFAULT, 583 },
		{ 632, 1, YYAT_DEFAULT, 34 },
		{ 631, 1, YYAT_DEFAULT, 35 },
		{ 630, 1, YYAT_DEFAULT, 36 },
		{ 629, 1, YYAT_DEFAULT, 37 },
		{ -139, 1, YYAT_DEFAULT, 618 },
		{ -140, 1, YYAT_DEFAULT, 618 },
		{ 0, 0, YYAT_REDUCE, 9 },
		{ 0, 0, YYAT_REDUCE, 19 },
		{ -254, 1, YYAT_REDUCE, 3 },
		{ 0, 0, YYAT_DEFAULT, 127 },
		{ 0, 0, YYAT_REDUCE, 26 },
		{ 628, 1, YYAT_DEFAULT, 629 },
		{ 0, 0, YYAT_DEFAULT, 29 },
		{ 627, 1, YYAT_DEFAULT, 629 },
		{ 298, 1, YYAT_REDUCE, 33 },
		{ 625, 1, YYAT_DEFAULT, 629 },
		{ 0, 0, YYAT_DEFAULT, 33 },
		{ 624, 1, YYAT_DEFAULT, 629 },
		{ 642, 1, YYAT_DEFAULT, 572 },
		{ 622, 1, YYAT_REDUCE, 30 },
		{ 621, 1, YYAT_REDUCE, 28 },
		{ 620, 1, YYAT_REDUCE, 43 },
		{ 619, 1, YYAT_REDUCE, 40 },
		{ 0, 0, YYAT_REDUCE, 60 },
		{ -144, 1, YYAT_REDUCE, 95 },
		{ 0, 0, YYAT_REDUCE, 91 },
		{ 0, 0, YYAT_REDUCE, 92 },
		{ 0, 0, YYAT_REDUCE, 93 },
		{ -162, 1, YYAT_REDUCE, 101 },
		{ 0, 0, YYAT_REDUCE, 99 },
		{ 0, 0, YYAT_REDUCE, 96 },
		{ 0, 0, YYAT_REDUCE, 98 },
		{ 0, 0, YYAT_REDUCE, 100 },
		{ 0, 0, YYAT_REDUCE, 102 },
		{ 0, 0, YYAT_REDUCE, 103 },
		{ 0, 0, YYAT_REDUCE, 104 },
		{ 0, 0, YYAT_REDUCE, 107 },
		{ 0, 0, YYAT_REDUCE, 108 },
		{ 0, 0, YYAT_REDUCE, 109 },
		{ 0, 0, YYAT_REDUCE, 110 },
		{ 0, 0, YYAT_REDUCE, 111 },
		{ 0, 0, YYAT_REDUCE, 112 },
		{ 0, 0, YYAT_REDUCE, 113 },
		{ 0, 0, YYAT_REDUCE, 114 },
		{ 0, 0, YYAT_REDUCE, 115 },
		{ 0, 0, YYAT_REDUCE, 116 },
		{ 0, 0, YYAT_REDUCE, 117 },
		{ 0, 0, YYAT_REDUCE, 118 },
		{ 0, 0, YYAT_REDUCE, 119 },
		{ 0, 0, YYAT_REDUCE, 120 },
		{ 0, 0, YYAT_REDUCE, 121 },
		{ 0, 0, YYAT_REDUCE, 122 },
		{ 0, 0, YYAT_REDUCE, 123 },
		{ 0, 0, YYAT_REDUCE, 124 },
		{ 0, 0, YYAT_REDUCE, 125 },
		{ 0, 0, YYAT_REDUCE, 126 },
		{ 0, 0, YYAT_REDUCE, 127 },
		{ 0, 0, YYAT_REDUCE, 128 },
		{ 0, 0, YYAT_REDUCE, 129 },
		{ 0, 0, YYAT_REDUCE, 130 },
		{ 0, 0, YYAT_REDUCE, 131 },
		{ 0, 0, YYAT_REDUCE, 132 },
		{ 0, 0, YYAT_REDUCE, 133 },
		{ 0, 0, YYAT_REDUCE, 134 },
		{ 0, 0, YYAT_REDUCE, 135 },
		{ 0, 0, YYAT_REDUCE, 136 },
		{ 0, 0, YYAT_REDUCE, 137 },
		{ 0, 0, YYAT_REDUCE, 138 },
		{ 0, 0, YYAT_REDUCE, 139 },
		{ 0, 0, YYAT_REDUCE, 140 },
		{ 0, 0, YYAT_REDUCE, 141 },
		{ 0, 0, YYAT_REDUCE, 142 },
		{ 0, 0, YYAT_REDUCE, 143 },
		{ 0, 0, YYAT_REDUCE, 144 },
		{ 0, 0, YYAT_REDUCE, 145 },
		{ 0, 0, YYAT_REDUCE, 146 },
		{ 0, 0, YYAT_REDUCE, 147 },
		{ 0, 0, YYAT_REDUCE, 148 },
		{ 0, 0, YYAT_REDUCE, 149 },
		{ 0, 0, YYAT_REDUCE, 150 },
		{ 0, 0, YYAT_REDUCE, 151 },
		{ 0, 0, YYAT_REDUCE, 152 },
		{ 0, 0, YYAT_REDUCE, 153 },
		{ 0, 0, YYAT_REDUCE, 154 },
		{ 0, 0, YYAT_REDUCE, 155 },
		{ 0, 0, YYAT_REDUCE, 105 },
		{ 0, 0, YYAT_REDUCE, 156 },
		{ 0, 0, YYAT_REDUCE, 157 },
		{ 0, 0, YYAT_REDUCE, 106 },
		{ 295, 1, YYAT_REDUCE, 158 },
		{ 0, 0, YYAT_REDUCE, 232 },
		{ 0, 0, YYAT_REDUCE, 79 },
		{ 0, 0, YYAT_REDUCE, 88 },
		{ 0, 0, YYAT_REDUCE, 80 },
		{ 0, 0, YYAT_REDUCE, 81 },
		{ 0, 0, YYAT_REDUCE, 82 },
		{ 0, 0, YYAT_REDUCE, 83 },
		{ 0, 0, YYAT_REDUCE, 94 },
		{ 0, 0, YYAT_REDUCE, 97 },
		{ 0, 0, YYAT_REDUCE, 77 },
		{ 661, 1, YYAT_REDUCE, 168 },
		{ 0, 0, YYAT_REDUCE, 75 },
		{ 0, 0, YYAT_REDUCE, 87 },
		{ 0, 0, YYAT_DEFAULT, 366 },
		{ 0, 0, YYAT_REDUCE, 86 },
		{ 0, 0, YYAT_DEFAULT, 366 },
		{ 0, 0, YYAT_REDUCE, 78 },
		{ 0, 0, YYAT_DEFAULT, 127 },
		{ 551, 1, YYAT_DEFAULT, 166 },
		{ 0, 0, YYAT_DEFAULT, 127 },
		{ 0, 0, YYAT_REDUCE, 67 },
		{ 0, 0, YYAT_REDUCE, 68 },
		{ -248, 1, YYAT_REDUCE, 57 },
		{ 0, 0, YYAT_REDUCE, 8 },
		{ 0, 0, YYAT_REDUCE, 34 },
		{ 552, 1, YYAT_DEFAULT, 583 },
		{ 0, 0, YYAT_REDUCE, 6 },
		{ 551, 1, YYAT_DEFAULT, 583 },
		{ 0, 0, YYAT_REDUCE, 18 },
		{ 0, 0, YYAT_REDUCE, 47 },
		{ 0, 0, YYAT_REDUCE, 44 },
		{ 0, 0, YYAT_REDUCE, 16 },
		{ 0, 0, YYAT_REDUCE, 41 },
		{ 613, 1, YYAT_DEFAULT, 629 },
		{ 612, 1, YYAT_DEFAULT, 629 },
		{ 610, 1, YYAT_DEFAULT, 629 },
		{ 609, 1, YYAT_DEFAULT, 629 },
		{ 0, 0, YYAT_DEFAULT, 143 },
		{ -175, 1, YYAT_ERROR, 0 },
		{ 285, 1, YYAT_DEFAULT, 289 },
		{ 284, 1, YYAT_DEFAULT, 289 },
		{ 0, 0, YYAT_REDUCE, 201 },
		{ 0, 0, YYAT_REDUCE, 197 },
		{ 0, 0, YYAT_REDUCE, 199 },
		{ 0, 0, YYAT_REDUCE, 181 },
		{ 0, 0, YYAT_REDUCE, 95 },
		{ 0, 0, YYAT_REDUCE, 101 },
		{ 0, 0, YYAT_REDUCE, 158 },
		{ 0, 0, YYAT_REDUCE, 192 },
		{ 607, 1, YYAT_REDUCE, 191 },
		{ 0, 0, YYAT_REDUCE, 76 },
		{ 0, 0, YYAT_DEFAULT, 584 },
		{ 37, 1, YYAT_DEFAULT, 629 },
		{ 0, 0, YYAT_REDUCE, 169 },
		{ 58, 1, YYAT_REDUCE, 186 },
		{ 0, 0, YYAT_REDUCE, 90 },
		{ 0, 0, YYAT_REDUCE, 85 },
		{ 0, 0, YYAT_REDUCE, 89 },
		{ 0, 0, YYAT_REDUCE, 59 },
		{ 0, 0, YYAT_REDUCE, 25 },
		{ 0, 0, YYAT_REDUCE, 58 },
		{ 539, 1, YYAT_ERROR, 0 },
		{ -160, 1, YYAT_DEFAULT, 618 },
		{ 0, 0, YYAT_REDUCE, 31 },
		{ 0, 0, YYAT_REDUCE, 29 },
		{ 0, 0, YYAT_DEFAULT, 446 },
		{ 0, 0, YYAT_DEFAULT, 172 },
		{ 275, 1, YYAT_REDUCE, 49 },
		{ 0, 0, YYAT_REDUCE, 13 },
		{ 0, 0, YYAT_REDUCE, 11 },
		{ 0, 0, YYAT_REDUCE, 23 },
		{ 0, 0, YYAT_REDUCE, 21 },
		{ 0, 0, YYAT_REDUCE, 160 },
		{ 0, 0, YYAT_REDUCE, 161 },
		{ 0, 0, YYAT_REDUCE, 162 },
		{ 0, 0, YYAT_REDUCE, 163 },
		{ 0, 0, YYAT_REDUCE, 164 },
		{ 0, 0, YYAT_REDUCE, 165 },
		{ 0, 0, YYAT_REDUCE, 166 },
		{ 0, 0, YYAT_REDUCE, 167 },
		{ 538, 1, YYAT_DEFAULT, 583 },
		{ 620, 1, YYAT_DEFAULT, 572 },
		{ 536, 1, YYAT_DEFAULT, 583 },
		{ 0, 0, YYAT_REDUCE, 230 },
		{ 0, 0, YYAT_REDUCE, 233 },
		{ 0, 0, YYAT_DEFAULT, 230 },
		{ 0, 0, YYAT_DEFAULT, 584 },
		{ 0, 0, YYAT_DEFAULT, 230 },
		{ 0, 0, YYAT_DEFAULT, 582 },
		{ 600, 1, YYAT_DEFAULT, 543 },
		{ 0, 0, YYAT_REDUCE, 191 },
		{ 566, 1, YYAT_REDUCE, 193 },
		{ 0, 0, YYAT_REDUCE, 170 },
		{ 0, 0, YYAT_REDUCE, 64 },
		{ 0, 0, YYAT_REDUCE, 65 },
		{ 396, 1, YYAT_REDUCE, 184 },
		{ 558, 1, YYAT_REDUCE, 194 },
		{ 610, 1, YYAT_DEFAULT, 572 },
		{ 0, 0, YYAT_REDUCE, 177 },
		{ 0, 0, YYAT_REDUCE, 183 },
		{ 0, 0, YYAT_REDUCE, 27 },
		{ 0, 0, YYAT_REDUCE, 37 },
		{ 0, 0, YYAT_REDUCE, 38 },
		{ 605, 1, YYAT_REDUCE, 35 },
		{ 266, 1, YYAT_REDUCE, 191 },
		{ 950, 1, YYAT_REDUCE, 211 },
		{ 605, 1, YYAT_DEFAULT, 529 },
		{ 72, 1, YYAT_REDUCE, 215 },
		{ 0, 0, YYAT_REDUCE, 216 },
		{ 0, 0, YYAT_REDUCE, 208 },
		{ 80, 1, YYAT_REDUCE, 209 },
		{ 306, 1, YYAT_REDUCE, 210 },
		{ 0, 0, YYAT_REDUCE, 219 },
		{ 0, 0, YYAT_REDUCE, 224 },
		{ 0, 0, YYAT_REDUCE, 50 },
		{ 0, 0, YYAT_REDUCE, 45 },
		{ 0, 0, YYAT_REDUCE, 42 },
		{ 0, 0, YYAT_REDUCE, 70 },
		{ 603, 1, YYAT_DEFAULT, 630 },
		{ 0, 0, YYAT_REDUCE, 73 },
		{ 0, 0, YYAT_DEFAULT, 447 },
		{ 0, 0, YYAT_DEFAULT, 447 },
		{ 0, 0, YYAT_REDUCE, 205 },
		{ 0, 0, YYAT_REDUCE, 206 },
		{ 0, 0, YYAT_REDUCE, 202 },
		{ -230, 1, YYAT_REDUCE, 203 },
		{ 56, 1, YYAT_DEFAULT, 630 },
		{ 0, 0, YYAT_REDUCE, 200 },
		{ 0, 0, YYAT_REDUCE, 364 },
		{ 0, 0, YYAT_REDUCE, 361 },
		{ 0, 0, YYAT_REDUCE, 394 },
		{ 0, 0, YYAT_REDUCE, 360 },
		{ 0, 0, YYAT_REDUCE, 362 },
		{ 0, 0, YYAT_REDUCE, 363 },
		{ 0, 0, YYAT_REDUCE, 365 },
		{ 0, 0, YYAT_REDUCE, 399 },
		{ 0, 0, YYAT_REDUCE, 398 },
		{ 0, 0, YYAT_REDUCE, 400 },
		{ 0, 0, YYAT_REDUCE, 401 },
		{ 0, 0, YYAT_REDUCE, 396 },
		{ 317, 1, YYAT_REDUCE, 397 },
		{ 482, 1, YYAT_REDUCE, 371 },
		{ 0, 0, YYAT_REDUCE, 366 },
		{ 0, 0, YYAT_REDUCE, 356 },
		{ 0, 0, YYAT_REDUCE, 351 },
		{ 0, 0, YYAT_REDUCE, 353 },
		{ 0, 0, YYAT_REDUCE, 392 },
		{ 0, 0, YYAT_REDUCE, 393 },
		{ 0, 0, YYAT_DEFAULT, 366 },
		{ 0, 0, YYAT_DEFAULT, 315 },
		{ 0, 0, YYAT_REDUCE, 387 },
		{ 0, 0, YYAT_REDUCE, 388 },
		{ 0, 0, YYAT_REDUCE, 182 },
		{ 0, 0, YYAT_REDUCE, 406 },
		{ 0, 0, YYAT_REDUCE, 349 },
		{ 16, 1, YYAT_REDUCE, 294 },
		{ 199, 1, YYAT_REDUCE, 298 },
		{ 447, 1, YYAT_REDUCE, 301 },
		{ 476, 1, YYAT_REDUCE, 304 },
		{ 530, 1, YYAT_REDUCE, 307 },
		{ 31, 1, YYAT_REDUCE, 310 },
		{ 120, 1, YYAT_REDUCE, 313 },
		{ 1, 1, YYAT_REDUCE, 318 },
		{ 298, 1, YYAT_REDUCE, 327 },
		{ 290, 1, YYAT_REDUCE, 332 },
		{ -8, 1, YYAT_REDUCE, 337 },
		{ 0, 0, YYAT_REDUCE, 344 },
		{ 44, 1, YYAT_REDUCE, 350 },
		{ 0, 0, YYAT_DEFAULT, 582 },
		{ 0, 0, YYAT_REDUCE, 358 },
		{ 0, 0, YYAT_REDUCE, 359 },
		{ 0, 0, YYAT_REDUCE, 375 },
		{ 0, 0, YYAT_REDUCE, 384 },
		{ 0, 0, YYAT_REDUCE, 391 },
		{ 0, 0, YYAT_REDUCE, 179 },
		{ 0, 0, YYAT_DEFAULT, 447 },
		{ 0, 0, YYAT_REDUCE, 424 },
		{ 0, 0, YYAT_REDUCE, 187 },
		{ 522, 1, YYAT_REDUCE, 222 },
		{ 0, 0, YYAT_REDUCE, 196 },
		{ 0, 0, YYAT_DEFAULT, 582 },
		{ 0, 0, YYAT_REDUCE, 173 },
		{ 219, 1, YYAT_DEFAULT, 607 },
		{ 516, 1, YYAT_DEFAULT, 572 },
		{ 171, 1, YYAT_ERROR, 0 },
		{ 70, 1, YYAT_REDUCE, 212 },
		{ 0, 0, YYAT_REDUCE, 48 },
		{ 0, 0, YYAT_REDUCE, 217 },
		{ 0, 0, YYAT_REDUCE, 184 },
		{ 491, 1, YYAT_DEFAULT, 629 },
		{ 67, 1, YYAT_DEFAULT, 231 },
		{ 0, 0, YYAT_REDUCE, 220 },
		{ 0, 0, YYAT_REDUCE, 226 },
		{ 0, 0, YYAT_REDUCE, 225 },
		{ -161, 1, YYAT_DEFAULT, 618 },
		{ 0, 0, YYAT_REDUCE, 424 },
		{ 0, 0, YYAT_REDUCE, 159 },
		{ 0, 0, YYAT_REDUCE, 424 },
		{ 480, 1, YYAT_DEFAULT, 629 },
		{ 479, 1, YYAT_DEFAULT, 629 },
		{ 0, 0, YYAT_REDUCE, 204 },
		{ 0, 0, YYAT_REDUCE, 198 },
		{ 1293, 1, YYAT_DEFAULT, 368 },
		{ 0, 0, YYAT_REDUCE, 389 },
		{ 444, 1, YYAT_DEFAULT, 620 },
		{ 0, 0, YYAT_DEFAULT, 582 },
		{ 0, 0, YYAT_DEFAULT, 368 },
		{ 0, 0, YYAT_DEFAULT, 582 },
		{ 0, 0, YYAT_DEFAULT, 582 },
		{ 0, 0, YYAT_DEFAULT, 582 },
		{ 1182, 1, YYAT_DEFAULT, 607 },
		{ 0, 0, YYAT_REDUCE, 397 },
		{ 0, 0, YYAT_REDUCE, 385 },
		{ 0, 0, YYAT_REDUCE, 295 },
		{ 0, 0, YYAT_REDUCE, 299 },
		{ 0, 0, YYAT_REDUCE, 302 },
		{ 0, 0, YYAT_REDUCE, 305 },
		{ 0, 0, YYAT_REDUCE, 308 },
		{ 0, 0, YYAT_REDUCE, 311 },
		{ 0, 0, YYAT_REDUCE, 314 },
		{ 0, 0, YYAT_REDUCE, 316 },
		{ 0, 0, YYAT_REDUCE, 319 },
		{ 0, 0, YYAT_REDUCE, 321 },
		{ 0, 0, YYAT_REDUCE, 323 },
		{ 0, 0, YYAT_REDUCE, 325 },
		{ 0, 0, YYAT_REDUCE, 328 },
		{ 0, 0, YYAT_REDUCE, 330 },
		{ 0, 0, YYAT_REDUCE, 333 },
		{ 0, 0, YYAT_REDUCE, 335 },
		{ 0, 0, YYAT_REDUCE, 342 },
		{ 0, 0, YYAT_REDUCE, 338 },
		{ 0, 0, YYAT_REDUCE, 340 },
		{ 0, 0, YYAT_REDUCE, 345 },
		{ 0, 0, YYAT_REDUCE, 347 },
		{ 0, 0, YYAT_REDUCE, 378 },
		{ 0, 0, YYAT_REDUCE, 376 },
		{ 0, 0, YYAT_REDUCE, 382 },
		{ 0, 0, YYAT_REDUCE, 383 },
		{ 0, 0, YYAT_REDUCE, 380 },
		{ 0, 0, YYAT_REDUCE, 355 },
		{ 0, 0, YYAT_DEFAULT, 582 },
		{ 0, 0, YYAT_REDUCE, 171 },
		{ 411, 1, YYAT_DEFAULT, 633 },
		{ 0, 0, YYAT_REDUCE, 223 },
		{ 0, 0, YYAT_DEFAULT, 582 },
		{ 442, 1, YYAT_DEFAULT, 620 },
		{ 0, 0, YYAT_DEFAULT, 535 },
		{ 0, 0, YYAT_REDUCE, 39 },
		{ 0, 0, YYAT_REDUCE, 55 },
		{ 0, 0, YYAT_REDUCE, 36 },
		{ 0, 0, YYAT_REDUCE, 227 },
		{ 0, 0, YYAT_REDUCE, 213 },
		{ 0, 0, YYAT_DEFAULT, 446 },
		{ 0, 0, YYAT_REDUCE, 221 },
		{ 0, 0, YYAT_REDUCE, 52 },
		{ 0, 0, YYAT_REDUCE, 53 },
		{ 490, 1, YYAT_DEFAULT, 288 },
		{ 408, 1, YYAT_DEFAULT, 633 },
		{ 407, 1, YYAT_DEFAULT, 633 },
		{ 0, 0, YYAT_REDUCE, 231 },
		{ 0, 0, YYAT_REDUCE, 234 },
		{ 135, 1, YYAT_REDUCE, 84 },
		{ 515, 1, YYAT_REDUCE, 86 },
		{ 1081, 1, YYAT_REDUCE, 235 },
		{ 0, 0, YYAT_REDUCE, 407 },
		{ 0, 0, YYAT_REDUCE, 408 },
		{ 0, 0, YYAT_REDUCE, 281 },
		{ 178, 1, YYAT_REDUCE, 349 },
		{ 490, 1, YYAT_DEFAULT, 630 },
		{ 191, 1, YYAT_DEFAULT, 607 },
		{ 0, 0, YYAT_REDUCE, 373 },
		{ 0, 0, YYAT_REDUCE, 372 },
		{ 489, 1, YYAT_REDUCE, 368 },
		{ 0, 0, YYAT_REDUCE, 357 },
		{ 0, 0, YYAT_REDUCE, 352 },
		{ 0, 0, YYAT_REDUCE, 354 },
		{ 0, 0, YYAT_REDUCE, 386 },
		{ 0, 0, YYAT_DEFAULT, 613 },
		{ 0, 0, YYAT_DEFAULT, 582 },
		{ 0, 0, YYAT_DEFAULT, 582 },
		{ 0, 0, YYAT_DEFAULT, 582 },
		{ 0, 0, YYAT_DEFAULT, 582 },
		{ 0, 0, YYAT_DEFAULT, 582 },
		{ 0, 0, YYAT_DEFAULT, 582 },
		{ 0, 0, YYAT_DEFAULT, 582 },
		{ 0, 0, YYAT_DEFAULT, 582 },
		{ 0, 0, YYAT_DEFAULT, 582 },
		{ 0, 0, YYAT_DEFAULT, 582 },
		{ 0, 0, YYAT_DEFAULT, 582 },
		{ 0, 0, YYAT_DEFAULT, 582 },
		{ 0, 0, YYAT_DEFAULT, 582 },
		{ 0, 0, YYAT_DEFAULT, 582 },
		{ 0, 0, YYAT_DEFAULT, 582 },
		{ 0, 0, YYAT_DEFAULT, 582 },
		{ 0, 0, YYAT_DEFAULT, 582 },
		{ 0, 0, YYAT_DEFAULT, 582 },
		{ 0, 0, YYAT_DEFAULT, 582 },
		{ 0, 0, YYAT_DEFAULT, 582 },
		{ 0, 0, YYAT_DEFAULT, 581 },
		{ 0, 0, YYAT_DEFAULT, 613 },
		{ 189, 1, YYAT_DEFAULT, 607 },
		{ 0, 0, YYAT_REDUCE, 180 },
		{ 0, 0, YYAT_REDUCE, 422 },
		{ 0, 0, YYAT_REDUCE, 66 },
		{ 0, 0, YYAT_REDUCE, 415 },
		{ -276, 1, YYAT_ERROR, 0 },
		{ 467, 1, YYAT_DEFAULT, 629 },
		{ 0, 0, YYAT_REDUCE, 416 },
		{ 466, 1, YYAT_DEFAULT, 629 },
		{ 465, 1, YYAT_DEFAULT, 543 },
		{ 0, 0, YYAT_REDUCE, 436 },
		{ 0, 0, YYAT_REDUCE, 429 },
		{ 482, 1, YYAT_DEFAULT, 572 },
		{ 481, 1, YYAT_DEFAULT, 572 },
		{ 461, 1, YYAT_REDUCE, 449 },
		{ 479, 1, YYAT_DEFAULT, 572 },
		{ 478, 1, YYAT_DEFAULT, 572 },
		{ 476, 1, YYAT_DEFAULT, 572 },
		{ 475, 1, YYAT_DEFAULT, 572 },
		{ 1151, 1, YYAT_DEFAULT, 582 },
		{ 0, 0, YYAT_REDUCE, 452 },
		{ 0, 0, YYAT_REDUCE, 278 },
		{ 470, 1, YYAT_REDUCE, 444 },
		{ 0, 0, YYAT_REDUCE, 256 },
		{ 0, 0, YYAT_REDUCE, 257 },
		{ 0, 0, YYAT_REDUCE, 425 },
		{ 0, 0, YYAT_REDUCE, 409 },
		{ 0, 0, YYAT_REDUCE, 410 },
		{ 0, 0, YYAT_REDUCE, 411 },
		{ 0, 0, YYAT_REDUCE, 412 },
		{ 0, 0, YYAT_REDUCE, 413 },
		{ 0, 0, YYAT_REDUCE, 414 },
		{ 0, 0, YYAT_REDUCE, 445 },
		{ 454, 1, YYAT_DEFAULT, 629 },
		{ 0, 0, YYAT_REDUCE, 446 },
		{ 0, 0, YYAT_REDUCE, 185 },
		{ 0, 0, YYAT_REDUCE, 195 },
		{ 0, 0, YYAT_REDUCE, 254 },
		{ 468, 1, YYAT_REDUCE, 174 },
		{ 0, 0, YYAT_REDUCE, 250 },
		{ 0, 0, YYAT_REDUCE, 253 },
		{ 810, 1, YYAT_REDUCE, 207 },
		{ 24, 1, YYAT_DEFAULT, 584 },
		{ 0, 0, YYAT_DEFAULT, 582 },
		{ 0, 0, YYAT_REDUCE, 218 },
		{ 172, 1, YYAT_DEFAULT, 607 },
		{ 0, 0, YYAT_REDUCE, 51 },
		{ 0, 0, YYAT_REDUCE, 71 },
		{ 0, 0, YYAT_REDUCE, 74 },
		{ 163, 1, YYAT_REDUCE, 90 },
		{ 0, 0, YYAT_REDUCE, 236 },
		{ 0, 0, YYAT_REDUCE, 283 },
		{ 0, 0, YYAT_REDUCE, 284 },
		{ 0, 0, YYAT_REDUCE, 285 },
		{ 0, 0, YYAT_REDUCE, 286 },
		{ 0, 0, YYAT_REDUCE, 287 },
		{ 0, 0, YYAT_REDUCE, 288 },
		{ 0, 0, YYAT_REDUCE, 289 },
		{ 0, 0, YYAT_REDUCE, 290 },
		{ 0, 0, YYAT_REDUCE, 291 },
		{ 0, 0, YYAT_REDUCE, 292 },
		{ 0, 0, YYAT_REDUCE, 293 },
		{ 0, 0, YYAT_DEFAULT, 582 },
		{ 0, 0, YYAT_REDUCE, 395 },
		{ 0, 0, YYAT_REDUCE, 390 },
		{ 0, 0, YYAT_DEFAULT, 582 },
		{ 0, 0, YYAT_REDUCE, 369 },
		{ 0, 0, YYAT_REDUCE, 367 },
		{ 63, 1, YYAT_DEFAULT, 622 },
		{ 135, 1, YYAT_REDUCE, 300 },
		{ 381, 1, YYAT_REDUCE, 303 },
		{ 410, 1, YYAT_REDUCE, 306 },
		{ 389, 1, YYAT_REDUCE, 309 },
		{ -1, 1, YYAT_REDUCE, 312 },
		{ 29, 1, YYAT_REDUCE, 315 },
		{ 23, 1, YYAT_REDUCE, 317 },
		{ -5, 1, YYAT_REDUCE, 320 },
		{ -7, 1, YYAT_REDUCE, 322 },
		{ -9, 1, YYAT_REDUCE, 324 },
		{ -23, 1, YYAT_REDUCE, 326 },
		{ 297, 1, YYAT_REDUCE, 329 },
		{ 105, 1, YYAT_REDUCE, 331 },
		{ 170, 1, YYAT_REDUCE, 334 },
		{ 155, 1, YYAT_REDUCE, 336 },
		{ -39, 1, YYAT_REDUCE, 343 },
		{ -83, 1, YYAT_REDUCE, 339 },
		{ -163, 1, YYAT_REDUCE, 341 },
		{ 0, 0, YYAT_REDUCE, 346 },
		{ 0, 0, YYAT_REDUCE, 348 },
		{ 0, 0, YYAT_REDUCE, 403 },
		{ 374, 1, YYAT_DEFAULT, 603 },
		{ 58, 1, YYAT_DEFAULT, 622 },
		{ 0, 0, YYAT_REDUCE, 381 },
		{ 0, 0, YYAT_REDUCE, 424 },
		{ 0, 0, YYAT_REDUCE, 271 },
		{ 0, 0, YYAT_REDUCE, 270 },
		{ 0, 0, YYAT_REDUCE, 265 },
		{ 0, 0, YYAT_REDUCE, 266 },
		{ 0, 0, YYAT_REDUCE, 267 },
		{ 0, 0, YYAT_REDUCE, 268 },
		{ 0, 0, YYAT_REDUCE, 269 },
		{ -39, 1, YYAT_DEFAULT, 621 },
		{ 0, 0, YYAT_REDUCE, 447 },
		{ 0, 0, YYAT_DEFAULT, 582 },
		{ 0, 0, YYAT_REDUCE, 448 },
		{ 0, 0, YYAT_REDUCE, 419 },
		{ 0, 0, YYAT_DEFAULT, 633 },
		{ 0, 0, YYAT_DEFAULT, 633 },
		{ 0, 0, YYAT_REDUCE, 439 },
		{ 0, 0, YYAT_REDUCE, 426 },
		{ 0, 0, YYAT_REDUCE, 451 },
		{ 0, 0, YYAT_DEFAULT, 613 },
		{ 0, 0, YYAT_REDUCE, 431 },
		{ 0, 0, YYAT_REDUCE, 434 },
		{ 0, 0, YYAT_REDUCE, 260 },
		{ 0, 0, YYAT_REDUCE, 258 },
		{ 54, 1, YYAT_REDUCE, 242 },
		{ 73, 1, YYAT_DEFAULT, 629 },
		{ 0, 0, YYAT_REDUCE, 238 },
		{ 0, 0, YYAT_REDUCE, 279 },
		{ 0, 0, YYAT_REDUCE, 421 },
		{ 0, 0, YYAT_DEFAULT, 535 },
		{ 0, 0, YYAT_REDUCE, 251 },
		{ 372, 1, YYAT_DEFAULT, 630 },
		{ 295, 1, YYAT_DEFAULT, 630 },
		{ 352, 1, YYAT_DEFAULT, 629 },
		{ 0, 0, YYAT_REDUCE, 214 },
		{ 0, 0, YYAT_REDUCE, 54 },
		{ 0, 0, YYAT_REDUCE, 282 },
		{ 0, 0, YYAT_REDUCE, 374 },
		{ 171, 1, YYAT_REDUCE, 249 },
		{ 0, 0, YYAT_REDUCE, 296 },
		{ 0, 0, YYAT_REDUCE, 379 },
		{ 0, 0, YYAT_REDUCE, 404 },
		{ 0, 0, YYAT_REDUCE, 377 },
		{ 284, 1, YYAT_DEFAULT, 633 },
		{ 0, 0, YYAT_REDUCE, 263 },
		{ 0, 0, YYAT_REDUCE, 262 },
		{ 341, 1, YYAT_ERROR, 0 },
		{ 0, 0, YYAT_DEFAULT, 633 },
		{ 34, 1, YYAT_ERROR, 0 },
		{ 0, 0, YYAT_REDUCE, 430 },
		{ -149, 1, YYAT_DEFAULT, 623 },
		{ 0, 0, YYAT_DEFAULT, 613 },
		{ 70, 1, YYAT_DEFAULT, 629 },
		{ 0, 0, YYAT_DEFAULT, 613 },
		{ 0, 0, YYAT_DEFAULT, 613 },
		{ 0, 0, YYAT_DEFAULT, 553 },
		{ 57, 1, YYAT_DEFAULT, 618 },
		{ 0, 0, YYAT_REDUCE, 247 },
		{ 262, 1, YYAT_REDUCE, 243 },
		{ 0, 0, YYAT_REDUCE, 241 },
		{ 0, 0, YYAT_REDUCE, 239 },
		{ 0, 0, YYAT_REDUCE, 237 },
		{ 0, 0, YYAT_DEFAULT, 582 },
		{ 39, 1, YYAT_DEFAULT, 565 },
		{ 0, 0, YYAT_DEFAULT, 582 },
		{ 0, 0, YYAT_REDUCE, 175 },
		{ 0, 0, YYAT_REDUCE, 56 },
		{ 0, 0, YYAT_REDUCE, 228 },
		{ 294, 1, YYAT_DEFAULT, 630 },
		{ 0, 0, YYAT_DEFAULT, 582 },
		{ 0, 0, YYAT_DEFAULT, 582 },
		{ 0, 0, YYAT_REDUCE, 423 },
		{ 14, 1, YYAT_DEFAULT, 621 },
		{ 0, 0, YYAT_REDUCE, 417 },
		{ 0, 0, YYAT_REDUCE, 420 },
		{ 309, 1, YYAT_ERROR, 0 },
		{ 0, 0, YYAT_DEFAULT, 623 },
		{ 305, 1, YYAT_DEFAULT, 622 },
		{ 0, 0, YYAT_REDUCE, 450 },
		{ 288, 1, YYAT_DEFAULT, 622 },
		{ 275, 1, YYAT_DEFAULT, 622 },
		{ 0, 0, YYAT_REDUCE, 275 },
		{ 165, 1, YYAT_DEFAULT, 580 },
		{ 290, 1, YYAT_DEFAULT, 630 },
		{ 317, 1, YYAT_REDUCE, 402 },
		{ -251, 1, YYAT_DEFAULT, 613 },
		{ 75, 1, YYAT_ERROR, 0 },
		{ 65, 1, YYAT_DEFAULT, 607 },
		{ 0, 0, YYAT_REDUCE, 280 },
		{ 0, 0, YYAT_REDUCE, 255 },
		{ 0, 0, YYAT_REDUCE, 252 },
		{ 51, 1, YYAT_REDUCE, 188 },
		{ 0, 0, YYAT_REDUCE, 370 },
		{ 0, 0, YYAT_REDUCE, 297 },
		{ 0, 0, YYAT_REDUCE, 405 },
		{ 0, 0, YYAT_REDUCE, 272 },
		{ 289, 1, YYAT_DEFAULT, 630 },
		{ 0, 0, YYAT_DEFAULT, 633 },
		{ 0, 0, YYAT_REDUCE, 437 },
		{ 134, 1, YYAT_DEFAULT, 629 },
		{ 0, 0, YYAT_REDUCE, 427 },
		{ 0, 0, YYAT_REDUCE, 432 },
		{ 0, 0, YYAT_DEFAULT, 633 },
		{ 0, 0, YYAT_REDUCE, 261 },
		{ 0, 0, YYAT_REDUCE, 276 },
		{ 0, 0, YYAT_REDUCE, 259 },
		{ 255, 1, YYAT_DEFAULT, 630 },
		{ 0, 0, YYAT_REDUCE, 244 },
		{ 0, 0, YYAT_REDUCE, 246 },
		{ 0, 0, YYAT_REDUCE, 240 },
		{ -158, 1, YYAT_ERROR, 0 },
		{ 0, 0, YYAT_REDUCE, 176 },
		{ 0, 0, YYAT_REDUCE, 189 },
		{ 0, 0, YYAT_REDUCE, 264 },
		{ 0, 0, YYAT_REDUCE, 273 },
		{ 0, 0, YYAT_REDUCE, 418 },
		{ 521, 1, YYAT_DEFAULT, 315 },
		{ 0, 0, YYAT_REDUCE, 440 },
		{ 0, 0, YYAT_DEFAULT, 633 },
		{ 0, 0, YYAT_DEFAULT, 633 },
		{ 0, 0, YYAT_REDUCE, 435 },
		{ -159, 1, YYAT_ERROR, 0 },
		{ 0, 0, YYAT_REDUCE, 248 },
		{ 44, 1, YYAT_ERROR, 0 },
		{ -221, 1, YYAT_ERROR, 0 },
		{ -38, 1, YYAT_DEFAULT, 630 },
		{ 39, 1, YYAT_DEFAULT, 633 },
		{ 0, 0, YYAT_REDUCE, 428 },
		{ 0, 0, YYAT_REDUCE, 433 },
		{ 0, 0, YYAT_REDUCE, 277 },
		{ 0, 0, YYAT_REDUCE, 190 },
		{ 0, 0, YYAT_REDUCE, 274 },
		{ -48, 1, YYAT_ERROR, 0 },
		{ -37, 1, YYAT_ERROR, 0 },
		{ 0, 0, YYAT_REDUCE, 438 },
		{ 0, 0, YYAT_REDUCE, 441 },
		{ -33, 1, YYAT_REDUCE, 443 },
		{ 0, 0, YYAT_REDUCE, 442 }
	};
	yystateaction = stateaction;

	static const yynontermgoto_t YYNEARFAR YYBASED_CODE nontermgoto[] = {
		{ 633, 424 },
		{ 633, 116 },
		{ 613, 622 },
		{ 632, 633 },
		{ 566, -1 },
		{ 633, 367 },
		{ 566, 590 },
		{ 210, 290 },
		{ 633, 366 },
		{ 623, -1 },
		{ 623, -1 },
		{ 623, -1 },
		{ 584, 521 },
		{ 623, -1 },
		{ 623, 254 },
		{ 623, -1 },
		{ 215, 295 },
		{ 623, 253 },
		{ 366, 454 },
		{ 368, 368 },
		{ 368, 119 },
		{ 368, 117 },
		{ 368, 120 },
		{ 368, 118 },
		{ 581, 494 },
		{ 633, -1 },
		{ 508, 258 },
		{ 17, 30 },
		{ 633, -1 },
		{ 616, 625 },
		{ 215, 296 },
		{ 18, 32 },
		{ 307, 368 },
		{ 307, 367 },
		{ 307, 117 },
		{ 210, -1 },
		{ 307, 366 },
		{ 210, -1 },
		{ 535, 565 },
		{ 615, 624 },
		{ 535, 445 },
		{ 566, 259 },
		{ 584, 606 },
		{ 366, 161 },
		{ 17, 31 },
		{ 633, 255 },
		{ 470, -1 },
		{ 18, 33 },
		{ 633, 256 },
		{ 470, -1 },
		{ 614, 623 },
		{ 470, -1 },
		{ 633, 425 },
		{ 470, -1 },
		{ 535, 444 },
		{ 470, -1 },
		{ 36, 140 },
		{ 470, -1 },
		{ 115, 157 },
		{ 470, -1 },
		{ 115, 158 },
		{ 623, -1 },
		{ 470, -1 },
		{ 447, 530 },
		{ 633, 427 },
		{ 633, 428 },
		{ 368, 455 },
		{ 470, -1 },
		{ 555, 582 },
		{ 555, 583 },
		{ 470, -1 },
		{ 36, 31 },
		{ 115, 159 },
		{ 470, -1 },
		{ 633, 429 },
		{ 447, 159 },
		{ 633, 426 },
		{ 470, -1 },
		{ 633, 371 },
		{ 307, 369 },
		{ 470, 534 },
		{ 633, 260 },
		{ 581, 603 },
		{ 633, 261 },
		{ 508, 543 },
		{ 633, 262 },
		{ 23, 21 },
		{ 633, 263 },
		{ 23, 22 },
		{ 633, 264 },
		{ 23, 13 },
		{ 633, 265 },
		{ 611, 621 },
		{ 37, 141 },
		{ 633, 266 },
		{ 10, 23 },
		{ 10, 9 },
		{ 23, 14 },
		{ 613, -1 },
		{ 633, 267 },
		{ 588, 609 },
		{ 10, 8 },
		{ 633, 268 },
		{ 588, 608 },
		{ 307, 370 },
		{ 633, 269 },
		{ 10, 11 },
		{ 37, 33 },
		{ 10, 12 },
		{ 633, 270 },
		{ 601, 618 },
		{ 35, 139 },
		{ 633, 271 },
		{ 633, 372 },
		{ 582, -1 },
		{ 582, -1 },
		{ 34, 138 },
		{ 633, 273 },
		{ 633, 274 },
		{ 599, 617 },
		{ 16, 28 },
		{ 15, 26 },
		{ 633, 275 },
		{ 35, 29 },
		{ 582, -1 },
		{ 633, 272 },
		{ 582, 604 },
		{ 389, 480 },
		{ 34, 27 },
		{ 633, 276 },
		{ 10, 10 },
		{ 633, 277 },
		{ 389, 267 },
		{ 633, 278 },
		{ 16, 29 },
		{ 15, 27 },
		{ 397, 488 },
		{ 598, 616 },
		{ 633, 634 },
		{ 633, 431 },
		{ 397, 270 },
		{ 446, 210 },
		{ 446, 116 },
		{ 633, 437 },
		{ 633, 433 },
		{ 314, -1 },
		{ 314, 380 },
		{ 633, 434 },
		{ 127, 166 },
		{ 127, 122 },
		{ 127, 124 },
		{ 400, 491 },
		{ 623, -1 },
		{ 633, 435 },
		{ 400, 271 },
		{ 395, 486 },
		{ 127, 115 },
		{ 127, 116 },
		{ 395, 269 },
		{ 597, 615 },
		{ 633, 438 },
		{ 633, 432 },
		{ 633, 436 },
		{ 595, 613 },
		{ 633, 439 },
		{ 307, 373 },
		{ 446, 212 },
		{ 594, 612 },
		{ 393, 484 },
		{ 623, 630 },
		{ 623, -1 },
		{ 393, 268 },
		{ 583, 605 },
		{ 623, -1 },
		{ 446, 213 },
		{ 446, 214 },
		{ 454, 381 },
		{ 446, 529 },
		{ 454, 278 },
		{ 446, 215 },
		{ 446, 217 },
		{ 127, -1 },
		{ 446, 216 },
		{ 446, 218 },
		{ 127, -1 },
		{ 424, 155 },
		{ 424, 114 },
		{ 573, 596 },
		{ 424, 121 },
		{ 387, 478 },
		{ 547, -1 },
		{ 547, -1 },
		{ 387, 266 },
		{ 159, 202 },
		{ 357, 449 },
		{ 191, 231 },
		{ 547, -1 },
		{ 357, -1 },
		{ 191, 156 },
		{ 547, -1 },
		{ 159, 204 },
		{ 127, 125 },
		{ 159, 203 },
		{ 570, 594 },
		{ 127, 126 },
		{ 547, -1 },
		{ 386, 477 },
		{ 569, 593 },
		{ 386, 265 },
		{ 424, 521 },
		{ 230, 305 },
		{ 230, 230 },
		{ 424, 156 },
		{ 547, 573 },
		{ 547, -1 },
		{ 385, 476 },
		{ 384, 475 },
		{ 385, 264 },
		{ 384, 263 },
		{ 383, 474 },
		{ 567, 591 },
		{ 383, 262 },
		{ 143, 187 },
		{ 143, 186 },
		{ 562, 588 },
		{ 561, 587 },
		{ 559, 585 },
		{ 557, 584 },
		{ 554, 581 },
		{ 553, 580 },
		{ 552, 579 },
		{ 551, 577 },
		{ 550, 576 },
		{ 548, 574 },
		{ 544, 571 },
		{ 424, -1 },
		{ 541, 569 },
		{ 424, 522 },
		{ 540, 430 },
		{ 424, 523 },
		{ 538, 567 },
		{ 536, 566 },
		{ 527, 561 },
		{ 526, 560 },
		{ 524, 559 },
		{ 521, 556 },
		{ 520, 553 },
		{ 519, 552 },
		{ 518, 551 },
		{ 517, 550 },
		{ 516, 549 },
		{ 514, 548 },
		{ 513, 547 },
		{ 512, 546 },
		{ 511, 545 },
		{ 510, 544 },
		{ 498, 540 },
		{ 471, 535 },
		{ 467, 533 },
		{ 448, 531 },
		{ 443, 528 },
		{ 442, 526 },
		{ 419, 516 },
		{ 416, 512 },
		{ 415, 511 },
		{ 412, 508 },
		{ 410, 506 },
		{ 407, 498 },
		{ 404, 496 },
		{ 403, 495 },
		{ 402, 493 },
		{ 401, 492 },
		{ 399, 490 },
		{ 398, 489 },
		{ 396, 487 },
		{ 394, 485 },
		{ 392, 483 },
		{ 391, 482 },
		{ 390, 481 },
		{ 388, 479 },
		{ 382, 473 },
		{ 377, 472 },
		{ 375, 470 },
		{ 372, 467 },
		{ 367, 317 },
		{ 361, 451 },
		{ 356, 448 },
		{ 355, 447 },
		{ 353, 446 },
		{ 351, 443 },
		{ 349, 440 },
		{ 345, 406 },
		{ 343, 405 },
		{ 340, 404 },
		{ 339, 403 },
		{ 338, 402 },
		{ 337, 401 },
		{ 336, 400 },
		{ 335, 399 },
		{ 334, 398 },
		{ 333, 397 },
		{ 332, 396 },
		{ 331, 395 },
		{ 330, 394 },
		{ 329, 393 },
		{ 328, 392 },
		{ 327, 391 },
		{ 326, 390 },
		{ 325, 389 },
		{ 324, 388 },
		{ 323, 387 },
		{ 322, 386 },
		{ 321, 385 },
		{ 320, 384 },
		{ 319, 383 },
		{ 318, 382 },
		{ 313, 379 },
		{ 312, 378 },
		{ 311, 377 },
		{ 310, 376 },
		{ 308, 374 },
		{ 302, 363 },
		{ 300, 362 },
		{ 299, 361 },
		{ 297, 289 },
		{ 295, 294 },
		{ 293, 283 },
		{ 292, 357 },
		{ 288, 354 },
		{ 286, 351 },
		{ 285, 350 },
		{ 283, 349 },
		{ 281, 347 },
		{ 280, 346 },
		{ 279, 345 },
		{ 273, 344 },
		{ 253, 315 },
		{ 250, 314 },
		{ 249, 313 },
		{ 248, 312 },
		{ 247, 311 },
		{ 246, 310 },
		{ 235, 307 },
		{ 226, 304 },
		{ 225, 303 },
		{ 224, 302 },
		{ 222, 300 },
		{ 219, 299 },
		{ 216, 298 },
		{ 208, 288 },
		{ 201, 285 },
		{ 199, 281 },
		{ 197, 280 },
		{ 193, 257 },
		{ 192, 232 },
		{ 190, 229 },
		{ 189, 226 },
		{ 188, 225 },
		{ 172, 221 },
		{ 171, 220 },
		{ 170, 211 },
		{ 167, 208 },
		{ 156, 196 },
		{ 154, 194 },
		{ 149, 193 },
		{ 148, 192 },
		{ 147, 191 },
		{ 146, 190 },
		{ 142, 185 },
		{ 137, 172 },
		{ 135, 171 },
		{ 134, 170 },
		{ 129, 167 },
		{ 124, 165 },
		{ 122, 163 },
		{ 120, 162 },
		{ 118, 160 },
		{ 105, 145 },
		{ 104, 144 },
		{ 43, 143 },
		{ 39, 142 },
		{ 33, 137 },
		{ 31, 135 },
		{ 29, 132 },
		{ 27, 130 },
		{ 25, 127 },
		{ 24, 123 },
		{ 13, 24 },
		{ 0, 7 }
	};
	yynontermgoto = nontermgoto;
	yynontermgoto_size = 389;

	static const yystategoto_t YYNEARFAR YYBASED_CODE stategoto[] = {
		{ 387, 10 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, 23 },
		{ 0, -1 },
		{ 0, -1 },
		{ 94, 23 },
		{ 0, -1 },
		{ 0, -1 },
		{ 374, -1 },
		{ 0, -1 },
		{ 117, -1 },
		{ 117, -1 },
		{ 18, -1 },
		{ 23, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 74, -1 },
		{ 351, 127 },
		{ 370, -1 },
		{ 0, -1 },
		{ 365, -1 },
		{ 0, -1 },
		{ 364, -1 },
		{ 0, -1 },
		{ 354, -1 },
		{ 0, -1 },
		{ 353, -1 },
		{ 110, -1 },
		{ 106, -1 },
		{ 45, -1 },
		{ 83, -1 },
		{ 0, -1 },
		{ 341, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 338, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 289, -1 },
		{ 285, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 4, 210 },
		{ 0, -1 },
		{ 0, -1 },
		{ 330, 366 },
		{ 0, -1 },
		{ 329, 366 },
		{ 0, -1 },
		{ 339, 127 },
		{ 0, -1 },
		{ 338, 127 },
		{ 0, -1 },
		{ 0, -1 },
		{ 113, 210 },
		{ 0, -1 },
		{ 352, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 342, -1 },
		{ 343, -1 },
		{ 0, -1 },
		{ 344, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 316, 143 },
		{ 170, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 294, -1 },
		{ 296, -1 },
		{ 293, -1 },
		{ 301, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 302, -1 },
		{ 0, -1 },
		{ 294, 191 },
		{ 0, -1 },
		{ 0, -1 },
		{ 136, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 339, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 281, 446 },
		{ 329, -1 },
		{ 328, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 267, -1 },
		{ 263, -1 },
		{ 281, 230 },
		{ 127, -1 },
		{ 280, 230 },
		{ 174, 508 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 297, -1 },
		{ 0, -1 },
		{ 313, -1 },
		{ 0, 293 },
		{ 281, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 328, -1 },
		{ 0, 297 },
		{ -61, 424 },
		{ 0, -1 },
		{ 0, 295 },
		{ 0, -1 },
		{ 0, -1 },
		{ -52, 191 },
		{ 263, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 316, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 306, -1 },
		{ 0, -1 },
		{ 303, -1 },
		{ 288, 447 },
		{ 287, 447 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 136, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 167, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 175, -1 },
		{ 178, -1 },
		{ 180, -1 },
		{ 181, -1 },
		{ 179, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 290, 366 },
		{ 0, 367 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 180, 470 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 272, -1 },
		{ 277, 447 },
		{ 143, -1 },
		{ 0, -1 },
		{ 248, -1 },
		{ 0, -1 },
		{ 151, 508 },
		{ 271, -1 },
		{ 0, -1 },
		{ 295, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 247, -1 },
		{ 261, -1 },
		{ 0, -1 },
		{ 261, -1 },
		{ 0, -1 },
		{ 238, -1 },
		{ 0, -1 },
		{ 291, -1 },
		{ 133, -1 },
		{ 0, -1 },
		{ 132, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ -15, 582 },
		{ 147, -1 },
		{ 0, -1 },
		{ 164, 470 },
		{ 224, 368 },
		{ 162, 470 },
		{ 160, 314 },
		{ -10, 470 },
		{ 0, 454 },
		{ 0, -1 },
		{ 0, -1 },
		{ 193, -1 },
		{ 189, -1 },
		{ 186, -1 },
		{ 183, -1 },
		{ 180, -1 },
		{ 177, -1 },
		{ 174, -1 },
		{ 172, -1 },
		{ 169, -1 },
		{ 167, -1 },
		{ 165, -1 },
		{ 163, -1 },
		{ 160, -1 },
		{ 158, -1 },
		{ 155, -1 },
		{ 153, -1 },
		{ 148, -1 },
		{ 149, -1 },
		{ 147, -1 },
		{ 143, -1 },
		{ 141, -1 },
		{ 124, -1 },
		{ 124, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 121, -1 },
		{ 0, -1 },
		{ 112, 508 },
		{ 0, -1 },
		{ 0, 540 },
		{ 0, -1 },
		{ 111, 508 },
		{ 0, -1 },
		{ 186, 535 },
		{ 0, -1 },
		{ 254, -1 },
		{ 0, -1 },
		{ 200, -1 },
		{ 208, -1 },
		{ 118, 446 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 252, -1 },
		{ 0, 540 },
		{ 0, 540 },
		{ 0, -1 },
		{ 0, -1 },
		{ -28, -1 },
		{ 110, 454 },
		{ -28, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 163, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 115, -1 },
		{ 0, -1 },
		{ 118, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 173, 613 },
		{ 93, 384 },
		{ 88, 385 },
		{ 85, 386 },
		{ 74, 387 },
		{ 55, 389 },
		{ 142, 389 },
		{ -10, 393 },
		{ 136, 393 },
		{ 135, 393 },
		{ 134, 393 },
		{ 26, 395 },
		{ 130, 395 },
		{ 10, 397 },
		{ 126, 397 },
		{ -12, 400 },
		{ 121, 400 },
		{ 120, 400 },
		{ -1, 470 },
		{ 116, 470 },
		{ 115, 470 },
		{ 92, 581 },
		{ 161, 613 },
		{ 0, -1 },
		{ 0, -1 },
		{ 79, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 154, -1 },
		{ 0, -1 },
		{ 82, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 66, -1 },
		{ 70, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 56, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 141, 368 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 155, -1 },
		{ 201, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 98, 210 },
		{ 7, 191 },
		{ 80, 508 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 2, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 139, 582 },
		{ 0, -1 },
		{ 0, -1 },
		{ -75, 566 },
		{ 93, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 67, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ -95, 566 },
		{ 0, -1 },
		{ 70, -1 },
		{ 73, 633 },
		{ 72, 633 },
		{ 52, -1 },
		{ 60, -1 },
		{ 0, -1 },
		{ 143, 613 },
		{ 55, -1 },
		{ 51, -1 },
		{ 137, -1 },
		{ 137, -1 },
		{ 146, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 126, -1 },
		{ 0, -1 },
		{ 140, 535 },
		{ 138, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ -65, 582 },
		{ 118, -1 },
		{ 0, -1 },
		{ 62, -1 },
		{ 0, -1 },
		{ 57, 633 },
		{ 125, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 53, 633 },
		{ 0, -1 },
		{ 0, -1 },
		{ 9, 633 },
		{ 126, 613 },
		{ 0, -1 },
		{ 125, 613 },
		{ 124, 613 },
		{ 115, -1 },
		{ 114, -1 },
		{ 126, -1 },
		{ -32, -1 },
		{ 0, -1 },
		{ 130, -1 },
		{ 0, -1 },
		{ 107, 582 },
		{ 0, -1 },
		{ 106, 582 },
		{ 164, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ -115, 582 },
		{ 101, 582 },
		{ 0, -1 },
		{ 94, -1 },
		{ 19, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ -16, 623 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ -95, 582 },
		{ 7, 613 },
		{ 67, -1 },
		{ -56, 191 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 36, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ -14, 633 },
		{ -36, -1 },
		{ 0, -1 },
		{ -33, -1 },
		{ -58, -1 },
		{ -62, 633 },
		{ 0, -1 },
		{ -6, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ -22, -1 },
		{ 0, -1 },
		{ -105, 623 },
		{ -151, -1 },
		{ -142, 633 },
		{ -152, 633 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ -34, 547 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ 0, -1 },
		{ -199, -1 },
		{ -43, 210 },
		{ 0, -1 }
	};
	yystategoto = stategoto;

	yydestructorptr = NULL;

	yytokendestptr = NULL;
	yytokendest_size = 0;
	yytokendestbase = 0;
}
